#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x79174b71, "drm_dp_as_sdp_log" },
	{ 0x4242f8e3, "drm_modeset_acquire_fini" },
	{ 0xe62a17a1, "drm_connector_attach_hdr_output_metadata_property" },
	{ 0x973fa82e, "register_acpi_notifier" },
	{ 0x92b9835e, "drm_dp_128b132b_cds_interlane_align_done" },
	{ 0x154014d4, "drm_dp_atomic_find_time_slots" },
	{ 0xe808d70d, "backlight_device_register" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0x157899b3, "_dev_err" },
	{ 0x5f4caf3f, "irq_set_chip_and_handler_name" },
	{ 0x17e7dc08, "drm_crtc_send_vblank_event" },
	{ 0x5bea87cf, "unmap_mapping_range" },
	{ 0xd5975385, "drm_fb_helper_fill_info" },
	{ 0x57698a50, "drm_mm_takedown" },
	{ 0xe53574d3, "drm_dp_downstream_max_bpc" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0xe63e64f5, "__drm_atomic_helper_crtc_state_reset" },
	{ 0x91ace382, "drm_connector_atomic_hdr_metadata_equal" },
	{ 0xf99fe8f8, "drm_dp_mst_dump_topology" },
	{ 0x2351255, "kthread_unuse_mm" },
	{ 0x70aad291, "ttm_tt_populate" },
	{ 0x2aee636, "drm_gem_dmabuf_release" },
	{ 0x18393894, "drm_lspcon_get_mode" },
	{ 0x32d3230e, "mutex_lock_interruptible" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xc5fe2e9b, "seq_read" },
	{ 0xc52da796, "pci_save_state" },
	{ 0xd7dea183, "drm_dev_enter" },
	{ 0xb3750192, "drm_edid_valid" },
	{ 0xc61a4fc9, "xa_load" },
	{ 0x8de01bc8, "__pm_runtime_set_status" },
	{ 0xce77143f, "drm_privacy_screen_put" },
	{ 0x8e40c676, "noop_llseek" },
	{ 0xaebd12f0, "acpi_get_name" },
	{ 0xcb39ef5, "add_wait_queue" },
	{ 0xad7ab067, "cpu_latency_qos_request_active" },
	{ 0x7fe52a7e, "drm_dp_send_power_updown_phy" },
	{ 0x81323390, "drm_dev_unplug" },
	{ 0xfe052363, "ioread64_lo_hi" },
	{ 0x842c8e9d, "ioread16" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0xafe8216e, "__pci_register_driver" },
	{ 0xe982da44, "drm_dp_mst_dsc_aux_for_port" },
	{ 0xa1fefe6a, "drm_dp_psr_setup_time" },
	{ 0x9ce4abb8, "drm_crtc_add_crc_entry" },
	{ 0xf1befeb9, "_dev_info" },
	{ 0x6dbc0329, "dma_unmap_sg_attrs" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x62f96603, "pci_match_id" },
	{ 0xf7a21faf, "drm_mode_config_cleanup" },
	{ 0x9f0f7c7b, "fb_io_read" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xe3b15a1e, "ttm_bo_kunmap" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x546ef138, "down_write_killable" },
	{ 0x596871cb, "cfb_fillrect" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0xaf4c3fa4, "drm_encoder_cleanup" },
	{ 0x70b65482, "drm_connector_attach_colorspace_property" },
	{ 0xc858265a, "drm_gpuvm_prefetch_ops_create" },
	{ 0x642ce493, "drm_kms_helper_poll_reschedule" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x3dd37019, "drm_gpuva_ops_free" },
	{ 0xad3c4bf2, "drmm_release_action" },
	{ 0xe884a1e7, "param_ops_bool" },
	{ 0xdadf9a2e, "__init_rwsem" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x84bfcd93, "pci_d3cold_disable" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x6e736846, "drm_helper_probe_detect" },
	{ 0x1e3d017a, "debugfs_attr_read" },
	{ 0xd35a6d31, "mempool_kmalloc" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xe87559ef, "drm_property_create_blob" },
	{ 0x97f104b1, "drm_object_attach_property" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xc9074968, "drm_gem_prime_mmap" },
	{ 0x6aa0e8b6, "drm_dp_cec_unset_edid" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x66f56b64, "debugfs_create_str" },
	{ 0x1a65396b, "drm_dp_dpcd_write" },
	{ 0x50d1495e, "mempool_exit" },
	{ 0xb59ea8dc, "drm_fb_helper_initial_config" },
	{ 0xec788566, "acpi_target_system_state" },
	{ 0x7071cb5e, "pci_ignore_hotplug" },
	{ 0x6d731c6, "drm_connector_list_iter_begin" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x248efd3, "kstrtobool_from_user" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9b091895, "drm_dp_dpcd_read" },
	{ 0x30f088d7, "drm_atomic_helper_commit_hw_done" },
	{ 0x80e4d2d7, "drm_gem_object_lookup" },
	{ 0x371d05bb, "dma_unmap_resource" },
	{ 0xe7a9ecea, "drm_mode_is_420_only" },
	{ 0x4884d92e, "handle_simple_irq" },
	{ 0x398788d7, "drm_atomic_get_mst_payload_state" },
	{ 0x6e61df95, "pci_set_power_state" },
	{ 0x9ad83e1, "drm_plane_enable_fb_damage_clips" },
	{ 0x17226106, "drm_gpuvm_prepare_vm" },
	{ 0xc8b6a8ae, "drm_dp_128b132b_lane_channel_eq_done" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x74fc6fbd, "drm_format_info_block_width" },
	{ 0x6a037cf1, "mempool_kfree" },
	{ 0xcf1d7b97, "drm_gpuvm_bo_obtain" },
	{ 0x1a411479, "drm_syncobj_free" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xb8292716, "simple_attr_write" },
	{ 0xa6457c89, "hdmi_infoframe_pack" },
	{ 0x8c276ec4, "drm_suballoc_free" },
	{ 0xdb4774ce, "drm_client_register" },
	{ 0x1a5bf3ca, "drm_dsc_dp_rc_buffer_size" },
	{ 0xc55a57bb, "drm_probe_ddc" },
	{ 0xd091c96d, "drm_property_blob_get" },
	{ 0x84396fac, "drm_connector_init_with_ddc" },
	{ 0xc65968e7, "drm_connector_attach_privacy_screen_provider" },
	{ 0x6facb69f, "drm_universal_plane_init" },
	{ 0xb125bdd4, "drm_crtc_enable_color_mgmt" },
	{ 0x76ff6644, "drm_dp_lttpr_pre_emphasis_level_3_supported" },
	{ 0x48b85676, "dma_fence_chain_init" },
	{ 0xbd01f42c, "drm_dp_mst_topology_mgr_init" },
	{ 0x154738c6, "drm_gem_dmabuf_vunmap" },
	{ 0x70e1e043, "__drm_atomic_helper_connector_duplicate_state" },
	{ 0x2d50570f, "drm_rect_calc_hscale" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x375e24af, "drm_atomic_state_default_clear" },
	{ 0x2344a43e, "ttm_bo_pin" },
	{ 0xdbeecfbb, "ttm_lru_bulk_move_tail" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8eb99add, "pm_runtime_get_if_active" },
	{ 0x7c4f67f1, "mipi_dsi_generic_write" },
	{ 0x8b9d7c9e, "drm_atomic_add_affected_planes" },
	{ 0x11104aa2, "__pm_runtime_idle" },
	{ 0x3b7235aa, "__acpi_video_get_backlight_type" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x4c6deded, "drm_buddy_fini" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xd5a95eae, "drm_dp_128b132b_lane_symbol_locked" },
	{ 0x44323c26, "drm_dp_mst_topology_mgr_resume" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0xdd06a5d5, "auxiliary_device_init" },
	{ 0xcb7a5b9c, "drm_atomic_helper_commit_cleanup_done" },
	{ 0x2aababb7, "kmem_cache_create" },
	{ 0xad5a7dca, "drm_gpuvm_resv_object_alloc" },
	{ 0xa0ebd437, "hdmi_drm_infoframe_check" },
	{ 0xed563b39, "drm_edp_backlight_disable" },
	{ 0xe98ea95f, "pci_iounmap" },
	{ 0x2cc289c1, "drm_fb_helper_alloc_info" },
	{ 0xc1d3bda2, "drm_dp_aux_unregister" },
	{ 0x3468eaee, "drm_atomic_helper_suspend" },
	{ 0x7fba3ecd, "drm_dp_dpcd_probe" },
	{ 0x7f61f894, "pci_iomap" },
	{ 0xe1c3817b, "drm_buddy_block_trim" },
	{ 0x91fec1cc, "drm_rect_calc_vscale" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x6144c096, "cpu_latency_qos_update_request" },
	{ 0x519e6d5e, "cfb_imageblit" },
	{ 0x7f13bd32, "drm_crtc_cleanup" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0x42737b5e, "xa_find_after" },
	{ 0x1c5b1f28, "irq_free_descs" },
	{ 0x8962491f, "ttm_bo_kmap" },
	{ 0x1361eccc, "dma_fence_array_create" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x65702bd6, "drm_default_rgb_quant_range" },
	{ 0x516e8363, "drm_atomic_get_old_mst_topology_state" },
	{ 0x8b33a98e, "drm_atomic_state_alloc" },
	{ 0x800aece, "drm_dp_get_phy_test_pattern" },
	{ 0xcb2340b8, "drm_rect_debug_print" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x3dc887bf, "drm_dp_bw_overhead" },
	{ 0xdd33ff0, "pm_runtime_get_if_in_use" },
	{ 0x7a76cf0e, "pci_write_config_byte" },
	{ 0x753adddf, "ttm_bo_vmap" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x27d99543, "drm_dp_mst_put_port_malloc" },
	{ 0x524d6bea, "drm_kms_helper_poll_enable" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0x275f3d49, "hdmi_vendor_infoframe_check" },
	{ 0xc137b134, "drm_connector_attach_dp_subconnector_property" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x494291ba, "drm_modeset_unlock" },
	{ 0x48aa2c9a, "device_del" },
	{ 0x1000e51, "schedule" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0xb0a62117, "drm_dp_dual_mode_set_tmds_output" },
	{ 0x5348a27f, "device_link_add" },
	{ 0xf21261c8, "dma_max_mapping_size" },
	{ 0xa0f2598e, "drm_crtc_accurate_vblank_count" },
	{ 0x8110d8e3, "trace_event_printf" },
	{ 0x2b523e93, "drm_dp_atomic_release_time_slots" },
	{ 0xff042757, "drm_modeset_acquire_init" },
	{ 0xadbeed61, "mipi_dsi_packet_format_is_long" },
	{ 0xed2a85f9, "sysfs_remove_group" },
	{ 0xa1cad213, "mmu_interval_notifier_remove" },
	{ 0xe58d1158, "drm_atomic_state_clear" },
	{ 0xb7d14ec7, "down_write" },
	{ 0x48edf7b1, "drm_gpuvm_bo_evict" },
	{ 0xa3134755, "pci_restore_state" },
	{ 0x53080b41, "debugfs_create_bool" },
	{ 0x2754dad8, "drm_mm_reserve_node" },
	{ 0xb5b51e7e, "__drmm_add_action_or_reset" },
	{ 0x4fdda2df, "drm_atomic_helper_swap_state" },
	{ 0xf0517d7a, "drm_mm_init" },
	{ 0x24d14045, "drm_gpuvm_sm_unmap_ops_create" },
	{ 0x35d11096, "drm_gpuva_link" },
	{ 0x5e2e7a03, "mempool_init_noprof" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x547094ec, "kobject_add" },
	{ 0x58c59547, "wait_for_completion_interruptible" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x7a45377b, "acpi_video_unregister" },
	{ 0x8d80b90b, "__irq_alloc_descs" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0xf1b5340a, "drm_mode_vrefresh" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xfe12bcb9, "drm_dsc_compute_rc_parameters" },
	{ 0x35ed9461, "simple_attr_open" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xdf3cbe8c, "pci_enable_device" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x59f27ed7, "drm_dp_pcon_enc_is_dsc_1_2" },
	{ 0x38060032, "drm_dp_cec_register_connector" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x37e1af7a, "drm_fb_helper_restore_fbdev_mode_unlocked" },
	{ 0xf2325637, "drm_exec_init" },
	{ 0x350e1a93, "remove_wait_queue" },
	{ 0x4403a9c3, "drm_mode_get_hv_timing" },
	{ 0xae9f6ae9, "__task_pid_nr_ns" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xfb1a7a5a, "drm_dp_downstream_rgb_to_ycbcr_conversion" },
	{ 0x92997ed8, "_printk" },
	{ 0xadaf5122, "pci_resize_resource" },
	{ 0x703a93c4, "drm_plane_create_color_properties" },
	{ 0x7065ece7, "mipi_dsi_compression_mode" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfb6c5dd0, "drm_dp_dual_mode_detect" },
	{ 0x454b34c, "drm_hdcp_update_content_protection" },
	{ 0x42366430, "drm_dp_mst_detect_port" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x51f7b586, "refcount_dec_and_lock" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xd061b2c0, "drm_dp_mst_aux_for_parent" },
	{ 0xc8f34e5d, "drm_gem_ttm_mmap" },
	{ 0xf0118452, "simple_attr_release" },
	{ 0x5477c240, "drm_gpuva_remove" },
	{ 0x64ed053c, "drm_dp_tunnel_put" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x69353664, "__drm_debug" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x447e5cf6, "dma_resv_reset_max_fences" },
	{ 0xfc4a7fe1, "dma_resv_add_fence" },
	{ 0x63a64d7e, "drm_dp_read_dpcd_caps" },
	{ 0x65b962a9, "__drm_puts_seq_file" },
	{ 0x36076f94, "drm_encoder_init" },
	{ 0xec52fff4, "debugfs_create_file" },
	{ 0xf8c6be8d, "drm_atomic_get_mst_topology_state" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0xd41125a6, "__pm_runtime_use_autosuspend" },
	{ 0x9e9fdd9d, "memunmap" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe75798e9, "ttm_device_init" },
	{ 0x4dd8bc97, "drm_dp_downstream_min_tmds_clock" },
	{ 0x9c52d50, "drm_sched_job_add_resv_dependencies" },
	{ 0x7eefac21, "dma_set_coherent_mask" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0xdfc6582, "__mmap_lock_do_trace_released" },
	{ 0xa3b55855, "debugfs_attr_write" },
	{ 0x648d953b, "drm_dsc_dp_pps_header_init" },
	{ 0x73be9917, "pci_write_config_dword" },
	{ 0xfa203302, "drm_dp_pcon_is_frl_ready" },
	{ 0xa8bf7f06, "ttm_device_fini" },
	{ 0x97e7a540, "drm_gpuvm_exec_lock" },
	{ 0x511a1acf, "simple_open" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x63d3eece, "kmalloc_trace_noprof" },
	{ 0xd00a6dab, "pci_write_config_word" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x6d98fa0d, "drm_edid_connector_update" },
	{ 0x70e76d2f, "drm_dp_check_act_status" },
	{ 0x84f537b8, "drm_fb_helper_blank" },
	{ 0x50054813, "drm_gpuvm_sm_map_ops_create" },
	{ 0x6e30ba8e, "drm_rect_rotate_inv" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xc1c6f90b, "drm_fb_helper_set_par" },
	{ 0x56657267, "drm_gpuva_insert" },
	{ 0x1dfd452c, "drm_edp_backlight_init" },
	{ 0xcf1594f6, "mipi_dsi_attach" },
	{ 0x33652109, "drm_gem_ttm_dumb_map_offset" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x7d19b9cd, "kmalloc_large_noprof" },
	{ 0x447c42dc, "drm_plane_create_zpos_immutable_property" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x7ac1254b, "local_clock" },
	{ 0x2598fbea, "drm_fb_helper_hotplug_event" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xb98c452e, "drm_sched_job_add_dependency" },
	{ 0xb8a6cec7, "ttm_bo_unpin" },
	{ 0x2b420ae5, "drm_framebuffer_remove" },
	{ 0x30e8dbc7, "pci_iomap_range" },
	{ 0xf38a3315, "sg_alloc_table_from_pages_segment" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x9ab2c4ed, "ttm_bo_vm_fault_reserved" },
	{ 0xf42986e4, "drm_connector_attach_content_protection_property" },
	{ 0x81188c30, "match_string" },
	{ 0x31cde89f, "drm_dp_mst_update_slots" },
	{ 0xb4032484, "drm_mm_insert_node_in_range" },
	{ 0x3979298d, "drm_scdc_set_high_tmds_clock_ratio" },
	{ 0x3ad9d5b2, "kvmalloc_node_noprof" },
	{ 0xb85233fc, "drm_connector_list_iter_next" },
	{ 0xcb7188ba, "drm_atomic_helper_damage_merged" },
	{ 0xa01fbb6b, "cec_notifier_set_phys_addr" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x83049ba2, "pci_release_resource" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xee1d687a, "drm_dev_register" },
	{ 0xe22310f0, "drm_prime_pages_to_sg" },
	{ 0xd48fae9b, "ttm_pool_free" },
	{ 0x293f672d, "drm_hdmi_avi_infoframe_from_display_mode" },
	{ 0x65bd14f9, "drm_modeset_drop_locks" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x4a142b22, "pci_assign_unassigned_bus_resources" },
	{ 0xd2eb12e2, "drm_gem_private_object_init" },
	{ 0x5a86f411, "drm_dp_phy_name" },
	{ 0x7e48eed, "drm_dp_mst_port_downstream_of_parent" },
	{ 0x56a663e9, "drm_dp_dsc_sink_line_buf_depth" },
	{ 0xd5a27f1f, "drm_dp_get_vc_payload_bw" },
	{ 0xc18eb582, "drm_framebuffer_cleanup" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xf666c7e4, "pm_runtime_set_autosuspend_delay" },
	{ 0xfed6b511, "drm_atomic_helper_set_config" },
	{ 0xf430e2f0, "drm_dp_read_sink_count_cap" },
	{ 0xe6de35, "drm_dp_read_downstream_info" },
	{ 0xb68e52c2, "pci_sriov_set_totalvfs" },
	{ 0x38bf376f, "drm_plane_from_index" },
	{ 0x60f72e3c, "pcim_enable_device" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xbf693a89, "drm_dp_cec_irq" },
	{ 0x39f9f85c, "dma_resv_get_singleton" },
	{ 0x11d4182c, "drm_crtc_vblank_put" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0xc16dd2d3, "pv_ops" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xc016833f, "drm_suballoc_dump_debug_info" },
	{ 0x9ef2f306, "drm_edp_backlight_set_level" },
	{ 0xbdb9fe22, "drm_fb_helper_init" },
	{ 0x2c3519ac, "__auxiliary_device_add" },
	{ 0x24eef9d8, "string_get_size" },
	{ 0xba943e66, "drm_mode_object_find" },
	{ 0x5794b8ec, "__drm_atomic_helper_crtc_destroy_state" },
	{ 0x3c1b1e9a, "drm_sched_fini" },
	{ 0x1b3e4aa8, "__devm_add_action" },
	{ 0xf48bbedf, "drm_dp_dsc_sink_bpp_incr" },
	{ 0x4d924f20, "memremap" },
	{ 0x38d55d21, "drm_edid_get_product_id" },
	{ 0x27a35877, "drmm_mode_config_init" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x59b2bb83, "drm_dp_pcon_hdmi_link_mode" },
	{ 0xe35869dc, "drm_compat_ioctl" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xc8c0d763, "ttm_resource_manager_create_debugfs" },
	{ 0x13fc21e9, "drm_mode_destroy" },
	{ 0xb5f5bcc5, "drm_crtc_init_with_planes" },
	{ 0xdd369c56, "drm_sched_entity_fini" },
	{ 0xfd5d0ae2, "drm_read" },
	{ 0x4603c416, "drm_dp_pcon_dsc_bpp_incr" },
	{ 0x32a611bf, "ttm_bo_move_to_lru_tail" },
	{ 0x2fcb8091, "sysfs_remove_file_ns" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x69acdf38, "memcpy" },
	{ 0xcc0012be, "_dev_notice" },
	{ 0x438edb62, "drm_kms_helper_poll_disable" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xf21605a5, "seq_write" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x9f0b6a57, "dma_buf_map_attachment" },
	{ 0x61f50ad2, "__xa_erase" },
	{ 0xb9393302, "drm_print_memory_stats" },
	{ 0x25f37d33, "drm_gpuvm_validate" },
	{ 0x90e850b0, "drm_gpuvm_bo_extobj_add" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xee19149d, "drm_plane_cleanup" },
	{ 0xb212dc3e, "drm_edid_dup" },
	{ 0xd86cfbba, "pm_runtime_allow" },
	{ 0x754d539c, "strlen" },
	{ 0xaed70e96, "pci_bus_resource_n" },
	{ 0x22a1ce7e, "i2c_transfer" },
	{ 0x6a4df8c5, "drm_dp_128b132b_eq_interlane_align_done" },
	{ 0x32761e92, "drm_gem_fb_get_obj" },
	{ 0x5457f589, "drm_hdmi_avi_infoframe_content_type" },
	{ 0xcbc318b8, "drm_modeset_lock_all" },
	{ 0x4c04937e, "drm_dp_128b132b_read_aux_rd_interval" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0xc3cf3540, "set_page_dirty_lock" },
	{ 0x6aacee47, "drm_dp_128b132b_link_training_failed" },
	{ 0x3325b588, "drm_dp_read_lttpr_common_caps" },
	{ 0x84ec0fd, "drm_syncobj_replace_fence" },
	{ 0x5ec29eaf, "drm_exec_fini" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2a1493ee, "kobject_put" },
	{ 0x2ecc3549, "dev_coredump_put" },
	{ 0xe007b94f, "drm_connector_set_vrr_capable_property" },
	{ 0xf1e27c9e, "drm_crtc_vblank_waitqueue" },
	{ 0xea1a5955, "pci_irq_vector" },
	{ 0x1091181b, "drm_syncobj_find" },
	{ 0xb9478d90, "hdmi_drm_infoframe_unpack_only" },
	{ 0xdf47aa93, "pci_num_vf" },
	{ 0x67a4f607, "simple_attr_read" },
	{ 0x1033ede4, "single_release" },
	{ 0x4dbd8b07, "cpu_latency_qos_add_request" },
	{ 0x8fe58e77, "drm_crtc_vblank_get" },
	{ 0x1cc595d4, "drm_suballoc_new" },
	{ 0x68a12ab8, "rep_movs_alternative" },
	{ 0x909c5a89, "drm_fb_helper_damage_range" },
	{ 0x5c8ff0bb, "ttm_resource_manager_evict_all" },
	{ 0xedc03953, "iounmap" },
	{ 0x97622a2b, "drm_hdmi_infoframe_set_hdr_metadata" },
	{ 0x1f19a0f8, "drm_mode_config_reset" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0xda3fe15a, "drm_av_sync_delay" },
	{ 0x882be435, "devm_hwmon_device_register_with_info" },
	{ 0xce10fc9, "drm_kms_helper_poll_fini" },
	{ 0x4d8b5a5b, "drm_puts" },
	{ 0x3c6b5111, "i2c_put_adapter" },
	{ 0x9ee58eb0, "drm_kms_helper_hotplug_event" },
	{ 0x85eab947, "drm_mode_create_hdmi_colorspace_property" },
	{ 0x85df9b6c, "strsep" },
	{ 0x951353ed, "drm_fb_helper_debug_enter" },
	{ 0x88a790b4, "drm_release_noglobal" },
	{ 0x7aa4a6a0, "drm_dp_as_sdp_supported" },
	{ 0xa8857036, "xa_store" },
	{ 0x141f7154, "kobj_sysfs_ops" },
	{ 0xdd0328cf, "dma_fence_chain_find_seqno" },
	{ 0xff5cfde7, "dma_fence_chain_ops" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa11bf02c, "mipi_dsi_dcs_read" },
	{ 0xce29af71, "vga_switcheroo_client_probe_defer" },
	{ 0xb3d6575e, "ttm_bo_vm_dummy_page" },
	{ 0xace169b3, "drm_mode_is_420_also" },
	{ 0x392a838b, "drm_dp_downstream_max_dotclock" },
	{ 0x85aea03b, "xa_erase" },
	{ 0x39402d90, "drm_dp_mst_topology_mgr_set_mst" },
	{ 0x7f4766f9, "drm_atomic_state_init" },
	{ 0x22cde6c3, "drm_atomic_set_fb_for_plane" },
	{ 0x7139030e, "drm_dp_remove_payload_part2" },
	{ 0xedcf81ce, "drm_dp_channel_eq_ok" },
	{ 0x7ceaf0d5, "generic_handle_irq" },
	{ 0x8f6fea44, "drm_dp_downstream_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x33ed82d5, "drm_atomic_helper_setup_commit" },
	{ 0x8da191d6, "drm_modeset_lock_all_ctx" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xfee42d74, "drm_aperture_remove_conflicting_pci_framebuffers" },
	{ 0x7591887a, "drm_fb_helper_setcmap" },
	{ 0x4e54094e, "drm_atomic_helper_update_plane" },
	{ 0x67d52ab8, "dma_resv_iter_first" },
	{ 0x7cf5f666, "drm_hdmi_avi_infoframe_colorimetry" },
	{ 0x1f7f5de, "drm_dp_mst_connector_late_register" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x9e1d2ef6, "drm_crtc_vblank_reset" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xdd18a993, "acpi_check_dsm" },
	{ 0x4e61804, "drm_atomic_helper_wait_for_dependencies" },
	{ 0x1c1c61be, "drm_edid_connector_add_modes" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0xc518d486, "drm_edid_is_digital" },
	{ 0xcd6cc7ae, "drm_crtc_handle_vblank" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x36b3c048, "drm_dp_remove_payload_part1" },
	{ 0x9a0de9c2, "drm_mode_create_aspect_ratio_property" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x55b21041, "dma_resv_reserve_fences" },
	{ 0xab390361, "drm_gem_dmabuf_vmap" },
	{ 0x7023bea8, "unregister_acpi_notifier" },
	{ 0x31f2070b, "drm_scdc_read" },
	{ 0x46c56c0c, "drm_gpuvm_prepare_objects" },
	{ 0xcf678d08, "drm_suballoc_manager_fini" },
	{ 0x75f2a9ed, "drm_mode_duplicate" },
	{ 0x98fed39f, "drm_edid_raw" },
	{ 0x6f5bb2e8, "drm_plane_create_rotation_property" },
	{ 0x318a0852, "drm_property_blob_put" },
	{ 0x2a6234a5, "drm_connector_attach_encoder" },
	{ 0x62f40aaf, "ttm_resource_init" },
	{ 0x8fe8e682, "drm_connector_update_privacy_screen" },
	{ 0x51cd91df, "dma_resv_replace_fences" },
	{ 0xb0f53794, "drm_gem_plane_helper_prepare_fb" },
	{ 0x8826c13b, "acpi_video_register" },
	{ 0x1e4336c1, "is_acpi_device_node" },
	{ 0x79ba5783, "__mmdrop" },
	{ 0xb5a86f97, "drm_hdmi_vendor_infoframe_from_display_mode" },
	{ 0x18ffeb86, "drm_fb_helper_unregister_info" },
	{ 0x9f4aa54b, "pci_dev_put" },
	{ 0xd7f36c94, "dma_fence_signal_locked" },
	{ 0xe8deb347, "drm_atomic_set_mode_for_crtc" },
	{ 0x9ce050be, "drm_mode_copy" },
	{ 0xb4c20a7a, "pci_read_config_word" },
	{ 0x884c34c6, "drm_crtc_from_index" },
	{ 0xf6ff740b, "kmem_cache_free" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x99f46325, "ww_mutex_unlock" },
	{ 0x6ed5e2f, "sysfs_create_group" },
	{ 0x48150285, "pci_set_master" },
	{ 0xec774954, "drm_gem_dmabuf_mmap" },
	{ 0xe511ec81, "drm_dp_set_subconnector_property" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xc6bdb3dd, "drm_atomic_helper_update_legacy_modeset_state" },
	{ 0xa99f1f2, "drm_dp_mst_topology_mgr_destroy" },
	{ 0x9bfa9609, "drm_buddy_print" },
	{ 0x5c73524a, "ttm_bo_vm_reserve" },
	{ 0x87a32e9, "drm_modeset_unlock_all" },
	{ 0x4b437b02, "__drm_atomic_helper_plane_duplicate_state" },
	{ 0x2fa94ef2, "drm_dp_downstream_444_to_420_conversion" },
	{ 0x911a92f3, "acpi_dev_get_resources" },
	{ 0xca9360b5, "rb_next" },
	{ 0x2982ef0, "__tracepoint_mmap_lock_released" },
	{ 0x901d78b5, "drm_atomic_helper_connector_destroy_state" },
	{ 0x96b3e4e0, "down_read_trylock" },
	{ 0x4d8b959e, "pwm_put" },
	{ 0x25b5fa0e, "drm_property_create_enum" },
	{ 0x1ab5d60a, "__drm_printfn_dbg" },
	{ 0x504c682, "drm_dp_bw_channel_coding_efficiency" },
	{ 0x4a35d30d, "drm_mode_set_name" },
	{ 0xa5353bb9, "drm_fb_helper_set_suspend" },
	{ 0x8e7ce0b, "generic_file_llseek" },
	{ 0xc6cbbc89, "capable" },
	{ 0x871ab41a, "drm_rect_intersect" },
	{ 0x2eba0615, "drm_fb_helper_fini" },
	{ 0x2d20265a, "pci_disable_device" },
	{ 0xf5d99893, "drm_gpuvm_resv_add_fence" },
	{ 0x84450d8c, "kmem_cache_destroy" },
	{ 0xf48e60c5, "bpf_trace_run5" },
	{ 0x8a5be7cd, "drm_atomic_get_crtc_state" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x83bf9479, "vga_get" },
	{ 0xd84217b3, "ttm_bo_move_memcpy" },
	{ 0x98b5769d, "drm_crtc_wait_one_vblank" },
	{ 0x24d273d1, "add_timer" },
	{ 0x94ed4cd8, "dma_fence_add_callback" },
	{ 0xf2301826, "downgrade_write" },
	{ 0xe3b464a6, "cec_notifier_conn_register" },
	{ 0x782850f, "dma_fence_signal" },
	{ 0x34ccc9bb, "drm_fb_helper_damage_area" },
	{ 0x2d393f48, "intel_soc_pmic_exec_mipi_pmic_seq_element" },
	{ 0xd600a68c, "__mmap_lock_do_trace_acquire_returned" },
	{ 0xc25a8f1a, "bpf_trace_run2" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x6a38c783, "bpf_trace_run1" },
	{ 0xdab0619f, "drm_dp_tunnel_handle_irq" },
	{ 0x34a8c7ea, "dma_fence_remove_callback" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x7053fa72, "drm_dp_get_pcon_max_frl_bw" },
	{ 0xef77da4d, "dma_resv_iter_next" },
	{ 0xe44ef3e1, "drm_modeset_lock" },
	{ 0x5aae1182, "dma_map_sgtable" },
	{ 0x3dfb6bc7, "bpf_trace_run3" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x6333faae, "bpf_trace_run4" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xe767f69f, "drm_prime_gem_destroy" },
	{ 0x8d701329, "drm_dp_clock_recovery_ok" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xa0c580e3, "ttm_bo_vm_open" },
	{ 0x3809e270, "debugfs_create_dir" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xb0c54d0c, "component_add_typed" },
	{ 0xb1518e15, "cancel_work" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xbd8dc6bf, "kmem_cache_alloc_noprof" },
	{ 0x79c00fa2, "drm_edid_alloc" },
	{ 0x870cd003, "mipi_dsi_dcs_write_buffer" },
	{ 0x66269f7b, "drm_kms_helper_connector_hotplug_event" },
	{ 0x34190124, "trace_raw_output_prep" },
	{ 0x401d2b5a, "drm_dp_read_channel_eq_delay" },
	{ 0x135df7d6, "dma_fence_get_stub" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xaf4fefd2, "dma_resv_test_signaled" },
	{ 0x195ff91d, "drm_dp_mst_atomic_setup_commit" },
	{ 0x6d808069, "drm_gem_prime_export" },
	{ 0x9b95c885, "drm_mode_match" },
	{ 0xc2d1eafc, "fb_io_write" },
	{ 0x23fc5ab3, "drm_crtc_vblank_on" },
	{ 0x8c966cf0, "complete_all" },
	{ 0x9714e0bb, "ktime_get_raw" },
	{ 0xb6920242, "drm_sched_entity_push_job" },
	{ 0x26815dbc, "drm_dp_link_rate_to_bw_code" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x210f6966, "drm_dp_mst_edid_read" },
	{ 0xcb355411, "drm_dp_mst_atomic_check_mgr" },
	{ 0xf7860273, "__drm_atomic_helper_crtc_duplicate_state" },
	{ 0xc2762363, "dma_fence_wait_timeout" },
	{ 0xddcf473e, "drm_dp_read_lttpr_phy_caps" },
	{ 0x38815ad7, "dma_resv_iter_next_unlocked" },
	{ 0x582f248e, "drm_dp_get_adjust_request_pre_emphasis" },
	{ 0xc30751b4, "devm_kmalloc" },
	{ 0x457bef40, "backlight_device_get_by_name" },
	{ 0x6d4cf96, "pcpu_hot" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x89ede613, "drm_dp_mst_topology_state_funcs" },
	{ 0xfb578fc5, "memset" },
	{ 0x9af842d, "idr_get_next" },
	{ 0xc517606d, "perf_trace_run_bpf_submit" },
	{ 0x7dba30f9, "dma_buf_move_notify" },
	{ 0x1c4bba9, "drm_dp_lttpr_max_link_rate" },
	{ 0xcb46613a, "dma_map_resource" },
	{ 0x1fe94107, "_dev_warn" },
	{ 0xfd3518ed, "drm_dp_pcon_frl_enable" },
	{ 0x27df2f23, "mmu_interval_notifier_insert" },
	{ 0x4e66e37f, "single_open" },
	{ 0x24ada755, "drm_dsc_set_rc_buf_thresh" },
	{ 0x7e3277f8, "___drm_dbg" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x8be7a585, "drm_dp_pcon_frl_prepare" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2f3ba0be, "drm_crtc_vblank_restore" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xaee236c6, "cec_notifier_conn_unregister" },
	{ 0x31131e81, "gpiod_set_value_cansleep" },
	{ 0xc9db1439, "fwnode_handle_get" },
	{ 0xca7e8e68, "__drm_atomic_helper_connector_reset" },
	{ 0x33808f56, "param_ops_int" },
	{ 0xa843606e, "drm_dp_dsc_sink_supported_input_bpcs" },
	{ 0x8162a570, "request_firmware" },
	{ 0xc5c99a79, "drm_dp_get_adjust_request_voltage" },
	{ 0x3b8d3492, "drm_sched_init" },
	{ 0x6453dbb4, "down_read_interruptible" },
	{ 0x5e3e8b03, "drm_plane_create_blend_mode_property" },
	{ 0x8233086c, "ttm_bo_init_reserved" },
	{ 0x5047a3c6, "should_fail" },
	{ 0x2496d7c3, "drm_connector_attach_vrr_capable_property" },
	{ 0xc1e8d801, "drm_atomic_commit" },
	{ 0x58b909f2, "drm_dp_downstream_max_tmds_clock" },
	{ 0x424d2905, "prepare_to_wait" },
	{ 0x531b627a, "drm_lspcon_set_mode" },
	{ 0x9ea59272, "try_wait_for_completion" },
	{ 0x3d20dff5, "pci_read_config_dword" },
	{ 0x4e077ab6, "pci_pme_capable" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x104583cd, "vga_switcheroo_client_fb_set" },
	{ 0xb0e602eb, "memmove" },
	{ 0xb6fdecd8, "pci_map_rom" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x5d77c186, "i2c_acpi_find_adapter_by_handle" },
	{ 0x24deb173, "drm_sched_job_arm" },
	{ 0x68783ae5, "drm_mode_crtc_set_gamma_size" },
	{ 0xfd6f9cae, "ttm_bo_vm_access" },
	{ 0x4018d6d8, "drm_sched_job_init" },
	{ 0x350f982f, "pci_pr3_present" },
	{ 0xf5d073e8, "xa_find" },
	{ 0xe3820cbf, "drm_dp_mst_root_conn_atomic_check" },
	{ 0x954a618d, "pci_bus_type" },
	{ 0xd530f828, "trace_event_reg" },
	{ 0xe9a5e67f, "intel_graphics_stolen_res" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xa9dcebab, "dev_driver_string" },
	{ 0xc2151454, "drm_gem_mmap" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0xdc6699cb, "acpi_dev_free_resource_list" },
	{ 0xfe55fbf9, "ww_mutex_trylock" },
	{ 0x972ec03c, "drm_modeset_lock_single_interruptible" },
	{ 0x5ba839a8, "drm_mode_create_dp_colorspace_property" },
	{ 0xbd60c909, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0x943aa31f, "drm_atomic_helper_prepare_planes" },
	{ 0xb58db9c4, "drm_gem_object_release" },
	{ 0x1c4e253d, "pci_p2pdma_distance_many" },
	{ 0xa4ad1f4a, "drm_open" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0xace00ea4, "pci_read_config_byte" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xd2b62dea, "acpi_find_child_device" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xac0ae189, "dma_resv_wait_timeout" },
	{ 0x5bfe281d, "sysfs_remove_files" },
	{ 0x20dfc69c, "drm_dp_mst_get_port_malloc" },
	{ 0x5a290250, "hdmi_drm_infoframe_pack_only" },
	{ 0xbb53856b, "up_read" },
	{ 0x1c678a0d, "drm_plane_add_size_hints_property" },
	{ 0xfebde058, "mempool_free" },
	{ 0xe19bf5b2, "drm_scdc_set_scrambling" },
	{ 0xcc1d6a01, "drm_sched_wqueue_stop" },
	{ 0x4ca73a37, "ttm_tt_init" },
	{ 0xf380cb2a, "drm_atomic_helper_disable_plane" },
	{ 0xac9e045b, "drm_crtc_vblank_off" },
	{ 0xc7c39f24, "__trace_trigger_soft_disabled" },
	{ 0x333bfca1, "hdmi_infoframe_pack_only" },
	{ 0x404b456, "drm_atomic_add_affected_connectors" },
	{ 0x1ea35524, "mipi_dsi_dcs_nop" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xeed7fd81, "up_write" },
	{ 0xa60893dc, "drm_dp_add_payload_part2" },
	{ 0xb4fcc5eb, "drm_dp_cec_attach" },
	{ 0x50a97798, "drm_dp_add_payload_part1" },
	{ 0x74e9a64c, "drm_edid_read_ddc" },
	{ 0xb9234c4d, "drm_dp_vsc_sdp_pack" },
	{ 0x966548b3, "pci_unmap_rom" },
	{ 0x73011db0, "drm_dp_bw_code_to_link_rate" },
	{ 0xc5dd9b92, "const_pcpu_hot" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0xa916b694, "strnlen" },
	{ 0x776e6ab3, "ttm_resource_fini" },
	{ 0xb772ebb0, "drm_dp_dpcd_read_link_status" },
	{ 0x5a6950f2, "drm_dp_mst_hpd_irq_handle_event" },
	{ 0xe99605b4, "drm_gpuva_unlink" },
	{ 0xbd5a3104, "ttm_bo_eviction_valuable" },
	{ 0xa7fe7161, "pci_alloc_irq_vectors" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xb124256f, "debugfs_lookup" },
	{ 0x1605d0ed, "drm_dp_lttpr_max_lane_count" },
	{ 0xf53acbd5, "sysfs_create_file_ns" },
	{ 0xa44aba28, "__drm_atomic_helper_plane_state_reset" },
	{ 0x9bc79262, "hdmi_infoframe_log" },
	{ 0x9b54fdc3, "drm_helper_mode_fill_fb_struct" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x9e30a82b, "drm_dp_pcon_hdmi_link_active" },
	{ 0xfd60df2, "drm_get_connector_status_name" },
	{ 0x135a6d90, "drm_mode_object_get" },
	{ 0x4c68d08b, "__drm_dev_dbg" },
	{ 0xa97b3072, "drm_sched_entity_init" },
	{ 0x48b4d4fd, "drm_fb_helper_pan_display" },
	{ 0x775e34fc, "dev_coredumpm" },
	{ 0xe7981ca8, "drm_dp_downstream_mode" },
	{ 0x4b7ebf95, "drm_mm_remove_node" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x179a2804, "drm_connector_list_iter_end" },
	{ 0x470cac07, "__drm_printfn_info" },
	{ 0x3c453e5f, "xa_destroy" },
	{ 0xd092a298, "drm_atomic_helper_wait_for_flip_done" },
	{ 0xbc9124f2, "__drm_atomic_helper_plane_destroy_state" },
	{ 0x7e00176, "drm_mm_print" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xc8cc8b9d, "drm_buddy_free_list" },
	{ 0xabb97e9e, "cpu_latency_qos_remove_request" },
	{ 0x1ffa8ef6, "drm_mode_object_put" },
	{ 0xdbf65a2c, "drm_privacy_screen_get" },
	{ 0x390b12, "drm_hdcp_check_ksvs_revoked" },
	{ 0xd2d42a9f, "drm_printf" },
	{ 0xc20dd027, "drm_crtc_arm_vblank_event" },
	{ 0x8eefd531, "drm_modeset_backoff" },
	{ 0x28a07357, "__tracepoint_mmap_lock_start_locking" },
	{ 0xcf9b7da4, "pci_sriov_get_totalvfs" },
	{ 0xf0c0563e, "pm_runtime_forbid" },
	{ 0x4db2bdb4, "drm_gem_handle_create" },
	{ 0x5849ed26, "drm_buddy_init" },
	{ 0xb1f29cae, "drm_poll" },
	{ 0xec2c7a3e, "drm_atomic_helper_commit_duplicated_state" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa47826e4, "drm_dp_calc_pbn_mode" },
	{ 0x1790bcf1, "ttm_pool_alloc" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x4ae90d8e, "hdmi_avi_infoframe_check" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x21475af8, "__drm_printfn_seq_file" },
	{ 0x50674de7, "drm_timeout_abs_to_jiffies" },
	{ 0x4bcd1079, "drm_fb_helper_prepare" },
	{ 0xb9cad492, "__drm_atomic_state_free" },
	{ 0x3072a4a8, "drm_property_replace_blob" },
	{ 0xa70f8ea5, "drm_edp_backlight_enable" },
	{ 0xad4a5a3a, "drm_atomic_get_new_mst_topology_state" },
	{ 0xebd271b0, "ttm_bo_validate" },
	{ 0x58d8fcaa, "drm_dsc_pps_payload_pack" },
	{ 0xdcde977f, "drm_dp_read_desc" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x6cc8961c, "drm_edid_print_product_id" },
	{ 0xa4191c0b, "memset_io" },
	{ 0x4cbec016, "kmalloc_caches" },
	{ 0xb5513763, "drm_sched_wqueue_start" },
	{ 0x59d5c1ce, "ttm_tt_fini" },
	{ 0xc3f0c9f1, "drm_fb_helper_check_var" },
	{ 0x9a4bccf7, "ttm_resource_free" },
	{ 0x46a8407d, "drm_client_dev_unregister" },
	{ 0x9c0fa277, "drm_client_init" },
	{ 0xb9819ee, "seq_putc" },
	{ 0x95945080, "seq_printf" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x20a789ac, "irq_set_chip_data" },
	{ 0x5b135143, "i2c_add_adapter" },
	{ 0x25f34d6, "drm_syncobj_add_point" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xb0874219, "drm_dp_pcon_convert_rgb_to_ycbcr" },
	{ 0xb174a32, "drm_helper_move_panel_connectors_to_head" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x1e988e21, "pci_get_class" },
	{ 0x54ace548, "debugfs_create_file_unsafe" },
	{ 0xccf54d5e, "drm_dp_get_adjust_tx_ffe_preset" },
	{ 0x79008c7e, "drm_dsc_setup_rc_params" },
	{ 0x6aefca01, "ww_mutex_lock_interruptible" },
	{ 0x37a0cba, "kfree" },
	{ 0xcbb2320c, "trace_event_raw_init" },
	{ 0x4241307a, "put_device" },
	{ 0xecf213d6, "drm_dp_mst_atomic_wait_for_dependencies" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x3dac0f93, "ttm_resource_manager_init" },
	{ 0x4c789333, "drm_dp_mst_connector_early_unregister" },
	{ 0xef7dca5, "ttm_bo_mem_space" },
	{ 0xd036bf4a, "__pm_runtime_resume" },
	{ 0xc631580a, "console_unlock" },
	{ 0xf54cec3, "drm_vblank_work_schedule" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x4e25fe63, "drm_show_fdinfo" },
	{ 0x349cba85, "strchr" },
	{ 0x1691a065, "device_get_next_child_node" },
	{ 0x13a3308c, "dma_fence_init" },
	{ 0xc83523db, "drm_fb_helper_debug_leave" },
	{ 0xab593a31, "drm_client_release" },
	{ 0xe3ef9dba, "drm_atomic_get_plane_state" },
	{ 0xc18f55dc, "drm_gpuva_find_first" },
	{ 0x324f0165, "drm_exec_cleanup" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0xf6d4e898, "drm_atomic_helper_page_flip" },
	{ 0xad7b6d7a, "drm_dp_dual_mode_max_tmds_clock" },
	{ 0xe0258bc6, "gpiod_set_value" },
	{ 0xe71a7f28, "pci_d3cold_enable" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xce72257d, "drm_connector_set_path_property" },
	{ 0x395c9cba, "dma_resv_iter_first_unlocked" },
	{ 0xfbaaf01e, "console_lock" },
	{ 0xbffaca29, "kobject_init" },
	{ 0xb053adda, "drm_rect_rotate" },
	{ 0x4575a0ca, "drm_mode_set_crtcinfo" },
	{ 0x8c7724de, "__drm_printfn_err" },
	{ 0xcbe7a281, "dma_fence_enable_sw_signaling" },
	{ 0x8efff457, "drm_sched_stop" },
	{ 0x202e3dc, "mmput" },
	{ 0xb192e8f, "drm_dp_aux_register" },
	{ 0x29ad8e33, "x86_hyper_type" },
	{ 0xaf867a3b, "drm_framebuffer_init" },
	{ 0xc41cd6cf, "ww_mutex_lock" },
	{ 0x65bb8022, "drm_color_lut_check" },
	{ 0xd96e783d, "devm_ioremap_wc" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0x54f95f32, "pci_rebar_get_possible_sizes" },
	{ 0x66828825, "drm_mode_probed_add" },
	{ 0x3bfc21fa, "trace_event_buffer_commit" },
	{ 0xcebfa0fc, "devm_gpiod_get_index" },
	{ 0xa112cfa9, "i2c_get_adapter" },
	{ 0xdb1edee6, "hdmi_infoframe_unpack" },
	{ 0xdddcbca6, "__drm_printfn_coredump" },
	{ 0xf9ca2eb4, "kstrtoint_from_user" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xc41b8f02, "drm_sched_tdr_queue_imm" },
	{ 0x33ab8bfe, "drm_exec_lock_obj" },
	{ 0x13c8b40b, "cec_fill_conn_info_from_drm" },
	{ 0xda88a416, "drm_sched_job_cleanup" },
	{ 0x56470118, "__warn_printk" },
	{ 0x40d04664, "console_trylock" },
	{ 0x283a4327, "drm_connector_set_link_status_property" },
	{ 0x2c691226, "dma_buf_unmap_attachment" },
	{ 0x80ae83f9, "mipi_dsi_picture_parameter_set" },
	{ 0x4b54b484, "drm_atomic_helper_cleanup_planes" },
	{ 0xf6b8a63, "drm_dp_max_dprx_data_rate" },
	{ 0xa8029981, "__drmm_mutex_release" },
	{ 0x5173c7be, "drm_dp_pcon_pps_override_param" },
	{ 0x45b61916, "acpi_video_register_backlight" },
	{ 0xee7b9ef8, "drm_buddy_alloc_blocks" },
	{ 0x33e1a575, "drm_connector_attach_scaling_mode_property" },
	{ 0x2d4c773a, "hdmi_spd_infoframe_init" },
	{ 0x2251bc99, "drm_dp_tunnel_get" },
	{ 0x1a63af34, "vga_switcheroo_process_delayed_switch" },
	{ 0xbe0b1307, "drm_calc_timestamping_constants" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x6a776b71, "drm_connector_cleanup" },
	{ 0x3968e2a, "ttm_bo_move_accel_cleanup" },
	{ 0x4ef0355f, "drm_helper_probe_single_connector_modes" },
	{ 0x1b0a1fdc, "drm_dp_lttpr_voltage_swing_level_3_supported" },
	{ 0xb5d5cfd9, "drm_connector_attach_max_bpc_property" },
	{ 0x6c783157, "sysfs_create_files" },
	{ 0xc6c95d3e, "default_llseek" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x5cb56c75, "component_del" },
	{ 0x2d5d7068, "drm_dp_read_clock_recovery_delay" },
	{ 0x655708d4, "drm_gpuvm_init" },
	{ 0x45a94878, "i2c_del_adapter" },
	{ 0xfcd1819a, "hdmi_spd_infoframe_check" },
	{ 0x5235c39c, "drm_connector_attach_content_type_property" },
	{ 0x67f659f3, "pci_msix_vec_count" },
	{ 0xbaa9d23, "dma_set_mask" },
	{ 0xebefd139, "drmm_kmalloc" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0xb1098e3b, "drm_crtc_set_max_vblank_count" },
	{ 0xc5279862, "drm_atomic_helper_shutdown" },
	{ 0x939f65bf, "ttm_resource_manager_usage" },
	{ 0x2fbf5de5, "__get_task_comm" },
	{ 0x53be5013, "drm_crtc_vblank_helper_get_vblank_timestamp_internal" },
	{ 0xc38240af, "mipi_dsi_dcs_write" },
	{ 0x8f2ea0d7, "kthread_use_mm" },
	{ 0xa6d59bf3, "drm_plane_create_alpha_property" },
	{ 0x6ef38957, "ttm_bo_put" },
	{ 0xa3015f57, "drm_dp_read_sink_count" },
	{ 0xb5a51e07, "drm_dp_dpcd_read_phy_link_status" },
	{ 0xeddd417, "down_read" },
	{ 0xbc7a92ef, "cfb_copyarea" },
	{ 0xdfc5dce8, "device_link_remove" },
	{ 0xe5360b84, "drm_dp_pcon_dsc_max_slices" },
	{ 0xb79e0eb8, "drm_dp_aux_init" },
	{ 0xa9a80832, "drm_atomic_helper_unprepare_planes" },
	{ 0x8d0cc03b, "backlight_device_unregister" },
	{ 0x9dd20c34, "drm_debugfs_create_files" },
	{ 0x55110225, "drm_gpuvm_bo_unmap_ops_create" },
	{ 0x7e7c65cd, "drm_hdmi_avi_infoframe_quant_range" },
	{ 0xfc59fcc4, "drm_dp_pcon_frl_configure_1" },
	{ 0x8ba22376, "ttm_bo_vm_close" },
	{ 0x5407ae9e, "drm_dp_get_dual_mode_type_name" },
	{ 0x5512a447, "drm_vblank_work_flush" },
	{ 0xb182fd51, "drm_connector_init" },
	{ 0xfdb58837, "drm_plane_create_scaling_filter_property" },
	{ 0xa78095ed, "__devm_drm_dev_alloc" },
	{ 0xa86920b3, "drm_dp_pcon_frl_configure_2" },
	{ 0x3ceb5cc1, "drm_sched_resubmit_jobs" },
	{ 0x47739197, "kobject_create_and_add" },
	{ 0xbff9dc9d, "drm_ioctl" },
	{ 0xddcb7dfd, "i2c_bit_algo" },
	{ 0x4cd96c34, "mipi_dsi_set_maximum_return_packet_size" },
	{ 0x829b6048, "drm_dp_dsc_sink_max_slice_count" },
	{ 0x2bfdf42f, "drm_any_plane_has_format" },
	{ 0xe24a9797, "param_ops_charp" },
	{ 0xc7d48cc, "drm_vblank_init" },
	{ 0x916b92be, "mutex_trylock" },
	{ 0xb41d44da, "ttm_bo_vunmap" },
	{ 0x4c5a25b6, "trace_event_buffer_reserve" },
	{ 0x7c34477b, "mutex_is_locked" },
	{ 0x5fdd1e5d, "drm_atomic_state_default_release" },
	{ 0x92058702, "__xa_alloc_cyclic" },
	{ 0x78cbdf7d, "seq_lseek" },
	{ 0x860eaa5, "__mmap_lock_do_trace_start_locking" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xdbbbefe1, "irq_work_queue" },
	{ 0x783e8484, "drm_dp_set_phy_test_pattern" },
	{ 0xc6dd670c, "drm_suballoc_manager_init" },
	{ 0x4a8508cf, "dma_buf_dynamic_attach" },
	{ 0x87dbbff9, "drm_connector_set_panel_orientation_with_quirk" },
	{ 0x107742a9, "drm_get_subpixel_order_name" },
	{ 0xfddc4811, "ttm_bo_set_bulk_move" },
	{ 0x7f8839d6, "i2c_acpi_get_i2c_resource" },
	{ 0xaf267620, "drm_dp_lttpr_count" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xa1d1d09c, "drm_dp_mst_topology_mgr_suspend" },
	{ 0xe0df6430, "drm_crtc_create_scaling_filter_property" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xc020c0c1, "drm_dp_pcon_dsc_max_slice_width" },
	{ 0x99fd20aa, "drm_rect_clip_scaled" },
	{ 0xb1882db8, "trace_output_call" },
	{ 0xc41c5350, "drm_vblank_work_init" },
	{ 0x619020cd, "mempool_alloc_noprof" },
	{ 0xb0846525, "drm_dp_vsc_sdp_log" },
	{ 0xd72e9448, "mmu_interval_read_begin" },
	{ 0xe748de07, "drm_fb_helper_unprepare" },
	{ 0xbf40c7dd, "vga_client_register" },
	{ 0x47fd5037, "drm_atomic_get_connector_state" },
	{ 0xcdb99cc9, "drm_mode_init" },
	{ 0xdfda8874, "drm_dp_read_mst_cap" },
	{ 0xf689ad25, "drm_dp_downstream_420_passthrough" },
	{ 0xbffa7550, "mark_page_accessed" },
	{ 0xec2253d7, "drm_dp_mst_hpd_irq_send_new_request" },
	{ 0x6751b1f8, "dma_fence_chain_walk" },
	{ 0xf23a572a, "drm_kms_helper_poll_init" },
	{ 0x87533448, "drm_dp_pcon_hdmi_frl_link_error_count" },
	{ 0x9d42316b, "drm_dp_cec_unregister_connector" },
	{ 0x114c1ccc, "__drm_puts_coredump" },
	{ 0x88cd2e50, "vga_put" },
	{ 0x23daa989, "mipi_dsi_create_packet" },
	{ 0x149909c6, "__xa_alloc" },
	{ 0xdfc2c7d9, "pci_unregister_driver" },
	{ 0x29f078d1, "drm_mode_legacy_fb_format" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xfe8f2b47, "drm_atomic_helper_check_modeset" },
	{ 0x96e46e3d, "drm_fb_helper_ioctl" },
	{ 0x9cf647c7, "param_ops_uint" },
	{ 0x516a3c53, "fault_create_debugfs_attr" },
	{ 0xc0b7d7cd, "drm_gpuvm_bo_put" },
	{ 0xde1ab51a, "hmm_range_fault" },
	{ 0xd743aaea, "drm_gpuvm_put" },
	{ 0x283a84f4, "module_layout" },
};

MODULE_INFO(depends, "drm_display_helper,ttm,drm_gpuvm,drm_suballoc_helper,video,drm_buddy,drm_exec,drm_ttm_helper,gpu-sched,cec,i2c-algo-bit");

MODULE_ALIAS("pci:v00008086d00009A60sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009A68sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009A70sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009A40sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009A49sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009A59sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009A78sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009AC0sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009AC9sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009AD9sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009AF8sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004C80sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004C8Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004C8Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004C8Csv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004C90sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004C9Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004680sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004682sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004688sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000468Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000468Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004690sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004692sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004693sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046A0sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046A1sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046A2sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046A3sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046A6sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046A8sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046AAsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000462Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004626sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004628sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046B0sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046B1sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046B2sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046B3sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046C0sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046C1sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046C2sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046C3sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046D0sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046D1sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046D2sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A721sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A7A1sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A7A9sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A7ACsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A7ADsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A720sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A7A0sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A7A8sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A7AAsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A7ABsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A780sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A781sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A782sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A783sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A788sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A789sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A78Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A78Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004905sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004906sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004907sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004908sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004909sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056C0sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056C2sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056C1sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005690sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005691sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005692sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056A0sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056A1sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056A2sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056BEsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056BFsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005693sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005694sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005695sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056A5sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056A6sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056B0sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056B1sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056BAsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056BBsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056BCsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056BDsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005696sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005697sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056A3sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056A4sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056B2sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056B3sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00007D40sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00007D41sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00007D45sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00007D51sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00007D55sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00007D60sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00007D67sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00007DD1sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00007DD5sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00006420sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000064A0sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000064B0sv*sd*bc03sc*i*");

MODULE_INFO(srcversion, "C975FF1E59738E012DF000E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
