#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(prestera_device_register, "", "");
KSYMTAB_FUNC(prestera_device_unregister, "", "");

SYMBOL_CRC(prestera_device_register, 0xded14cdf, "");
SYMBOL_CRC(prestera_device_unregister, 0x0cd82914, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x23439f6a, "eth_type_trans" },
	{ 0x677ccab5, "flow_rule_match_icmp" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xa7831f72, "dma_map_page_attrs" },
	{ 0x86105133, "napi_complete_done" },
	{ 0xd4748efb, "switchdev_handle_port_obj_del" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xaced1645, "priv_to_devlink" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x39ac39ad, "__napi_schedule" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x4c5a3954, "__alloc_skb" },
	{ 0x6ac5ab4b, "switchdev_bridge_port_offload" },
	{ 0xd6dd8223, "flow_block_cb_incref" },
	{ 0xc96ebb9f, "flow_rule_match_ports_range" },
	{ 0xf1befeb9, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xd09cc220, "free_fib_info" },
	{ 0x17cdab15, "flow_rule_match_basic" },
	{ 0x6bcaad59, "idr_remove" },
	{ 0xaaaed396, "vlan_dev_real_dev" },
	{ 0xc35466db, "__dev_get_by_index" },
	{ 0x4783c964, "devlink_port_unregister" },
	{ 0x157899b3, "_dev_err" },
	{ 0xe6e61ba2, "init_net" },
	{ 0xfaa81987, "skb_pull" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0x4731f469, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xff99d27f, "_raw_write_lock" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xea93db16, "flow_block_cb_decref" },
	{ 0xc3f8e321, "skb_push" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0xd67f6c09, "napi_enable" },
	{ 0x3ea706f9, "register_netdev" },
	{ 0xd68a08a1, "unregister_fib_notifier" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x324ec3d2, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0xab5bcd0, "_raw_read_unlock" },
	{ 0x90ed952d, "rhashtable_walk_start_check" },
	{ 0xcc63469e, "_raw_write_unlock" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xed6f715c, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xa5e2b6dc, "rhashtable_walk_stop" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xceab9502, "idr_alloc_cyclic" },
	{ 0x9c9f5573, "idr_destroy" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x5e423590, "rhashtable_free_and_destroy" },
	{ 0x50c99271, "switchdev_bridge_port_unoffload" },
	{ 0xfb578fc5, "memset" },
	{ 0x1fe94107, "_dev_warn" },
	{ 0xb347b124, "flow_rule_match_ports" },
	{ 0x91782581, "rht_bucket_nested_insert" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x693622a3, "__pskb_pull_tail" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xb917289f, "rhashtable_destroy" },
	{ 0xe3844265, "devlink_trap_report" },
	{ 0xa057416b, "__neigh_event_send" },
	{ 0x45ec0ee, "flow_block_cb_alloc" },
	{ 0xb02b0471, "switchdev_handle_port_obj_add" },
	{ 0x5b547515, "fib_alias_hw_flags_set" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x257bf677, "phylink_pcs_change" },
	{ 0x7ed4dd71, "__neigh_create" },
	{ 0x875a841e, "netdev_walk_all_upper_dev_rcu" },
	{ 0xc16dd2d3, "pv_ops" },
	{ 0x167b0233, "rhashtable_insert_slow" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xa16449b4, "phylink_ethtool_ksettings_set" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xd5e7fa0d, "alloc_netdev_dummy" },
	{ 0xdb049988, "neigh_destroy" },
	{ 0xa6ab9899, "rhashtable_init_noprof" },
	{ 0x9b54a3f3, "br_multicast_enabled" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xe875e218, "__rwlock_init" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x801b09d6, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xdabd80fb, "flow_rule_match_vlan" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x15c3fd07, "netdev_master_upper_dev_get_rcu" },
	{ 0x42957e88, "devlink_traps_register" },
	{ 0x41620cdc, "radix_tree_tagged" },
	{ 0x41e7fc35, "netdev_master_upper_dev_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x19c134d, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x679faf7b, "flow_rule_match_meta" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x87c958f8, "devlink_priv" },
	{ 0x7544581a, "devlink_port_register_with_ops" },
	{ 0x15a12462, "netif_carrier_on" },
	{ 0xecfb9872, "netdev_has_any_upper_dev" },
	{ 0xbcdd3814, "_raw_read_lock" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0xf763a724, "devlink_trap_groups_register" },
	{ 0xf9bdb61d, "arp_tbl" },
	{ 0x9616a255, "phylink_ethtool_ksettings_get" },
	{ 0xbf3d6daa, "vlan_uses_dev" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xb9a59209, "netdev_walk_all_lower_dev" },
	{ 0x336466c, "rhashtable_walk_next" },
	{ 0xab63baa5, "unregister_inetaddr_validator_notifier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x63d3eece, "kmalloc_trace_noprof" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xc4034b57, "napi_schedule_prep" },
	{ 0xe5047189, "__fib_lookup" },
	{ 0x5b4f6b28, "napi_disable" },
	{ 0x7d55600, "dev_kfree_skb_any_reason" },
	{ 0xc32c71af, "register_inetaddr_validator_notifier" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0x888e1712, "devlink_trap_groups_unregister" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x3be28825, "flow_rule_match_control" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x39cd779c, "rhashtable_walk_exit" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x4cbec016, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0xf0ca8cec, "neigh_lookup" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x484f9c1b, "alloc_etherdev_mqs" },
	{ 0xbd301908, "netdev_lower_get_next" },
	{ 0x37ef8e28, "flow_block_cb_lookup" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x7f37190d, "br_vlan_enabled" },
	{ 0x95d78d8e, "__skb_pad" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xc695b63c, "devlink_unregister" },
	{ 0x8c44ab2f, "dma_pool_create" },
	{ 0x1f65024a, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7d19b9cd, "kmalloc_large_noprof" },
	{ 0xedca8351, "call_switchdev_notifiers" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x4828284c, "register_fib_notifier" },
	{ 0x4817f54c, "l3mdev_fib_table_rcu" },
	{ 0x1049f334, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3032ef4e, "idr_alloc_u32" },
	{ 0x6b8bf149, "netif_receive_skb_list" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x6f533588, "unregister_netdev" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xb33b872f, "dma_unmap_page_attrs" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x30eea152, "flow_rule_match_eth_addrs" },
	{ 0x28f1084c, "devlink_port_attrs_set" },
	{ 0x48cc5437, "flow_block_cb_priv" },
	{ 0x83f229af, "flow_block_cb_free" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x899a17fe, "devlink_alloc_ns" },
	{ 0x35b11056, "_raw_read_unlock_bh" },
	{ 0x41f016bf, "devlink_register" },
	{ 0xbf919a59, "_raw_read_lock_bh" },
	{ 0x6d4cf96, "pcpu_hot" },
	{ 0x6c2e9bed, "devlink_free" },
	{ 0x73222018, "netdev_warn" },
	{ 0xf4a83856, "flow_rule_match_ipv4_addrs" },
	{ 0xacbb5f82, "__netif_napi_del" },
	{ 0xb59da1fa, "rhashtable_walk_enter" },
	{ 0xd11398f1, "fib_table_lookup" },
	{ 0x4f2a570d, "skb_pull_rcsum" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xadc16795, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x12044851, "pskb_expand_head" },
	{ 0x78e3adab, "switchdev_handle_port_attr_set" },
	{ 0x21360f0c, "devlink_traps_unregister" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xa9dcebab, "dev_driver_string" },
	{ 0x4574f6f2, "dev_addr_mod" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x283a84f4, "module_layout" },
};

MODULE_INFO(depends, "phylink,bridge");


MODULE_INFO(srcversion, "C0465A596D8B76D548F9F12");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
