#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vxlan_fdb_find_uc, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_replay, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(vxlan_dev_create, "_gpl", "");

SYMBOL_CRC(vxlan_fdb_find_uc, 0x12bbf85f, "_gpl");
SYMBOL_CRC(vxlan_fdb_replay, 0x470781ee, "_gpl");
SYMBOL_CRC(vxlan_fdb_clear_offload, 0xfbde6a65, "_gpl");
SYMBOL_CRC(vxlan_dev_create, 0x255d8ce6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x325be984, "lock_sock_nested" },
	{ 0xed6f715c, "ethtool_op_get_link" },
	{ 0x17766468, "nexthop_find_by_id" },
	{ 0xc1ffb2b2, "arp_create" },
	{ 0xc883e875, "__ethtool_get_link_ksettings" },
	{ 0x5f253282, "netdev_adjacent_change_prepare" },
	{ 0xcf8bd5ae, "rtnl_register_module" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x410972a2, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x5e423590, "rhashtable_free_and_destroy" },
	{ 0x91782581, "rht_bucket_nested_insert" },
	{ 0xaf795809, "netdev_adjacent_change_abort" },
	{ 0x50178a0d, "udp_tunnel_sock_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xf9f388d, "udp_tunnel6_dst_lookup" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x48a2298f, "__iptunnel_pull_header" },
	{ 0x693622a3, "__pskb_pull_tail" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xc213ba54, "netif_rx" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xb917289f, "rhashtable_destroy" },
	{ 0x47f324f1, "setup_udp_tunnel_sock" },
	{ 0xed9133e5, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x5389a7a5, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x12ec5a1c, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x261202bd, "skb_scrub_packet" },
	{ 0x9949aa59, "nexthop_select_path" },
	{ 0xc16dd2d3, "pv_ops" },
	{ 0x167b0233, "rhashtable_insert_slow" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xa2eec04, "metadata_dst_free" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xdb049988, "neigh_destroy" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0xa6ab9899, "rhashtable_init_noprof" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe884a1e7, "param_ops_bool" },
	{ 0xdf213e3, "udp_tun_rx_dst" },
	{ 0x91ff0067, "rtnl_notify" },
	{ 0xce5f789c, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd475a261, "__netif_rx" },
	{ 0x3be99a99, "skb_clone" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xc9404f2f, "metadata_dst_alloc" },
	{ 0xe9a82142, "dst_release" },
	{ 0xf9bdb61d, "arp_tbl" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0x198530d0, "udp_tunnel_notify_del_rx_port" },
	{ 0x1be459b1, "register_nexthop_notifier" },
	{ 0x4ca08f1, "ip_mc_leave_group" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x63d3eece, "kmalloc_trace_noprof" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xd85c66d2, "gro_find_receive_by_type" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x30118c99, "netdev_core_stats_inc" },
	{ 0x4cbec016, "kmalloc_caches" },
	{ 0x76042475, "netdev_info" },
	{ 0xd6830d46, "skb_dump" },
	{ 0xf0ca8cec, "neigh_lookup" },
	{ 0x774a0a7c, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x9c058a0f, "register_netdevice" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x9616f500, "__skb_checksum_complete" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x5b93b334, "skb_copy_bits" },
	{ 0x28173937, "__nlmsg_put" },
	{ 0xda360e06, "netdev_adjacent_change_commit" },
	{ 0x62d6fe30, "eth_mac_addr" },
	{ 0x1f65024a, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7d19b9cd, "kmalloc_large_noprof" },
	{ 0xedca8351, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xf4ea364d, "ip6_dst_hoplimit" },
	{ 0x98ca7994, "param_ops_ushort" },
	{ 0xa56c0270, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0xb7f54816, "nla_put_64bit" },
	{ 0xcd282129, "udp_sock_create4" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf8ef7bfb, "udp_tunnel6_xmit_skb" },
	{ 0xc66003e7, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x17777c9, "__unregister_nexthop_notifier" },
	{ 0xd041cb4b, "netif_inherit_tso_max" },
	{ 0x37a0cba, "kfree" },
	{ 0x6d4cf96, "pcpu_hot" },
	{ 0x59c35894, "eth_validate_addr" },
	{ 0xe6a40a3d, "gro_cells_init" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x1c2eacdf, "rtnl_create_link" },
	{ 0x8ddfe435, "unregister_netdevice_queue" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x408acbb6, "iptunnel_handle_offloads" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xfaf00876, "ether_setup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6cca3c72, "udp_tunnel_drop_rx_port" },
	{ 0x16e13190, "netdev_upper_dev_link" },
	{ 0x12044851, "pskb_expand_head" },
	{ 0x95208717, "register_pernet_subsys" },
	{ 0x4574f6f2, "dev_addr_mod" },
	{ 0x23439f6a, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xb8f7350a, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0xe05e2f85, "nexthop_free_rcu" },
	{ 0x4c5a3954, "__alloc_skb" },
	{ 0xfc44a626, "udp_tunnel_notify_add_rx_port" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xc07ad8c5, "eth_gro_complete" },
	{ 0x6b5caaa, "rtnl_set_sk_err" },
	{ 0x32417923, "eth_gro_receive" },
	{ 0xc8bd1933, "rtnl_configure_link" },
	{ 0x6e01babb, "skb_tunnel_check_pmtu" },
	{ 0x5ab83ac0, "udp_tunnel_dst_lookup" },
	{ 0xcbbae158, "rtnl_unicast" },
	{ 0x7ab1d785, "peernet2id" },
	{ 0x10751925, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0xc35466db, "__dev_get_by_index" },
	{ 0x5769a7fe, "rtnl_link_unregister" },
	{ 0xa0c5b693, "__skb_get_hash" },
	{ 0x1ac38039, "ipv6_stub" },
	{ 0xfaa81987, "skb_pull" },
	{ 0x3a44c1b8, "gro_find_complete_by_type" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xc0e9dd47, "dev_get_by_index_rcu" },
	{ 0x4731f469, "kfree_skb_reason" },
	{ 0x8ba87b15, "gro_cells_receive" },
	{ 0xc3f8e321, "skb_push" },
	{ 0x38a9f7c5, "in6addr_loopback" },
	{ 0x71a0014d, "netdev_upper_dev_unlink" },
	{ 0xd5a43273, "nla_put" },
	{ 0x324ec3d2, "free_netdev" },
	{ 0x2f1257f7, "ip_mc_join_group" },
	{ 0xa6cf2b2a, "udp_tunnel_push_rx_port" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x283a84f4, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "22D5A6E39F29B1F437404C4");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
