#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x68172358, "ieee80211_handle_wake_tx_queue" },
	{ 0x92997ed8, "_printk" },
	{ 0xe621bd4e, "ath9k_hw_beaconinit" },
	{ 0xfeac41fe, "usb_put_dev" },
	{ 0x4cf0a351, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0xc39a60b3, "ath9k_hw_settsf64" },
	{ 0x912a3adb, "usb_kill_anchored_urbs" },
	{ 0x2701f25f, "usb_get_dev" },
	{ 0x4c5a3954, "__alloc_skb" },
	{ 0x6a9cb63c, "ath9k_hw_init_global_settings" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xbf4cbd7, "ath9k_hw_name" },
	{ 0xb23fe156, "usb_submit_urb" },
	{ 0xf1befeb9, "_dev_info" },
	{ 0x4335e1b2, "ath9k_hw_beaconq_setup" },
	{ 0x792809ec, "skb_queue_tail" },
	{ 0xf0bd74bb, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x71a43eb7, "ath9k_hw_init_btcoex_hw" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x2076ff20, "wiphy_to_ieee80211_hw" },
	{ 0x8c87705d, "ath_reg_notifier_apply" },
	{ 0xda4d749, "ieee80211_queue_delayed_work" },
	{ 0xc94a69fb, "ath9k_hw_write_associd" },
	{ 0x157899b3, "_dev_err" },
	{ 0x87670936, "request_firmware_nowait" },
	{ 0xfaa81987, "skb_pull" },
	{ 0x3939f8f0, "rfkill_pause_polling" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4731f469, "kfree_skb_reason" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xc3f8e321, "skb_push" },
	{ 0x4571aea8, "ath_is_world_regd" },
	{ 0x5a921311, "strncmp" },
	{ 0x45ce90a6, "ath9k_cmn_process_rssi" },
	{ 0xab8ed349, "usb_control_msg" },
	{ 0xb381691c, "ath9k_cmn_beacon_config_adhoc" },
	{ 0x12284411, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0xdf7038ba, "ath_is_mybeacon" },
	{ 0x16c2a323, "ath9k_hw_ani_monitor" },
	{ 0xb2f2c855, "ath9k_hw_getrxfilter" },
	{ 0xe582aa95, "ath9k_hw_btcoex_disable" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xb707d748, "ieee80211_wake_queues" },
	{ 0x23941661, "ath9k_cmn_beacon_config_ap" },
	{ 0x592ad85, "ath9k_hw_set_tsfadjust" },
	{ 0x7318d75b, "ath9k_hw_set_sta_beacon_timers" },
	{ 0x7e2f81cb, "led_classdev_register_ext" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xd5590e90, "ieee80211_alloc_hw_nm" },
	{ 0x14e69ae1, "usb_deregister" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xacd0c48c, "ath9k_hw_gettsf64" },
	{ 0x613224ae, "ieee80211_emulate_add_chanctx" },
	{ 0x8822ba36, "ath9k_hw_resettxqueue" },
	{ 0x2ab28cda, "ath9k_hw_disable" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x386906ab, "ath9k_hw_setopmode" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x99ffb2fe, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xe45da87b, "ath_printk" },
	{ 0x42e3c062, "__netdev_alloc_skb" },
	{ 0x8c966cf0, "complete_all" },
	{ 0xb3093f80, "usb_unanchor_urb" },
	{ 0xe037445d, "ieee80211_stop_queues" },
	{ 0x5389a7a5, "skb_trim" },
	{ 0x97c84025, "ath9k_cmn_init_channels_rates" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x48747d87, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x4b8db675, "ath9k_cmn_reload_chainmask" },
	{ 0x6a463ad3, "usb_get_urb" },
	{ 0x17b14350, "wiphy_rfkill_start_polling" },
	{ 0x47133a34, "ath9k_hw_reset_tsf" },
	{ 0x79361adb, "ath9k_hw_releasetxqueue" },
	{ 0xa295a34a, "ath9k_hw_get_txq_props" },
	{ 0xb7bd34fa, "ath9k_hw_setrxfilter" },
	{ 0xeecdfcd2, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x99b998d2, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x3c72d3b9, "usb_kill_urb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x44b48cf7, "ath_regd_init" },
	{ 0x654b343, "ath9k_hw_gpio_get" },
	{ 0xc9e509e9, "ieee80211_beacon_get_tim" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xb4c9bed1, "ath9k_cmn_update_txpow" },
	{ 0xc333b312, "ath_key_delete" },
	{ 0x657015de, "ath9k_hw_stopdmarecv" },
	{ 0x29b7179c, "ath9k_cmn_get_hw_crypto_keytype" },
	{ 0x46a1f4c5, "ath9k_hw_wait" },
	{ 0x3507dd3e, "ath9k_hw_btcoex_enable" },
	{ 0x63d3eece, "kmalloc_trace_noprof" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x5284d566, "ath9k_cmn_process_rate" },
	{ 0xef7b54d9, "ieee80211_queue_work" },
	{ 0xe1763dcd, "ath9k_cmn_init_crypto" },
	{ 0xa9431d36, "ath9k_hw_set_gpio" },
	{ 0x172d0953, "device_release_driver" },
	{ 0x7d55600, "dev_kfree_skb_any_reason" },
	{ 0x33808f56, "param_ops_int" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x9b717e57, "ath9k_hw_deinit" },
	{ 0x248e0747, "ieee80211_emulate_remove_chanctx" },
	{ 0x11f63a6d, "ath9k_cmn_get_channel" },
	{ 0x4cbec016, "kmalloc_caches" },
	{ 0x4b083ab9, "ath9k_hw_init" },
	{ 0x86e365af, "ieee80211_csa_finish" },
	{ 0xfbfcb1cd, "ath9k_hw_set_txq_props" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x1b2db13f, "ieee80211_rx_napi" },
	{ 0x90f199bb, "usb_alloc_urb" },
	{ 0x9baaa813, "usb_anchor_urb" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xab8ffb04, "usb_free_urb" },
	{ 0x81140232, "ath9k_hw_reset_calvalid" },
	{ 0x9cf647c7, "param_ops_uint" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x1f65024a, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7d19b9cd, "kmalloc_large_noprof" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb5845c95, "ath_key_config" },
	{ 0x1336bd21, "ath9k_hw_btcoex_init_3wire" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x38f1de8f, "skb_dequeue" },
	{ 0xd139c41e, "ath9k_cmn_rx_accept" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xa0ffb6ba, "ieee80211_free_hw" },
	{ 0x40fb67e4, "ath9k_hw_reset" },
	{ 0x8162a570, "request_firmware" },
	{ 0x4c0846f5, "usb_register_driver" },
	{ 0xcfea726d, "ath9k_hw_setuptxqueue" },
	{ 0xf2472de1, "ath9k_hw_startpcureceive" },
	{ 0xd9bb5c0c, "ath9k_hw_gpio_request_out" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x5d03c98d, "ieee80211_start_tx_ba_session" },
	{ 0x9bac134b, "ath9k_hw_setmcastfilter" },
	{ 0x69acdf38, "memcpy" },
	{ 0xe1a95738, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0xee0c3a2a, "ath9k_hw_btcoex_set_weight" },
	{ 0x239ab6d, "led_classdev_unregister" },
	{ 0x1449064d, "ieee80211_register_hw" },
	{ 0x376a8eca, "ieee80211_emulate_change_chanctx" },
	{ 0x4a0c5854, "__ieee80211_create_tpt_led_trigger" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x76578a02, "ath9k_hw_setpower" },
	{ 0xb4b3780a, "ieee80211_get_hdrlen_from_skb" },
	{ 0xddbc794a, "__ieee80211_get_radio_led_name" },
	{ 0xfc4e66de, "ath9k_hw_phy_disable" },
	{ 0xaab6e9cd, "ath9k_cmn_rx_skb_postprocess" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xb300bdc6, "ath_hw_setbssidmask" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x2a25b379, "ath9k_cmn_beacon_config_sta" },
	{ 0x2fa3e3b7, "ath9k_hw_setrxabort" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x376d1ce8, "ath9k_hw_btcoex_bt_stomp" },
	{ 0x6440b1a, "ath9k_hw_gpio_free" },
	{ 0xa67802b6, "usb_interrupt_msg" },
	{ 0x12d5d0eb, "ieee80211_tx_status_skb" },
	{ 0xbed3afa6, "ieee80211_get_buffered_bc" },
	{ 0x93c7edeb, "usb_find_common_endpoints" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5305fb1e, "ieee80211_find_sta" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x283a84f4, "module_layout" },
};

MODULE_INFO(depends, "mac80211,ath9k_hw,usbcore,ath,rfkill,ath9k_common,cfg80211");

MODULE_ALIAS("usb:v0CF3p9271d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0CF3p1006d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0846p9030d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07B8p9271d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07D1p3A10d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13D3p3327d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13D3p3328d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13D3p3346d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13D3p3348d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13D3p3349d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13D3p3350d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04CAp4605d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v040Dp3801d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0CF3pB003d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0CF3pB002d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v057Cp8403d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0471p209Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1EDAp2315d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0CF3p7015d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0CF3p7010d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0846p9018d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v083ApA704d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p017Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0197d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04DAp3904d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0930p0A08d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0CF3p20FFd*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "9339151548F1FB2D4433591");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
