#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(qtnf_core_attach, "_gpl", "");
KSYMTAB_FUNC(qtnf_core_detach, "_gpl", "");
KSYMTAB_FUNC(qtnf_classify_skb, "_gpl", "");
KSYMTAB_FUNC(qtnf_wake_all_queues, "_gpl", "");
KSYMTAB_FUNC(qtnf_get_debugfs_dir, "_gpl", "");
KSYMTAB_FUNC(qtnf_trans_handle_rx_ctl_packet, "_gpl", "");
KSYMTAB_FUNC(qtnf_chipid_to_string, "_gpl", "");

SYMBOL_CRC(qtnf_core_attach, 0x257ddc27, "_gpl");
SYMBOL_CRC(qtnf_core_detach, 0x7f32686f, "_gpl");
SYMBOL_CRC(qtnf_classify_skb, 0x5a1ee745, "_gpl");
SYMBOL_CRC(qtnf_wake_all_queues, 0xa274dec9, "_gpl");
SYMBOL_CRC(qtnf_get_debugfs_dir, 0x051aa32a, "_gpl");
SYMBOL_CRC(qtnf_trans_handle_rx_ctl_packet, 0x3031149c, "_gpl");
SYMBOL_CRC(qtnf_chipid_to_string, 0x31fab83c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x679a748b, "alloc_netdev_mqs" },
	{ 0xe2abe060, "wiphy_new_nm" },
	{ 0x92997ed8, "_printk" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x1cd77133, "wiphy_register" },
	{ 0xa916b694, "strnlen" },
	{ 0xcebfa1f1, "cfg80211_put_bss" },
	{ 0x84098b3a, "cfg80211_ch_switch_notify" },
	{ 0x792809ec, "skb_queue_tail" },
	{ 0xf517fead, "ieee80211_get_channel_khz" },
	{ 0x5cf770b1, "cfg80211_check_combinations" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xa8043635, "__cfg80211_radar_event" },
	{ 0xb4b7e6b9, "cfg80211_get_drvinfo" },
	{ 0xe6e61ba2, "init_net" },
	{ 0xd545208a, "platform_device_unregister" },
	{ 0x1cef4622, "cfg80211_michael_mic_failure" },
	{ 0x60e3c720, "wiphy_apply_custom_regulatory" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x434b30c0, "debugfs_remove" },
	{ 0xa11aa2b, "cfg80211_del_sta_sinfo" },
	{ 0xa8af1471, "cfg80211_update_owe_info_event" },
	{ 0xc0bc7e6b, "wiphy_unregister" },
	{ 0x324ec3d2, "free_netdev" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x11089ac7, "_ctype" },
	{ 0xff2569ef, "netif_tx_stop_all_queues" },
	{ 0x52570a8d, "netif_tx_wake_queue" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x72f7d8e3, "wdev_chandef" },
	{ 0x42e3c062, "__netdev_alloc_skb" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x62b5e377, "cfg80211_unregister_wdev" },
	{ 0x290a34e5, "platform_device_register_full" },
	{ 0xfef3c93c, "cfg80211_rx_mgmt_ext" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe884a1e7, "param_ops_bool" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x19c134d, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x15a12462, "netif_carrier_on" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xb9a59209, "netdev_walk_all_lower_dev" },
	{ 0x63d3eece, "kmalloc_trace_noprof" },
	{ 0xcdd8e3d6, "cfg80211_inform_bss_data" },
	{ 0x6c48dd0a, "cfg80211_shutdown_all_interfaces" },
	{ 0x7d55600, "dev_kfree_skb_any_reason" },
	{ 0x61cdbbc0, "regulatory_set_wiphy_regd" },
	{ 0x349cba85, "strchr" },
	{ 0x3809e270, "debugfs_create_dir" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xa7f4657e, "cfg80211_connect_done" },
	{ 0xd6c90565, "__cfg80211_get_bss" },
	{ 0x2fef7734, "wiphy_free" },
	{ 0x4cbec016, "kmalloc_caches" },
	{ 0xe6d795a8, "device_set_wakeup_enable" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x62d6fe30, "eth_mac_addr" },
	{ 0x1f65024a, "skb_put" },
	{ 0xa938c92e, "cfg80211_scan_done" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xa56c0270, "consume_skb" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd2948ed5, "cfg80211_cac_event" },
	{ 0x38f1de8f, "skb_dequeue" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x8253f63, "cfg80211_register_netdevice" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x69acdf38, "memcpy" },
	{ 0xe1a95738, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0xde0fa3e0, "cfg80211_external_auth_request" },
	{ 0x538f32f2, "cfg80211_chandef_valid" },
	{ 0x5588679e, "cfg80211_new_sta" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x645298e0, "cfg80211_disconnected" },
	{ 0xfaf00876, "ether_setup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x61aa5d3a, "netdev_port_same_parent_id" },
	{ 0x4574f6f2, "dev_addr_mod" },
	{ 0xf79ca159, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x283a84f4, "module_layout" },
};

MODULE_INFO(depends, "cfg80211");


MODULE_INFO(srcversion, "95C50ED0AF0F008EB2C23B4");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
