#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tpmi_sst_dev_add, "_gpl", "INTEL_TPMI_SST");
KSYMTAB_FUNC(tpmi_sst_dev_remove, "_gpl", "INTEL_TPMI_SST");
KSYMTAB_FUNC(tpmi_sst_dev_suspend, "_gpl", "INTEL_TPMI_SST");
KSYMTAB_FUNC(tpmi_sst_dev_resume, "_gpl", "INTEL_TPMI_SST");
KSYMTAB_FUNC(tpmi_sst_init, "_gpl", "INTEL_TPMI_SST");
KSYMTAB_FUNC(tpmi_sst_exit, "_gpl", "INTEL_TPMI_SST");

SYMBOL_CRC(tpmi_sst_dev_add, 0x73656fed, "_gpl");
SYMBOL_CRC(tpmi_sst_dev_remove, 0xce781ed1, "_gpl");
SYMBOL_CRC(tpmi_sst_dev_suspend, 0x4f5d01d5, "_gpl");
SYMBOL_CRC(tpmi_sst_dev_resume, 0xa98862c6, "_gpl");
SYMBOL_CRC(tpmi_sst_init, 0x45083054, "_gpl");
SYMBOL_CRC(tpmi_sst_exit, 0x98bbc7d5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe4fc48b3, "tpmi_get_platform_data" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0xe18f42a5, "isst_if_cdev_unregister" },
	{ 0x39081193, "__max_logical_packages" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x6eeb057f, "isst_if_cdev_register" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb4bca91d, "tpmi_get_feature_status" },
	{ 0xef0671fc, "tpmi_get_resource_count" },
	{ 0xc30751b4, "devm_kmalloc" },
	{ 0xf0939508, "tpmi_get_resource_at_index" },
	{ 0x6b4140d1, "devm_ioremap_resource" },
	{ 0xd253a309, "devm_iounmap" },
	{ 0x4cbec016, "kmalloc_caches" },
	{ 0x63d3eece, "kmalloc_trace_noprof" },
	{ 0xf1befeb9, "_dev_info" },
	{ 0x157899b3, "_dev_err" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xc16dd2d3, "pv_ops" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xf9a482f9, "msleep" },
	{ 0x283a84f4, "module_layout" },
};

MODULE_INFO(depends, "intel_vsec_tpmi,isst_if_common");


MODULE_INFO(srcversion, "29CA48E7A39F0BD41448BCA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
