#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tcpm_pd_transmit_complete, "_gpl", "");
KSYMTAB_FUNC(tcpm_pd_receive, "_gpl", "");
KSYMTAB_FUNC(tcpm_cc_change, "_gpl", "");
KSYMTAB_FUNC(tcpm_vbus_change, "_gpl", "");
KSYMTAB_FUNC(tcpm_pd_hard_reset, "_gpl", "");
KSYMTAB_FUNC(tcpm_sink_frs, "_gpl", "");
KSYMTAB_FUNC(tcpm_sourcing_vbus, "_gpl", "");
KSYMTAB_FUNC(tcpm_port_clean, "_gpl", "");
KSYMTAB_FUNC(tcpm_port_is_toggling, "_gpl", "");
KSYMTAB_FUNC(tcpm_port_error_recovery, "_gpl", "");
KSYMTAB_FUNC(tcpm_tcpc_reset, "_gpl", "");
KSYMTAB_FUNC(tcpm_register_port, "_gpl", "");
KSYMTAB_FUNC(tcpm_unregister_port, "_gpl", "");

SYMBOL_CRC(tcpm_pd_transmit_complete, 0x3b84657b, "_gpl");
SYMBOL_CRC(tcpm_pd_receive, 0x402a76b1, "_gpl");
SYMBOL_CRC(tcpm_cc_change, 0xc37b9769, "_gpl");
SYMBOL_CRC(tcpm_vbus_change, 0xceb50012, "_gpl");
SYMBOL_CRC(tcpm_pd_hard_reset, 0x9e0bd753, "_gpl");
SYMBOL_CRC(tcpm_sink_frs, 0x10ec6d2d, "_gpl");
SYMBOL_CRC(tcpm_sourcing_vbus, 0xeb779665, "_gpl");
SYMBOL_CRC(tcpm_port_clean, 0xd680581d, "_gpl");
SYMBOL_CRC(tcpm_port_is_toggling, 0xda86a83d, "_gpl");
SYMBOL_CRC(tcpm_port_error_recovery, 0x8512bd2a, "_gpl");
SYMBOL_CRC(tcpm_tcpc_reset, 0xea220941, "_gpl");
SYMBOL_CRC(tcpm_register_port, 0x82fa00a8, "_gpl");
SYMBOL_CRC(tcpm_unregister_port, 0x76eeda4b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5463e996, "typec_unregister_port" },
	{ 0xc9fd634a, "usb_role_switch_put" },
	{ 0x37a0cba, "kfree" },
	{ 0x434b30c0, "debugfs_remove" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x4b8c37a7, "typec_port_set_usb_power_delivery" },
	{ 0x1b06fab, "typec_match_altmode" },
	{ 0x37b6fec4, "typec_altmode_vdm" },
	{ 0x2d103e75, "usb_power_delivery_register_capabilities" },
	{ 0x794c64ac, "typec_altmode_update_active" },
	{ 0x1c6a78cd, "usb_power_delivery_register" },
	{ 0x196fffd1, "typec_cable_altmode_vdm" },
	{ 0xf2f6682c, "typec_cable_set_svdm_version" },
	{ 0x70d9b441, "typec_altmode_notify" },
	{ 0xb40a0883, "typec_altmode_attention" },
	{ 0x16f5b923, "typec_partner_set_identity" },
	{ 0x281ddab8, "typec_plug_set_num_altmodes" },
	{ 0x3c476c6a, "typec_plug_register_altmode" },
	{ 0x461814e0, "typec_cable_is_active" },
	{ 0x41d40e87, "typec_partner_set_svdm_version" },
	{ 0x936b8502, "typec_register_cable" },
	{ 0xf16b4654, "typec_cable_set_identity" },
	{ 0xf1a140f, "typec_register_plug" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc30751b4, "devm_kmalloc" },
	{ 0xd79d0fb7, "kthread_create_worker" },
	{ 0x35e732a5, "sched_set_fifo" },
	{ 0xe8ec57f3, "hrtimer_init" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xd24910c, "fw_devlink_purge_absent_suppliers" },
	{ 0xc26b8e02, "typec_get_fw_cap" },
	{ 0x6ad6d210, "fwnode_property_present" },
	{ 0xa767b649, "fwnode_get_named_child_node" },
	{ 0xfc318efe, "fwnode_get_next_child_node" },
	{ 0x2eeef0a7, "fwnode_property_read_u32_array" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0xf1e57346, "fwnode_property_read_string" },
	{ 0xf1234a8b, "typec_find_pwr_opmode" },
	{ 0x3b1de114, "usb_role_switch_get" },
	{ 0x754d539c, "strlen" },
	{ 0x1aacc38, "__dev_fwnode" },
	{ 0xd5cb63f8, "devm_power_supply_register" },
	{ 0x8a0f72c8, "fwnode_usb_role_switch_get" },
	{ 0xbecb01c8, "typec_register_port" },
	{ 0xc3c52d00, "typec_port_register_altmodes" },
	{ 0x4201607a, "typec_port_register_cable_ops" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd84c809d, "typec_set_pwr_opmode" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x78cbdf7d, "seq_lseek" },
	{ 0xc5fe2e9b, "seq_read" },
	{ 0x1033ede4, "single_release" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xbf942eca, "kthread_queue_work" },
	{ 0xf325b3ec, "typec_unregister_altmode" },
	{ 0xd3701c03, "typec_get_drvdata" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xc2babe8, "typec_register_partner" },
	{ 0x4392b57e, "typec_partner_set_usb_power_delivery" },
	{ 0x157899b3, "_dev_err" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x4095b96a, "usb_debug_root" },
	{ 0x3809e270, "debugfs_create_dir" },
	{ 0xec52fff4, "debugfs_create_file" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4e66e37f, "single_open" },
	{ 0x95945080, "seq_printf" },
	{ 0x77f000aa, "usb_power_delivery_unregister_capabilities" },
	{ 0x67452238, "devm_kfree" },
	{ 0x5f60af2e, "usb_power_delivery_unregister" },
	{ 0x7ac1254b, "local_clock" },
	{ 0x148653, "vsnprintf" },
	{ 0x96848186, "scnprintf" },
	{ 0x4cbec016, "kmalloc_caches" },
	{ 0x63d3eece, "kmalloc_trace_noprof" },
	{ 0x1fe94107, "_dev_warn" },
	{ 0xdfcf2b3e, "power_supply_get_drvdata" },
	{ 0x7c34477b, "mutex_is_locked" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6ea6c1ed, "hrtimer_cancel" },
	{ 0xe78c5b0c, "hrtimer_start_range_ns" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa3ae03e9, "typec_get_negotiated_svdm_version" },
	{ 0x831e1e7b, "typec_get_cable_svdm_version" },
	{ 0x65b45cb, "complete" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe0ca7296, "typec_partner_register_altmode" },
	{ 0x2ed3031b, "typec_set_orientation" },
	{ 0xd5474690, "usb_role_switch_set_role" },
	{ 0x89f09eae, "typec_set_mode" },
	{ 0xf545ee8f, "typec_set_data_role" },
	{ 0xd6fa2dce, "typec_set_pwr_role" },
	{ 0xd8738d60, "typec_set_vconn_role" },
	{ 0xa956b273, "power_supply_changed" },
	{ 0x3a5fa4ec, "typec_unregister_plug" },
	{ 0xaf0b7b57, "typec_unregister_cable" },
	{ 0xa28fbc48, "typec_unregister_partner" },
	{ 0x4ea34fed, "kthread_destroy_worker" },
	{ 0x283a84f4, "module_layout" },
};

MODULE_INFO(depends, "typec,roles");


MODULE_INFO(srcversion, "A9B769D5B69BF1F894F6A5B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
