#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xc517606d, "perf_trace_run_bpf_submit" },
	{ 0xfc266182, "fput" },
	{ 0xb7d14ec7, "down_write" },
	{ 0xeed7fd81, "up_write" },
	{ 0xa07a37f0, "memchr" },
	{ 0xf8bb0706, "fscache_withdraw_cache" },
	{ 0x8e40c676, "noop_llseek" },
	{ 0xf48e60c5, "bpf_trace_run5" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x4fa95d78, "lock_rename" },
	{ 0xf6ff740b, "kmem_cache_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xd530f828, "trace_event_reg" },
	{ 0xdd1e20d1, "vfs_getxattr" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x1a0d09e7, "fscache_n_write" },
	{ 0x51174475, "fscache_caching_failed" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x11089ac7, "_ctype" },
	{ 0x14e850cb, "security_path_mkdir" },
	{ 0xcce11a60, "fscache_n_no_write_space" },
	{ 0xad5e0a01, "kern_path" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x19bdffc3, "vfs_iocb_iter_read" },
	{ 0x90f5f875, "netfs_write_subrequest_terminated" },
	{ 0xac40db77, "misc_register" },
	{ 0xece626e0, "fscache_resume_after_invalidation" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbd8dc6bf, "kmem_cache_alloc_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x38046211, "unlock_rename" },
	{ 0x9ffefcb2, "fscache_n_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xeddd417, "down_read" },
	{ 0x73ce9e55, "fscache_acquire_cache" },
	{ 0x64a61682, "security_path_unlink" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xec1ef37a, "security_inode_create" },
	{ 0x3dfb6bc7, "bpf_trace_run3" },
	{ 0x31fbf8c1, "override_creds" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x6c8c9636, "fscache_add_cache" },
	{ 0x696d1f22, "__tracepoint_fscache_access_volume" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xfb3d2b7a, "path_get" },
	{ 0x4c5a25b6, "trace_event_buffer_reserve" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x15bfc234, "lookup_positive_unlocked" },
	{ 0x3c453e5f, "xa_destroy" },
	{ 0x36a7ca1a, "fscache_withdraw_cookie" },
	{ 0xf5d073e8, "xa_find" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc2643956, "fscache_clearance_waiters" },
	{ 0xc5289360, "dput" },
	{ 0xac61ffec, "iov_iter_zero" },
	{ 0xfc43ef2a, "lockref_get" },
	{ 0x6fb7ab77, "touch_atime" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x88c3d2be, "__SCK__tp_func_fscache_access_volume" },
	{ 0xda8d5f98, "vfs_llseek" },
	{ 0xf3794316, "kernel_file_open" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xddbf2df8, "rcuwait_wake_up" },
	{ 0x1763fddc, "vfs_link" },
	{ 0x63d3eece, "kmalloc_trace_noprof" },
	{ 0x206b3707, "prepare_kernel_cred" },
	{ 0x42737b5e, "xa_find_after" },
	{ 0x754d539c, "strlen" },
	{ 0x2acb5e19, "fscache_n_dio_misfit" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xbb53856b, "up_read" },
	{ 0xcba8f544, "security_inode_mkdir" },
	{ 0x87cd02d, "security_path_rename" },
	{ 0xf2ff7ba9, "set_security_override_from_ctx" },
	{ 0xba2bf1ef, "netfs_prepare_write_failed" },
	{ 0x4404d2aa, "fscache_n_no_create_space" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x4cbec016, "kmalloc_caches" },
	{ 0x84450d8c, "kmem_cache_destroy" },
	{ 0xb4dd9d9f, "set_create_files_as" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x90d447f3, "fscache_n_culled" },
	{ 0x7378a213, "fscache_wait_for_operation" },
	{ 0xb40e0118, "vfs_removexattr" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xe49cfd4c, "revert_creds" },
	{ 0xf176fadd, "misc_deregister" },
	{ 0xa0f167cd, "vfs_setxattr" },
	{ 0xd2739635, "fscache_try_get_volume" },
	{ 0x2aa00e4e, "notify_change" },
	{ 0x6333faae, "bpf_trace_run4" },
	{ 0x9cf647c7, "param_ops_uint" },
	{ 0x7b1b25da, "__SCT__tp_func_fscache_access_volume" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x804278b3, "vfs_rename" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x49fc38a, "lookup_one_len" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd4a7aa76, "fscache_get_cookie" },
	{ 0x65b45cb, "complete" },
	{ 0x34190124, "trace_raw_output_prep" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xc7c39f24, "__trace_trigger_soft_disabled" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x80880772, "iov_iter_advance" },
	{ 0x8110d8e3, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x61f50ad2, "__xa_erase" },
	{ 0xd85cb043, "abort_creds" },
	{ 0xd71685f0, "fscache_io_error" },
	{ 0xc9e79d46, "sync_filesystem" },
	{ 0x7c9965d1, "fscache_put_volume" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0xcbb2320c, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x37a0cba, "kfree" },
	{ 0x6d4cf96, "pcpu_hot" },
	{ 0x4024f95a, "fscache_cookie_lookup_negative" },
	{ 0xc25a8f1a, "bpf_trace_run2" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x2aababb7, "kmem_cache_create" },
	{ 0xcd1064bb, "bpf_trace_run8" },
	{ 0x8a9bcd69, "vfs_unlink" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x7cea2bbf, "vfs_truncate" },
	{ 0x65f2a311, "path_put" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf94f4f42, "__put_cred" },
	{ 0x43d89c1e, "vfs_mkdir" },
	{ 0xf564ce9c, "kernel_tmpfile_open" },
	{ 0x3bfc21fa, "trace_event_buffer_commit" },
	{ 0xd94cf4db, "vfs_statfs" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x92997ed8, "_printk" },
	{ 0x72cf79b5, "vfs_fallocate" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1e5b01fd, "vfs_iocb_iter_write" },
	{ 0x6d912e79, "fscache_end_cookie_access" },
	{ 0x92f57768, "fscache_withdraw_volume" },
	{ 0xa916b694, "strnlen" },
	{ 0xed9848fe, "fscache_relinquish_cache" },
	{ 0xc5dd9b92, "const_pcpu_hot" },
	{ 0xc6cbbc89, "capable" },
	{ 0xe16b35b3, "mntput" },
	{ 0x77704516, "fscache_put_cookie" },
	{ 0x7e0ff729, "prepare_creds" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x283a84f4, "module_layout" },
};

MODULE_INFO(depends, "netfs");


MODULE_INFO(srcversion, "5A1690E0E779CC54DD4A518");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
