#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_timer_instance_new, "", "");
KSYMTAB_FUNC(snd_timer_instance_free, "", "");
KSYMTAB_FUNC(snd_timer_open, "", "");
KSYMTAB_FUNC(snd_timer_close, "", "");
KSYMTAB_FUNC(snd_timer_resolution, "", "");
KSYMTAB_FUNC(snd_timer_start, "", "");
KSYMTAB_FUNC(snd_timer_stop, "", "");
KSYMTAB_FUNC(snd_timer_continue, "", "");
KSYMTAB_FUNC(snd_timer_pause, "", "");
KSYMTAB_FUNC(snd_timer_interrupt, "", "");
KSYMTAB_FUNC(snd_timer_new, "", "");
KSYMTAB_FUNC(snd_timer_notify, "", "");
KSYMTAB_FUNC(snd_timer_global_new, "", "");
KSYMTAB_FUNC(snd_timer_global_free, "", "");
KSYMTAB_FUNC(snd_timer_global_register, "", "");

SYMBOL_CRC(snd_timer_instance_new, 0x2025fdf7, "");
SYMBOL_CRC(snd_timer_instance_free, 0xa7c8b77a, "");
SYMBOL_CRC(snd_timer_open, 0x2b2b69a3, "");
SYMBOL_CRC(snd_timer_close, 0x2c5a6afe, "");
SYMBOL_CRC(snd_timer_resolution, 0x6f265b7d, "");
SYMBOL_CRC(snd_timer_start, 0x2875bf73, "");
SYMBOL_CRC(snd_timer_stop, 0x06e2ab89, "");
SYMBOL_CRC(snd_timer_continue, 0x5d43f80d, "");
SYMBOL_CRC(snd_timer_pause, 0xde3c895b, "");
SYMBOL_CRC(snd_timer_interrupt, 0x335e57c7, "");
SYMBOL_CRC(snd_timer_new, 0x31b91155, "");
SYMBOL_CRC(snd_timer_notify, 0x79249a98, "");
SYMBOL_CRC(snd_timer_global_new, 0x033b0dd2, "");
SYMBOL_CRC(snd_timer_global_free, 0x94c378e8, "");
SYMBOL_CRC(snd_timer_global_register, 0x8c19b0ea, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x98f103e8, "mutex_lock" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0x3971b4df, "snd_ecards_limit" },
	{ 0x8df3789f, "snd_oss_info_register" },
	{ 0xa6c78166, "snd_unregister_device" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x5b3651c9, "snd_device_alloc" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x6216c483, "snd_device_new" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x5af762f1, "snd_fasync_free" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x95945080, "seq_printf" },
	{ 0x350e1a93, "remove_wait_queue" },
	{ 0x7e6b1b94, "stream_open" },
	{ 0xf8f2a4eb, "snd_kill_fasync" },
	{ 0x63d3eece, "kmalloc_trace_noprof" },
	{ 0x33808f56, "param_ops_int" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x35d48464, "snd_register_device" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x4cbec016, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x5e68ffd6, "try_module_get" },
	{ 0x4c8e6aa1, "snd_info_register" },
	{ 0xc3514fed, "snd_info_create_module_entry" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0xc8dd61d7, "dev_set_name" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x522049ec, "snd_info_free_entry" },
	{ 0x37a0cba, "kfree" },
	{ 0xcb39ef5, "add_wait_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x8f83462e, "snd_fasync_helper" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0xec53b0d8, "get_device" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x92997ed8, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4241307a, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc5dd9b92, "const_pcpu_hot" },
	{ 0xf23bc120, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x283a84f4, "module_layout" },
};

MODULE_INFO(depends, "snd");


MODULE_INFO(srcversion, "6F0289CB4DC3698D920FE80");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
