#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6ea41a55, "query_amp_caps" },
	{ 0xff338316, "snd_hda_mixer_amp_volume_info" },
	{ 0x867bd21d, "snd_hda_jack_detect_state_mst" },
	{ 0xf9ce374f, "snd_hda_gen_spec_init" },
	{ 0x29706b09, "snd_hdac_power_down" },
	{ 0xd0950770, "snd_hda_mixer_amp_switch_info" },
	{ 0x2684af53, "hda_codec_driver_unregister" },
	{ 0xa7322a9c, "snd_hda_apply_pincfgs" },
	{ 0x781e9994, "snd_hda_codec_get_pincfg" },
	{ 0xbf37cf61, "snd_hdac_codec_write" },
	{ 0xfaf63409, "snd_hda_mixer_amp_switch_get_beep" },
	{ 0xb6eef90e, "snd_hda_jack_tbl_get_mst" },
	{ 0xa53d98b3, "snd_hda_gen_add_kctl" },
	{ 0xf2857575, "snd_hda_enable_beep_device" },
	{ 0x458bc4b3, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x578c5611, "snd_hda_mixer_amp_switch_put_beep" },
	{ 0xc29e7f19, "snd_hda_add_imux_item" },
	{ 0xfb6fbd8d, "_snd_hdac_read_parm" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd58c3459, "snd_hda_get_bool_hint" },
	{ 0xe37a3b1d, "snd_hda_get_int_hint" },
	{ 0xf5097951, "snd_ctl_boolean_mono_info" },
	{ 0x67ad6cfe, "snd_hda_override_amp_caps" },
	{ 0xb73ae153, "__hda_codec_driver_register" },
	{ 0xcfdb7c33, "snd_hda_parse_pin_defcfg" },
	{ 0xab2a3962, "snd_hda_gen_init" },
	{ 0xfc353588, "is_jack_detectable" },
	{ 0x1710f2f4, "snd_hda_gen_path_power_filter" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xe6c0e159, "snd_hda_gen_add_micmute_led_cdev" },
	{ 0x3dcfa356, "snd_hdac_regmap_add_vendor_verb" },
	{ 0x4d93f1bb, "snd_hda_mixer_amp_switch_get" },
	{ 0x6add5c9a, "dmi_find_device" },
	{ 0x6cd57a27, "snd_hda_gen_fix_pin_power" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xaaf9ccd3, "_snd_hda_set_pin_ctl" },
	{ 0xfbb80001, "snd_hdac_regmap_write_raw" },
	{ 0x623575dd, "snd_hda_mixer_amp_volume_get" },
	{ 0xcc1478ae, "snd_hda_jack_detect_enable_callback_mst" },
	{ 0x1fe94107, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x48d991bc, "snd_hda_gen_update_outputs" },
	{ 0x63b2540f, "snd_hda_mixer_amp_switch_put" },
	{ 0x93731174, "snd_hda_codec_set_pincfg" },
	{ 0xa4ca4f65, "snd_hda_jack_unsol_event" },
	{ 0x676f5ac, "snd_hda_get_input_pin_attr" },
	{ 0x8e0bc254, "snd_hda_gen_build_pcms" },
	{ 0xedcbf259, "snd_hda_mixer_amp_tlv" },
	{ 0x95945080, "seq_printf" },
	{ 0x1abdd07e, "snd_hda_input_mux_put" },
	{ 0x8eb5f26a, "snd_hda_pick_fixup" },
	{ 0x4f85e22b, "snd_hda_apply_fixup" },
	{ 0x9c5de1be, "snd_hda_add_verbs" },
	{ 0x7c71475f, "snd_hda_gen_parse_auto_config" },
	{ 0x63d3eece, "kmalloc_trace_noprof" },
	{ 0xb19a4816, "snd_hdac_codec_read" },
	{ 0xdbfab0e4, "snd_hda_codec_eapd_power_filter" },
	{ 0x4c14d069, "snd_hda_mixer_amp_volume_put" },
	{ 0xf8dc35ac, "snd_hda_input_mux_info" },
	{ 0x3f1cf232, "snd_hda_gen_free" },
	{ 0xd3702be2, "snd_hda_gen_add_mute_led_cdev" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4cbec016, "kmalloc_caches" },
	{ 0x9c806d60, "snd_hdac_power_up" },
	{ 0xd68802c7, "snd_hda_shutup_pins" },
	{ 0x4740b74f, "snd_hda_get_connections" },
	{ 0xa3f05672, "snd_hda_gen_build_controls" },
	{ 0x4b525267, "snd_hda_codec_amp_init_stereo" },
	{ 0x283a84f4, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-codec,snd-hda-codec-generic,snd-hda-core,snd");

MODULE_ALIAS("hdaudio:v83847690r*a01*");
MODULE_ALIAS("hdaudio:v83847882r*a01*");
MODULE_ALIAS("hdaudio:v83847680r*a01*");
MODULE_ALIAS("hdaudio:v83847880r*a01*");
MODULE_ALIAS("hdaudio:v83847681r*a01*");
MODULE_ALIAS("hdaudio:v83847682r*a01*");
MODULE_ALIAS("hdaudio:v83847683r*a01*");
MODULE_ALIAS("hdaudio:v83847618r*a01*");
MODULE_ALIAS("hdaudio:v83847619r*a01*");
MODULE_ALIAS("hdaudio:v83847638r*a01*");
MODULE_ALIAS("hdaudio:v83847616r*a01*");
MODULE_ALIAS("hdaudio:v83847617r*a01*");
MODULE_ALIAS("hdaudio:v83847614r*a01*");
MODULE_ALIAS("hdaudio:v83847615r*a01*");
MODULE_ALIAS("hdaudio:v83847620r*a01*");
MODULE_ALIAS("hdaudio:v83847621r*a01*");
MODULE_ALIAS("hdaudio:v83847622r*a01*");
MODULE_ALIAS("hdaudio:v83847623r*a01*");
MODULE_ALIAS("hdaudio:v83847624r*a01*");
MODULE_ALIAS("hdaudio:v83847625r*a01*");
MODULE_ALIAS("hdaudio:v83847626r*a01*");
MODULE_ALIAS("hdaudio:v83847627r*a01*");
MODULE_ALIAS("hdaudio:v83847628r*a01*");
MODULE_ALIAS("hdaudio:v83847629r*a01*");
MODULE_ALIAS("hdaudio:v83847632r*a01*");
MODULE_ALIAS("hdaudio:v83847633r*a01*");
MODULE_ALIAS("hdaudio:v83847634r*a01*");
MODULE_ALIAS("hdaudio:v83847635r*a01*");
MODULE_ALIAS("hdaudio:v83847636r*a01*");
MODULE_ALIAS("hdaudio:v83847637r*a01*");
MODULE_ALIAS("hdaudio:v83847645r*a01*");
MODULE_ALIAS("hdaudio:v83847646r*a01*");
MODULE_ALIAS("hdaudio:v83847661r*a01*");
MODULE_ALIAS("hdaudio:v83847662r*a01*");
MODULE_ALIAS("hdaudio:v83847664r*a01*");
MODULE_ALIAS("hdaudio:v83847698r*a01*");
MODULE_ALIAS("hdaudio:v838476A0r*a01*");
MODULE_ALIAS("hdaudio:v838476A1r*a01*");
MODULE_ALIAS("hdaudio:v838476A2r*a01*");
MODULE_ALIAS("hdaudio:v838476A3r*a01*");
MODULE_ALIAS("hdaudio:v838476A4r*a01*");
MODULE_ALIAS("hdaudio:v838476A5r*a01*");
MODULE_ALIAS("hdaudio:v838476A6r*a01*");
MODULE_ALIAS("hdaudio:v838476A7r*a01*");
MODULE_ALIAS("hdaudio:v111D7603r*a01*");
MODULE_ALIAS("hdaudio:v111D7604r*a01*");
MODULE_ALIAS("hdaudio:v111D76D4r*a01*");
MODULE_ALIAS("hdaudio:v111D7605r*a01*");
MODULE_ALIAS("hdaudio:v111D76D5r*a01*");
MODULE_ALIAS("hdaudio:v111D76D1r*a01*");
MODULE_ALIAS("hdaudio:v111D76D9r*a01*");
MODULE_ALIAS("hdaudio:v111D7666r*a01*");
MODULE_ALIAS("hdaudio:v111D7667r*a01*");
MODULE_ALIAS("hdaudio:v111D7668r*a01*");
MODULE_ALIAS("hdaudio:v111D7669r*a01*");
MODULE_ALIAS("hdaudio:v111D7608r*a01*");
MODULE_ALIAS("hdaudio:v111D7674r*a01*");
MODULE_ALIAS("hdaudio:v111D7675r*a01*");
MODULE_ALIAS("hdaudio:v111D7676r*a01*");
MODULE_ALIAS("hdaudio:v111D7695r*a01*");
MODULE_ALIAS("hdaudio:v111D76B0r*a01*");
MODULE_ALIAS("hdaudio:v111D76B1r*a01*");
MODULE_ALIAS("hdaudio:v111D76B2r*a01*");
MODULE_ALIAS("hdaudio:v111D76B3r*a01*");
MODULE_ALIAS("hdaudio:v111D76B4r*a01*");
MODULE_ALIAS("hdaudio:v111D76B5r*a01*");
MODULE_ALIAS("hdaudio:v111D76B6r*a01*");
MODULE_ALIAS("hdaudio:v111D76B7r*a01*");
MODULE_ALIAS("hdaudio:v111D76C0r*a01*");
MODULE_ALIAS("hdaudio:v111D76C1r*a01*");
MODULE_ALIAS("hdaudio:v111D76C2r*a01*");
MODULE_ALIAS("hdaudio:v111D76C3r*a01*");
MODULE_ALIAS("hdaudio:v111D76C4r*a01*");
MODULE_ALIAS("hdaudio:v111D76C5r*a01*");
MODULE_ALIAS("hdaudio:v111D76C6r*a01*");
MODULE_ALIAS("hdaudio:v111D76C7r*a01*");
MODULE_ALIAS("hdaudio:v111D76C8r*a01*");
MODULE_ALIAS("hdaudio:v111D76C9r*a01*");
MODULE_ALIAS("hdaudio:v111D76CAr*a01*");
MODULE_ALIAS("hdaudio:v111D76CBr*a01*");
MODULE_ALIAS("hdaudio:v111D76CCr*a01*");
MODULE_ALIAS("hdaudio:v111D76CDr*a01*");
MODULE_ALIAS("hdaudio:v111D76CEr*a01*");
MODULE_ALIAS("hdaudio:v111D76DFr*a01*");
MODULE_ALIAS("hdaudio:v111D76E0r*a01*");
MODULE_ALIAS("hdaudio:v111D76E3r*a01*");
MODULE_ALIAS("hdaudio:v111D76E5r*a01*");
MODULE_ALIAS("hdaudio:v111D76E7r*a01*");
MODULE_ALIAS("hdaudio:v111D76E8r*a01*");
MODULE_ALIAS("hdaudio:v111D76E9r*a01*");
MODULE_ALIAS("hdaudio:v111D76EAr*a01*");
MODULE_ALIAS("hdaudio:v111D76EBr*a01*");
MODULE_ALIAS("hdaudio:v111D76ECr*a01*");
MODULE_ALIAS("hdaudio:v111D76EDr*a01*");
MODULE_ALIAS("hdaudio:v111D76EEr*a01*");
MODULE_ALIAS("hdaudio:v111D76EFr*a01*");
MODULE_ALIAS("hdaudio:v111D76F0r*a01*");
MODULE_ALIAS("hdaudio:v111D76F1r*a01*");
MODULE_ALIAS("hdaudio:v111D76F2r*a01*");
MODULE_ALIAS("hdaudio:v111D76F3r*a01*");

MODULE_INFO(srcversion, "A8FB09985B2028C100C8D96");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
