#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7d0db698, "adf_gen2_enable_error_correction" },
	{ 0x6d3824e, "pci_request_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0x9493fc86, "node_states" },
	{ 0xdfc2c7d9, "pci_unregister_driver" },
	{ 0x453d78ed, "adf_heartbeat_check_ctrs" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3e707f37, "adf_gen2_get_admin_info" },
	{ 0x3d20dff5, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xca6f3d1b, "adf_init_admin_comms" },
	{ 0x3aa8c419, "adf_dev_down" },
	{ 0x92997ed8, "_printk" },
	{ 0x5df17e2e, "adf_dbgfs_init" },
	{ 0xdcd739e5, "adf_gen2_get_num_aes" },
	{ 0x23af5d04, "adf_send_admin_init" },
	{ 0xba0c3c38, "adf_sriov_configure" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7d39040, "adf_gen2_cfg_iov_thds" },
	{ 0xaec7560e, "pci_select_bars" },
	{ 0x9e9bef44, "adf_gen2_dev_config" },
	{ 0x97200648, "kmalloc_node_trace_noprof" },
	{ 0x52193ca6, "adf_devmgr_add_dev" },
	{ 0x4b795c07, "adf_isr_resource_free" },
	{ 0xda93c4d9, "adf_reset_flr" },
	{ 0x157899b3, "_dev_err" },
	{ 0x56815842, "adf_gen2_get_accel_cap" },
	{ 0xd6a7f459, "adf_disable_sriov" },
	{ 0xd6d9c54d, "adf_cfg_dev_remove" },
	{ 0xd386367f, "adf_dev_measure_clock" },
	{ 0x512d8aeb, "adf_dev_up" },
	{ 0xa3170abd, "adf_isr_resource_alloc" },
	{ 0xe98ea95f, "pci_iounmap" },
	{ 0x9fc7b853, "adf_cfg_dev_add" },
	{ 0x48150285, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7eefac21, "dma_set_coherent_mask" },
	{ 0x2be4e269, "adf_gen2_get_arb_info" },
	{ 0xb1c6bb50, "adf_init_arb" },
	{ 0x6025b48f, "adf_devmgr_rm_dev" },
	{ 0x981fba97, "pci_release_regions" },
	{ 0xe45f3512, "adf_gen2_init_dc_ops" },
	{ 0xba4d04ea, "adf_gen2_get_num_accels" },
	{ 0x2d20265a, "pci_disable_device" },
	{ 0xbaa9d23, "dma_set_mask" },
	{ 0xace00ea4, "pci_read_config_byte" },
	{ 0xc2fefa17, "adf_dbgfs_exit" },
	{ 0x8558c492, "adf_gen2_init_pf_pfvf_ops" },
	{ 0x4cbec016, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xc52da796, "pci_save_state" },
	{ 0xdf3cbe8c, "pci_enable_device" },
	{ 0x78959f5b, "adf_exit_arb" },
	{ 0xe7e93b61, "adf_gen2_init_hw_csr_ops" },
	{ 0x7f61f894, "pci_iomap" },
	{ 0x6efca88a, "adf_exit_admin_comms" },
	{ 0xb1c3ad08, "adf_devmgr_pci_to_accel_dev" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x46901db6, "adf_gen2_set_ssm_wdtimer" },
	{ 0xedc64cce, "adf_err_handler" },
	{ 0xafe8216e, "__pci_register_driver" },
	{ 0x6e7b79d4, "adf_gen2_enable_ints" },
	{ 0x283a84f4, "module_layout" },
};

MODULE_INFO(depends, "intel_qat");

MODULE_ALIAS("pci:v00008086d000037C8sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "32BB0843E83F446E550864B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
