#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(intel_th_driver_register, "_gpl", "");
KSYMTAB_FUNC(intel_th_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(intel_th_output_enable, "_gpl", "");
KSYMTAB_FUNC(intel_th_alloc, "_gpl", "");
KSYMTAB_FUNC(intel_th_free, "_gpl", "");
KSYMTAB_FUNC(intel_th_trace_enable, "_gpl", "");
KSYMTAB_FUNC(intel_th_trace_switch, "_gpl", "");
KSYMTAB_FUNC(intel_th_trace_disable, "_gpl", "");
KSYMTAB_FUNC(intel_th_set_output, "_gpl", "");

SYMBOL_CRC(intel_th_driver_register, 0xa674ed02, "_gpl");
SYMBOL_CRC(intel_th_driver_unregister, 0x47c9838e, "_gpl");
SYMBOL_CRC(intel_th_output_enable, 0xaff7926d, "_gpl");
SYMBOL_CRC(intel_th_alloc, 0x21657dbe, "_gpl");
SYMBOL_CRC(intel_th_free, 0x1d931d3b, "_gpl");
SYMBOL_CRC(intel_th_trace_enable, 0x6a524059, "_gpl");
SYMBOL_CRC(intel_th_trace_switch, 0xadf736b6, "_gpl");
SYMBOL_CRC(intel_th_trace_disable, 0xc41a3dd7, "_gpl");
SYMBOL_CRC(intel_th_set_output, 0xf470e980, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x458bc4b3, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8de01bc8, "__pm_runtime_set_status" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4241307a, "put_device" },
	{ 0x6b1d078c, "devm_free_irq" },
	{ 0x20e149e0, "pm_runtime_enable" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf23bc120, "module_put" },
	{ 0x14e0b960, "bus_unregister" },
	{ 0x4bc2e2b3, "bus_find_device" },
	{ 0xad1d907e, "device_add" },
	{ 0x8e40c676, "noop_llseek" },
	{ 0x6573f300, "ida_free" },
	{ 0x6f1732b2, "driver_unregister" },
	{ 0x6ed5e2f, "sysfs_create_group" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x48aa2c9a, "device_del" },
	{ 0x1fe94107, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xc795278c, "device_match_devt" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xee678896, "pm_runtime_no_callbacks" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x7eefac21, "dma_set_coherent_mask" },
	{ 0xed2a85f9, "sysfs_remove_group" },
	{ 0xf0c0563e, "pm_runtime_forbid" },
	{ 0xd86cfbba, "pm_runtime_allow" },
	{ 0xd036bf4a, "__pm_runtime_resume" },
	{ 0xe884a1e7, "param_ops_bool" },
	{ 0xb941ff7a, "__register_chrdev" },
	{ 0x63d3eece, "kmalloc_trace_noprof" },
	{ 0x172d0953, "device_release_driver" },
	{ 0x754d539c, "strlen" },
	{ 0x508f4b8a, "__pm_runtime_disable" },
	{ 0x9bd28a36, "driver_register" },
	{ 0x11104aa2, "__pm_runtime_idle" },
	{ 0x4cbec016, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x3afebc52, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0x5e68ffd6, "try_module_get" },
	{ 0xbe01c4b0, "devm_request_threaded_irq" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xc8dd61d7, "dev_set_name" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x96848186, "scnprintf" },
	{ 0xd4a4b726, "device_initialize" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x6d37579e, "device_for_each_child" },
	{ 0x283a84f4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "ED149CD22999A1994D10A44");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
