#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x815588a6, "clk_enable" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xf9a482f9, "msleep" },
	{ 0x9bf4bfe3, "cci_multi_reg_write" },
	{ 0xc30751b4, "devm_kmalloc" },
	{ 0xa41c47e5, "devm_cci_regmap_init_i2c" },
	{ 0x1aacc38, "__dev_fwnode" },
	{ 0x2e6c41ea, "fwnode_graph_get_next_endpoint" },
	{ 0xffab32ea, "v4l2_fwnode_endpoint_alloc_parse" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb886504c, "devm_clk_get" },
	{ 0xb631508e, "devm_gpiod_get_optional" },
	{ 0xa2ecf879, "devm_regulator_bulk_get" },
	{ 0x8de01bc8, "__pm_runtime_set_status" },
	{ 0x20e149e0, "pm_runtime_enable" },
	{ 0xf666c7e4, "pm_runtime_set_autosuspend_delay" },
	{ 0xd41125a6, "__pm_runtime_use_autosuspend" },
	{ 0x90d885b4, "v4l2_subdev_init" },
	{ 0x94fa80aa, "v4l2_i2c_subdev_set_name" },
	{ 0x4e6cca38, "media_entity_pads_init" },
	{ 0x966f8592, "v4l2_ctrl_handler_init_class" },
	{ 0xfc31353a, "v4l2_ctrl_new_std" },
	{ 0x3cfe354b, "__v4l2_subdev_init_finalize" },
	{ 0x5121fd96, "__v4l2_ctrl_modify_range" },
	{ 0x87e44c81, "v4l2_i2c_subdev_init" },
	{ 0x24543d51, "v4l2_ctrl_new_std_menu" },
	{ 0x8299cd5a, "v4l2_ctrl_new_int_menu" },
	{ 0xfa3d5cd4, "v4l2_ctrl_new_std_menu_items" },
	{ 0x32468096, "v4l2_ctrl_cluster" },
	{ 0x2e2ce20c, "__v4l2_async_register_subdev" },
	{ 0xff1807aa, "v4l2_ctrl_handler_free" },
	{ 0x508f4b8a, "__pm_runtime_disable" },
	{ 0x683d147c, "v4l2_fwnode_endpoint_free" },
	{ 0xb787bee, "dev_err_probe" },
	{ 0x458bc4b3, "__dynamic_dev_dbg" },
	{ 0x52f0a0a0, "v4l2_async_unregister_subdev" },
	{ 0xd036bf4a, "__pm_runtime_resume" },
	{ 0x83b11dda, "__v4l2_ctrl_handler_setup" },
	{ 0x3148b878, "v4l2_subdev_get_fmt" },
	{ 0x652e2d06, "v4l2_subdev_link_validate" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8021815, "i2c_register_driver" },
	{ 0xc6baf663, "__v4l2_subdev_state_get_crop" },
	{ 0x44328346, "__v4l2_subdev_state_get_format" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x15c93d32, "v4l2_device_unregister_subdev" },
	{ 0x5bc8ea6e, "__v4l2_device_register_subdev" },
	{ 0x482f8f06, "media_create_pad_link" },
	{ 0x157899b3, "_dev_err" },
	{ 0xcda97205, "__v4l2_subdev_state_get_compose" },
	{ 0xdd33ff0, "pm_runtime_get_if_in_use" },
	{ 0xbed9e63e, "cci_write" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xf486f0f5, "__pm_runtime_suspend" },
	{ 0x98059f0e, "cci_update_bits" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x40ef4f7d, "cci_read" },
	{ 0xcab9a175, "i2c_del_driver" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x5db10014, "regulator_bulk_enable" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xe0258bc6, "gpiod_set_value" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xfa57f27b, "regulator_bulk_disable" },
	{ 0x283a84f4, "module_layout" },
};

MODULE_INFO(depends, "v4l2-cci,v4l2-fwnode,videodev,mc,v4l2-async");

MODULE_ALIAS("of:N*T*Connn,mt9m114");
MODULE_ALIAS("of:N*T*Connn,mt9m114C*");

MODULE_INFO(srcversion, "565AC60661603499E4ED22F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
