#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(v4l2_async_nf_init, "", "");
KSYMTAB_FUNC(v4l2_async_subdev_nf_init, "_gpl", "");
KSYMTAB_FUNC(v4l2_async_nf_register, "", "");
KSYMTAB_FUNC(v4l2_async_nf_unregister, "", "");
KSYMTAB_FUNC(v4l2_async_nf_cleanup, "_gpl", "");
KSYMTAB_FUNC(__v4l2_async_nf_add_fwnode, "_gpl", "");
KSYMTAB_FUNC(__v4l2_async_nf_add_fwnode_remote, "_gpl", "");
KSYMTAB_FUNC(__v4l2_async_nf_add_i2c, "_gpl", "");
KSYMTAB_FUNC(v4l2_async_subdev_endpoint_add, "_gpl", "");
KSYMTAB_FUNC(v4l2_async_connection_unique, "_gpl", "");
KSYMTAB_FUNC(__v4l2_async_register_subdev, "", "");
KSYMTAB_FUNC(v4l2_async_unregister_subdev, "", "");

SYMBOL_CRC(v4l2_async_nf_init, 0x4d326afd, "");
SYMBOL_CRC(v4l2_async_subdev_nf_init, 0x9126c832, "_gpl");
SYMBOL_CRC(v4l2_async_nf_register, 0x75b932f5, "");
SYMBOL_CRC(v4l2_async_nf_unregister, 0x5cbe47df, "");
SYMBOL_CRC(v4l2_async_nf_cleanup, 0x77322463, "_gpl");
SYMBOL_CRC(__v4l2_async_nf_add_fwnode, 0x5e66f860, "_gpl");
SYMBOL_CRC(__v4l2_async_nf_add_fwnode_remote, 0x665b5af5, "_gpl");
SYMBOL_CRC(__v4l2_async_nf_add_i2c, 0x09acb5a3, "_gpl");
SYMBOL_CRC(v4l2_async_subdev_endpoint_add, 0x99e12e5b, "_gpl");
SYMBOL_CRC(v4l2_async_connection_unique, 0x6fade467, "_gpl");
SYMBOL_CRC(__v4l2_async_register_subdev, 0x2e2ce20c, "");
SYMBOL_CRC(v4l2_async_unregister_subdev, 0x52f0a0a0, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4260537d, "i2c_verify_client" },
	{ 0x4cbec016, "kmalloc_caches" },
	{ 0x63d3eece, "kmalloc_trace_noprof" },
	{ 0x3809e270, "debugfs_create_dir" },
	{ 0xec52fff4, "debugfs_create_file" },
	{ 0x4e66e37f, "single_open" },
	{ 0x434b30c0, "debugfs_remove" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xc9db1439, "fwnode_handle_get" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x15c93d32, "v4l2_device_unregister_subdev" },
	{ 0x95945080, "seq_printf" },
	{ 0x6ad6d210, "fwnode_property_present" },
	{ 0x2cd05d78, "fwnode_graph_get_port_parent" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x88a0d01c, "fwnode_graph_get_remote_endpoint" },
	{ 0x37a0cba, "kfree" },
	{ 0xd81aa06c, "v4l2_subdev_put_privacy_led" },
	{ 0x458bc4b3, "__dynamic_dev_dbg" },
	{ 0x1aacc38, "__dev_fwnode" },
	{ 0x5bc8ea6e, "__v4l2_device_register_subdev" },
	{ 0xa32aa057, "media_create_ancillary_link" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x157899b3, "_dev_err" },
	{ 0x1fe94107, "_dev_warn" },
	{ 0x78cbdf7d, "seq_lseek" },
	{ 0xc5fe2e9b, "seq_read" },
	{ 0x1033ede4, "single_release" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x283a84f4, "module_layout" },
};

MODULE_INFO(depends, "videodev,mc");


MODULE_INFO(srcversion, "A4545BE90D901C4AE6F3D20");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
