#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbaa9d23, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xcc1b9cd5, "netif_set_tso_max_size" },
	{ 0x12bb13b, "phy_resume" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xb787bee, "dev_err_probe" },
	{ 0x63d3eece, "kmalloc_trace_noprof" },
	{ 0x493b2008, "pcim_iomap_table" },
	{ 0xc4034b57, "napi_schedule_prep" },
	{ 0xa69cd9c7, "napi_consume_skb" },
	{ 0x5b4f6b28, "napi_disable" },
	{ 0x7d55600, "dev_kfree_skb_any_reason" },
	{ 0x5c00ef4b, "netdev_notice" },
	{ 0x18e3bea5, "phy_stop" },
	{ 0x89a12282, "phy_do_ioctl_running" },
	{ 0x3856d825, "netif_set_tso_max_segs" },
	{ 0xcf3b69b3, "netdev_stats_to_stats64" },
	{ 0x60f72e3c, "pcim_enable_device" },
	{ 0x815588a6, "clk_enable" },
	{ 0x26c978bf, "phy_disconnect" },
	{ 0x11104aa2, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0x99039e32, "ethtool_op_get_ts_info" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x4cbec016, "kmalloc_caches" },
	{ 0x76042475, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xf6d84ede, "napi_alloc_skb" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xff2e7193, "phy_set_max_speed" },
	{ 0xe6d795a8, "device_set_wakeup_enable" },
	{ 0x95d78d8e, "__skb_pad" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x5b93b334, "skb_copy_bits" },
	{ 0x62d6fe30, "eth_mac_addr" },
	{ 0xb54db174, "pcim_set_mwi" },
	{ 0x16923e7f, "pci_wake_from_d3" },
	{ 0x9ca52ffb, "skb_tstamp_tx" },
	{ 0x5985897b, "netdev_sw_irq_coalesce_default_on" },
	{ 0xfc6c526c, "netdev_update_features" },
	{ 0xa7fe7161, "pci_alloc_irq_vectors" },
	{ 0x1049f334, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xdadb83d9, "dmam_alloc_attrs" },
	{ 0x6f533588, "unregister_netdev" },
	{ 0xb33b872f, "dma_unmap_page_attrs" },
	{ 0x8162a570, "request_firmware" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf7370f56, "system_state" },
	{ 0xafe8216e, "__pci_register_driver" },
	{ 0x7f32cd60, "phy_ethtool_set_eee" },
	{ 0x13c091db, "pci_dev_run_wake" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x3fef979b, "phy_attached_info" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xefbc34b5, "phy_ethtool_set_link_ksettings" },
	{ 0x59c35894, "eth_validate_addr" },
	{ 0x239ab6d, "led_classdev_unregister" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x73222018, "netdev_warn" },
	{ 0x6e61df95, "pci_set_power_state" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xea1a5955, "pci_irq_vector" },
	{ 0xdc52fce2, "phy_write_mmd" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xdfc2c7d9, "pci_unregister_driver" },
	{ 0xadc16795, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x12044851, "pskb_expand_head" },
	{ 0xee59b0d7, "phy_read_paged" },
	{ 0x9653542, "phy_restore_page" },
	{ 0x8fa5a6ee, "dev_fetch_sw_netstats" },
	{ 0xa9dcebab, "dev_driver_string" },
	{ 0x4574f6f2, "dev_addr_mod" },
	{ 0x23439f6a, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xa7831f72, "dma_map_page_attrs" },
	{ 0xb6f1767b, "genphy_soft_reset" },
	{ 0x86105133, "napi_complete_done" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x6ae696e8, "__mdiobus_write" },
	{ 0xe324dd5, "__alloc_pages_noprof" },
	{ 0xde7ec31c, "pm_schedule_suspend" },
	{ 0x8e10ccf7, "devm_clk_get_optional_enabled" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe4510e8f, "pci_status_get_and_clear_errors" },
	{ 0x50ddce99, "phy_speed_up" },
	{ 0xdac2fd93, "phy_connect_direct" },
	{ 0x39ac39ad, "__napi_schedule" },
	{ 0xa916b694, "strnlen" },
	{ 0xbba90fb3, "netif_device_detach" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x9ce98043, "pci_disable_link_state" },
	{ 0xc494c137, "__free_pages" },
	{ 0xf1befeb9, "_dev_info" },
	{ 0x7f5c736e, "napi_gro_receive" },
	{ 0x4f825d6, "netif_device_attach" },
	{ 0xaec7560e, "pci_select_bars" },
	{ 0xbc420acb, "phy_ethtool_get_link_ksettings" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xeb90c866, "devm_alloc_etherdev_mqs" },
	{ 0x209c6520, "pcim_iomap_regions" },
	{ 0x8d5748f0, "pci_clear_master" },
	{ 0xe7fb6c66, "__dma_sync_single_for_cpu" },
	{ 0xe38df6fa, "__phy_modify" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x157899b3, "_dev_err" },
	{ 0x83d6ca92, "softnet_data" },
	{ 0x5e4100a0, "phy_suspend" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xd821ea, "netdev_printk" },
	{ 0x64519203, "phy_modify_paged" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x796459a4, "pcie_capability_clear_and_set_word_locked" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x90f87451, "phy_speed_down" },
	{ 0x2776d02e, "dma_alloc_attrs" },
	{ 0xb4c20a7a, "pci_read_config_word" },
	{ 0xd67f6c09, "napi_enable" },
	{ 0x3ea706f9, "register_netdev" },
	{ 0x4c98ebdb, "mdiobus_read" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0xb1518e15, "cancel_work" },
	{ 0x7e2f81cb, "led_classdev_register_ext" },
	{ 0xed6f715c, "ethtool_op_get_link" },
	{ 0x80289f9a, "eth_platform_get_mac_address" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x52570a8d, "netif_tx_wake_queue" },
	{ 0x1ca0f69b, "phy_start" },
	{ 0xc012f188, "phy_modify" },
	{ 0x1fe94107, "_dev_warn" },
	{ 0xd5db4d49, "phy_mac_interrupt" },
	{ 0x7fdd81, "netif_schedule_queue" },
	{ 0x48150285, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaca9fe75, "phy_print_status" },
	{ 0x693622a3, "__pskb_pull_tail" },
	{ 0x8d57d8c7, "phy_start_aneg" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x42c1c2a4, "phy_set_asym_pause" },
	{ 0x5940427b, "phy_ethtool_get_eee" },
	{ 0x50e5607c, "devm_mdiobus_alloc_size" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7eefac21, "dma_set_coherent_mask" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xab9abc61, "dma_free_attrs" },
	{ 0xa575add6, "pci_reset_bus" },
	{ 0xd036bf4a, "__pm_runtime_resume" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x801b09d6, "__dma_sync_single_for_device" },
	{ 0x62de2fd8, "phy_support_asym_pause" },
	{ 0x7a76cf0e, "pci_write_config_byte" },
	{ 0x9a0aa386, "phy_get_pause" },
	{ 0x8a82c01c, "mdiobus_write" },
	{ 0x562266c4, "phy_select_page" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfca32c1d, "phy_write_paged" },
	{ 0x48f5c04b, "mdiobus_get_phy" },
	{ 0xb4aecf34, "phy_ethtool_nway_reset" },
	{ 0x373b0d5, "dql_reset" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x271cb38a, "phy_support_eee" },
	{ 0x6d0161df, "phy_init_hw" },
	{ 0x4fdc10b1, "pcie_set_readrq" },
	{ 0x7783b1b2, "__devm_mdiobus_register" },
	{ 0x283a84f4, "module_layout" },
};

MODULE_INFO(depends, "libphy,mdio_devres");

MODULE_ALIAS("pci:v000010ECd00002502sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010ECd00002600sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010ECd00008129sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010ECd00008136sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010ECd00008161sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010ECd00008162sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010ECd00008167sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010ECd00008168sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010FFd00008168sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010ECd00008169sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001186d00004300sv00001186sd00004B10bc*sc*i*");
MODULE_ALIAS("pci:v00001186d00004300sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001186d00004302sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001259d0000C107sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000016ECd00000116sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001737d00001032sv*sd00000024bc*sc*i*");
MODULE_ALIAS("pci:v00000001d00008168sv*sd00002410bc*sc*i*");
MODULE_ALIAS("pci:v000010ECd00008125sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010ECd00008126sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010ECd00003000sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "AB6A6207E2F100C8F97B366");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
