#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt76_connac_mcu_start_firmware, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_patch_sem_ctrl, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_start_patch, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_init_download, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_channel_domain, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_mac_enable, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_vif_ps, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_rts_thresh, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_beacon_loss_iter, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_add_nested_tlv, "_gpl", "");
KSYMTAB_FUNC(__mt76_connac_mcu_alloc_sta_req, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_alloc_wtbl_req, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_bss_omac_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_basic_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_uapsd, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_hdr_trans_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_update_hdr_trans, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_update_hdr_trans, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_generic_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_he_tlv_v2, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_get_phy_mode_v2, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_smps_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_ht_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_cmd, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_ba_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_uni_add_dev, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_ba_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_wed_update, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_ba, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_get_phy_mode, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_get_phy_mode_ext, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_get_he_phy_cap, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_get_eht_phy_cap, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_uni_set_chctx, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_uni_add_bss, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_hw_scan, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_cancel_hw_scan, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sched_scan_req, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sched_scan_enable, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_chip_config, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_deep_sleep, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_sta_state_dp, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_coredump_event, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_get_ch_power, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_rate_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_update_arp_filter, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_p2p_oppps, "_gpl", "");
KSYMTAB_DATA(mt76_connac_wowlan_support, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_update_gtk_rekey, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_gtk_rekey, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_suspend_mode, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_wow_ctrl, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_hif_suspend, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_suspend_iter, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_reg_rr, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_reg_wr, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_add_key, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_bss_ext_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_bss_basic_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_pm, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_restart, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_rdd_cmd, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_load_ram, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_load_patch, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mcu_fill_message, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_gen_ppe_thresh, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_pm_wake, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_power_save_sched, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_free_pending_tx_skbs, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_pm_queue_skb, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_pm_dequeue_skbs, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_write_hw_txp, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_txp_skb_unmap, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_init_tx_queues, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_tx_rate_val, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_write_txwi, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_fill_txs, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_add_txs_skb, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_decode_he_radiotap, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_reverse_frag0_hdr_trans, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_fill_rx_rate, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_tx_check_aggr, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_txwi_free, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_tx_token_put, "_gpl", "");
KSYMTAB_FUNC(mt76_connac3_mac_decode_he_radiotap, "_gpl", "");
KSYMTAB_FUNC(mt76_connac3_mac_decode_eht_radiotap, "_gpl", "");

SYMBOL_CRC(mt76_connac_mcu_start_firmware, 0xe23bb97b, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_patch_sem_ctrl, 0x81be2fb5, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_start_patch, 0x5fd83e3b, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_init_download, 0xadfd7ac8, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_channel_domain, 0xa11e4f9c, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_mac_enable, 0xd18dfebc, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_vif_ps, 0x7c69c252, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_rts_thresh, 0xc90aac14, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_beacon_loss_iter, 0x7f11659b, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_add_nested_tlv, 0x2da18a45, "_gpl");
SYMBOL_CRC(__mt76_connac_mcu_alloc_sta_req, 0x5204b577, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_alloc_wtbl_req, 0xa5d2bfa9, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_bss_omac_tlv, 0xd4bb5c7e, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_basic_tlv, 0x3e551375, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_uapsd, 0x69330350, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_hdr_trans_tlv, 0x5476ea70, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_update_hdr_trans, 0x1bfbcf72, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_update_hdr_trans, 0x539d9c2a, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_generic_tlv, 0x36e082a6, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_he_tlv_v2, 0xaa75f7e7, "_gpl");
SYMBOL_CRC(mt76_connac_get_phy_mode_v2, 0x126911e2, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_tlv, 0xdb90bca4, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_smps_tlv, 0x9a14c759, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_ht_tlv, 0xc5d51ccc, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_cmd, 0xf563d2ad, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_ba_tlv, 0x4bc4f06b, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_uni_add_dev, 0xe5919bc0, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_ba_tlv, 0x483163c3, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_wed_update, 0x7a06fcb7, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_ba, 0x62ff3fc1, "_gpl");
SYMBOL_CRC(mt76_connac_get_phy_mode, 0xd0e1a713, "_gpl");
SYMBOL_CRC(mt76_connac_get_phy_mode_ext, 0x75e28292, "_gpl");
SYMBOL_CRC(mt76_connac_get_he_phy_cap, 0x732ba4e1, "_gpl");
SYMBOL_CRC(mt76_connac_get_eht_phy_cap, 0x404911ab, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_uni_set_chctx, 0x060cb595, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_uni_add_bss, 0x143d0bc9, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_hw_scan, 0xf2e66b6f, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_cancel_hw_scan, 0x14353a0f, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sched_scan_req, 0xb4c5795d, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sched_scan_enable, 0xec6ad501, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_chip_config, 0x60ea928e, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_deep_sleep, 0xc2767360, "_gpl");
SYMBOL_CRC(mt76_connac_sta_state_dp, 0x5e050e00, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_coredump_event, 0x58f11c6b, "_gpl");
SYMBOL_CRC(mt76_connac_get_ch_power, 0x575719b9, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_rate_txpower, 0x86bf077e, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_update_arp_filter, 0x029cdf68, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_p2p_oppps, 0xf6fffdf2, "_gpl");
SYMBOL_CRC(mt76_connac_wowlan_support, 0x908ca40c, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_update_gtk_rekey, 0x2c439cfc, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_gtk_rekey, 0x3e31c3e5, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_suspend_mode, 0xaa982720, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_wow_ctrl, 0x02f1a260, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_hif_suspend, 0xd960b6f0, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_suspend_iter, 0x0e8f96e8, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_reg_rr, 0xaa411ed3, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_reg_wr, 0xdbd35a7d, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_add_key, 0x2bddbb7c, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_bss_ext_tlv, 0xa70e7366, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_bss_basic_tlv, 0x0fd52a1e, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_pm, 0x8db6c5e1, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_restart, 0xf7e15bc3, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_rdd_cmd, 0xfc2090f5, "_gpl");
SYMBOL_CRC(mt76_connac2_load_ram, 0xdfa1a397, "_gpl");
SYMBOL_CRC(mt76_connac2_load_patch, 0x9fd0c166, "_gpl");
SYMBOL_CRC(mt76_connac2_mcu_fill_message, 0x978edc92, "_gpl");
SYMBOL_CRC(mt76_connac_gen_ppe_thresh, 0x0a25337f, "_gpl");
SYMBOL_CRC(mt76_connac_pm_wake, 0xbae353ee, "_gpl");
SYMBOL_CRC(mt76_connac_power_save_sched, 0x4bc1da9c, "_gpl");
SYMBOL_CRC(mt76_connac_free_pending_tx_skbs, 0xf64e1257, "_gpl");
SYMBOL_CRC(mt76_connac_pm_queue_skb, 0xb5ddf65d, "_gpl");
SYMBOL_CRC(mt76_connac_pm_dequeue_skbs, 0x58993d40, "_gpl");
SYMBOL_CRC(mt76_connac_tx_complete_skb, 0xf1ea6afc, "_gpl");
SYMBOL_CRC(mt76_connac_write_hw_txp, 0xd47966e8, "_gpl");
SYMBOL_CRC(mt76_connac_txp_skb_unmap, 0xd5053b15, "_gpl");
SYMBOL_CRC(mt76_connac_init_tx_queues, 0x66225c9d, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_tx_rate_val, 0x2111327c, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_write_txwi, 0x21179e2f, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_fill_txs, 0x44ceb484, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_add_txs_skb, 0x37551f2e, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_decode_he_radiotap, 0x06cf4513, "_gpl");
SYMBOL_CRC(mt76_connac2_reverse_frag0_hdr_trans, 0xb7567081, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_fill_rx_rate, 0x8652fbfc, "_gpl");
SYMBOL_CRC(mt76_connac2_tx_check_aggr, 0x668d2356, "_gpl");
SYMBOL_CRC(mt76_connac2_txwi_free, 0x5e349ff2, "_gpl");
SYMBOL_CRC(mt76_connac2_tx_token_put, 0xf39b46f2, "_gpl");
SYMBOL_CRC(mt76_connac3_mac_decode_he_radiotap, 0x99f13190, "_gpl");
SYMBOL_CRC(mt76_connac3_mac_decode_eht_radiotap, 0x1ca66885, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xc30751b4, "devm_kmalloc" },
	{ 0x1f65024a, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xa56c0270, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x202daf8c, "mt76_tx_status_skb_get" },
	{ 0x7318eae9, "mt76_tx_status_lock" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0xb33b872f, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x8162a570, "request_firmware" },
	{ 0x76764971, "mt76_get_rate" },
	{ 0x5d03c98d, "ieee80211_start_tx_ba_session" },
	{ 0x69acdf38, "memcpy" },
	{ 0x5b36ee49, "ieee80211_beacon_loss" },
	{ 0x9fa68018, "__mt76_tx_complete_skb" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xb4b3780a, "ieee80211_get_hdrlen_from_skb" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe1e80ae3, "wake_up_process" },
	{ 0x5305fb1e, "ieee80211_find_sta" },
	{ 0xab604c48, "mt76_calculate_default_rate" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0xb4bacab5, "mt76_tx" },
	{ 0x9af842d, "idr_get_next" },
	{ 0xf1befeb9, "_dev_info" },
	{ 0xac618263, "mt76_init_queue" },
	{ 0x8655874f, "mt76_tx_status_skb_done" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x67452238, "devm_kfree" },
	{ 0x157899b3, "_dev_err" },
	{ 0xfaa81987, "skb_pull" },
	{ 0x4a775edd, "mt76_mcu_skb_send_and_get_msg" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc3f8e321, "skb_push" },
	{ 0xb707d748, "ieee80211_wake_queues" },
	{ 0xb1f1a107, "mt76_mcu_send_and_get_msg" },
	{ 0x684e42a9, "ieee80211_iter_keys_rcu" },
	{ 0x441e165c, "__mt76_mcu_msg_alloc" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x9c9f5573, "idr_destroy" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0xf05fa18f, "__mt76_mcu_send_firmware" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe037445d, "ieee80211_stop_queues" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x54ba69b7, "mt76_get_rate_power_limits" },
	{ 0xd59d19d0, "ieee80211_scan_completed" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xab5e3d29, "mt76_get_sar_power" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0x40e467f3, "mt76_put_txwi" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x1879fcbd, "bridge_tunnel_header" },
	{ 0x7d55600, "dev_kfree_skb_any_reason" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc4112af3, "mt76_tx_status_unlock" },
	{ 0x283a84f4, "module_layout" },
};

MODULE_INFO(depends, "mt76,mac80211,cfg80211");


MODULE_INFO(srcversion, "702A128555C2A2D8D9C1D0D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
