#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe1717df0, "rt2x00usb_disconnect" },
	{ 0x16e31d4a, "rt2x00usb_suspend" },
	{ 0x4abb7276, "rt2x00usb_resume" },
	{ 0x51ed8764, "rt2x00usb_initialize" },
	{ 0x2a3d899e, "rt2x00usb_uninitialize" },
	{ 0x9d6a8b28, "rt2x00usb_clear_entry" },
	{ 0x7f01e0c0, "rt2x00usb_watchdog" },
	{ 0x99586f78, "rt2x00usb_kick_queue" },
	{ 0x30656b5f, "rt2x00usb_flush_queue" },
	{ 0xd46b722a, "rt2x00mac_tx" },
	{ 0x2282d3d5, "rt2x00mac_start" },
	{ 0x3412b4ea, "rt2x00mac_stop" },
	{ 0xdf98e957, "rt2x00mac_add_interface" },
	{ 0xb362b93c, "rt2x00mac_remove_interface" },
	{ 0xe8f3172c, "rt2x00mac_config" },
	{ 0xba5ec6bb, "rt2x00mac_bss_info_changed" },
	{ 0x51afb905, "rt2x00mac_configure_filter" },
	{ 0xe257f510, "rt2x00mac_set_tim" },
	{ 0x175d2bce, "rt2x00mac_set_key" },
	{ 0x9fd8b028, "rt2x00mac_sw_scan_start" },
	{ 0x57724a24, "rt2x00mac_sw_scan_complete" },
	{ 0x7f38262e, "rt2x00mac_get_stats" },
	{ 0x625053f8, "rt2x00mac_conf_tx" },
	{ 0x25e44d47, "rt2x00mac_rfkill_poll" },
	{ 0x8f139888, "rt2x00mac_flush" },
	{ 0x25fd8169, "rt2x00mac_set_antenna" },
	{ 0x9d9b0610, "rt2x00mac_get_antenna" },
	{ 0xb95a8055, "rt2x00mac_get_ringparam" },
	{ 0x7735c7d6, "rt2x00mac_tx_frames_pending" },
	{ 0x613224ae, "ieee80211_emulate_add_chanctx" },
	{ 0x248e0747, "ieee80211_emulate_remove_chanctx" },
	{ 0x376a8eca, "ieee80211_emulate_change_chanctx" },
	{ 0x99ffb2fe, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x68172358, "ieee80211_handle_wake_tx_queue" },
	{ 0xe884a1e7, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4c0846f5, "usb_register_driver" },
	{ 0x41d1cbfe, "rt2x00usb_probe" },
	{ 0x5389a7a5, "skb_trim" },
	{ 0xa56c0270, "consume_skb" },
	{ 0xb23fe156, "usb_submit_urb" },
	{ 0x14e69ae1, "usb_deregister" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x4bfd7046, "rt2x00usb_vendor_req_buff_lock" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x157899b3, "_dev_err" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xb65e8ffe, "rt2x00usb_vendor_request_buff" },
	{ 0x5fc21f59, "rt2x00usb_vendor_request" },
	{ 0xd30c7c02, "rt2x00lib_set_mac_address" },
	{ 0xf1befeb9, "_dev_info" },
	{ 0x458bc4b3, "__dynamic_dev_dbg" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xc3f8e321, "skb_push" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf9a482f9, "msleep" },
	{ 0x421253f8, "rt2x00usb_disable_radio" },
	{ 0x283a84f4, "module_layout" },
};

MODULE_INFO(depends, "rt2x00usb,rt2x00lib,mac80211,usbcore");

MODULE_ALIAS("usb:v0B05p1706d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p1707d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp7050d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp7051d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p000Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p0011d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p001Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v14B2p3C02d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p3C00d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1044p8001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1044p8007d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06F8pE000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p005Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0066d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0067d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p008Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0097d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6861d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6865d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6869d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp1706d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp2570d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp9020d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v079Bp004Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0681p3C06d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0707pEE13d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v114Bp0110d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0769p11F3d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0EB0p9020d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0F88p3012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v5A57p0260d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "7FEE5EDAB3F8A95A5692CF2");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
