#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x57f3520c, "rt2800_mcu_request" },
	{ 0x4b20a15a, "rt2800mmio_toggle_irq" },
	{ 0x161365d, "rt2800mmio_enable_radio" },
	{ 0xb6c8b7b1, "rt2x00pci_remove" },
	{ 0xe46f14c2, "rt2x00pci_pm_ops" },
	{ 0xb907603, "rt2800mmio_queue_init" },
	{ 0x5fa4db64, "rt2800mmio_interrupt" },
	{ 0x9f3c8921, "rt2800mmio_txstatus_tasklet" },
	{ 0x3d741c87, "rt2800mmio_pretbtt_tasklet" },
	{ 0x5028bbb2, "rt2800mmio_tbtt_tasklet" },
	{ 0x32ac3645, "rt2800mmio_rxdone_tasklet" },
	{ 0x97e3c029, "rt2800mmio_autowake_tasklet" },
	{ 0xa974e083, "rt2800mmio_probe_hw" },
	{ 0x5f8db0d, "rt2800_check_firmware" },
	{ 0x1acd2c7f, "rt2800_load_firmware" },
	{ 0x9113b4e3, "rt2x00mmio_initialize" },
	{ 0xc26ece8, "rt2x00mmio_uninitialize" },
	{ 0xae4aaf9d, "rt2800mmio_get_entry_state" },
	{ 0x1c3ff4da, "rt2800mmio_clear_entry" },
	{ 0xfef7ba25, "rt2800_rfkill_poll" },
	{ 0xd2ff9af0, "rt2800_link_stats" },
	{ 0x57e32dd9, "rt2800_reset_tuner" },
	{ 0xc0b72e43, "rt2800_link_tuner" },
	{ 0x3ea94fe5, "rt2800_gain_calibration" },
	{ 0xf80fed20, "rt2800_vco_calibration" },
	{ 0xb74f51a0, "rt2800_watchdog" },
	{ 0x8d6fb0cd, "rt2800mmio_start_queue" },
	{ 0xfe5184bd, "rt2800mmio_kick_queue" },
	{ 0x22051ad8, "rt2800mmio_stop_queue" },
	{ 0xf992a74, "rt2800mmio_flush_queue" },
	{ 0x2a2483a6, "rt2800mmio_write_tx_desc" },
	{ 0xf4e47d16, "rt2800_write_tx_data" },
	{ 0x7cd6097b, "rt2800_write_beacon" },
	{ 0x276bcced, "rt2800_clear_beacon" },
	{ 0x5406e5f6, "rt2800mmio_fill_rxdone" },
	{ 0xf559f806, "rt2800_config_shared_key" },
	{ 0x799f41ef, "rt2800_config_pairwise_key" },
	{ 0x69167a52, "rt2800_config_filter" },
	{ 0x72926a55, "rt2800_config_intf" },
	{ 0x3456ae1e, "rt2800_config_erp" },
	{ 0xd85b0859, "rt2800_config_ant" },
	{ 0xcbd2b29c, "rt2800_config" },
	{ 0x87f3e0b9, "rt2800_pre_reset_hw" },
	{ 0xfe3da793, "rt2x00mmio_regbusy_read" },
	{ 0x99d67aba, "rt2800mmio_init_registers" },
	{ 0xde8d01e3, "rt2800mmio_get_txwi" },
	{ 0xecd358b4, "rt2800mmio_get_dma_done" },
	{ 0xd46b722a, "rt2x00mac_tx" },
	{ 0x2282d3d5, "rt2x00mac_start" },
	{ 0x3412b4ea, "rt2x00mac_stop" },
	{ 0xdf98e957, "rt2x00mac_add_interface" },
	{ 0xb362b93c, "rt2x00mac_remove_interface" },
	{ 0xe8f3172c, "rt2x00mac_config" },
	{ 0xba5ec6bb, "rt2x00mac_bss_info_changed" },
	{ 0x51afb905, "rt2x00mac_configure_filter" },
	{ 0x175d2bce, "rt2x00mac_set_key" },
	{ 0x9fd8b028, "rt2x00mac_sw_scan_start" },
	{ 0x57724a24, "rt2x00mac_sw_scan_complete" },
	{ 0x7f38262e, "rt2x00mac_get_stats" },
	{ 0x6a49d2a, "rt2800_get_key_seq" },
	{ 0x65356424, "rt2800_set_rts_threshold" },
	{ 0xd7cc19b, "rt2800_sta_add" },
	{ 0x6c1f9c66, "rt2800_sta_remove" },
	{ 0x947c4a89, "rt2800_conf_tx" },
	{ 0x46be72b, "rt2800_get_tsf" },
	{ 0xd62df099, "rt2800_ampdu_action" },
	{ 0x258c1238, "rt2800_get_survey" },
	{ 0x25e44d47, "rt2x00mac_rfkill_poll" },
	{ 0x8f139888, "rt2x00mac_flush" },
	{ 0xb95a8055, "rt2x00mac_get_ringparam" },
	{ 0x7735c7d6, "rt2x00mac_tx_frames_pending" },
	{ 0x613224ae, "ieee80211_emulate_add_chanctx" },
	{ 0x248e0747, "ieee80211_emulate_remove_chanctx" },
	{ 0x376a8eca, "ieee80211_emulate_change_chanctx" },
	{ 0x99ffb2fe, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0xc22a374e, "rt2x00mac_reconfig_complete" },
	{ 0x68172358, "ieee80211_handle_wake_tx_queue" },
	{ 0xe884a1e7, "param_ops_bool" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xafe8216e, "__pci_register_driver" },
	{ 0xc265906, "rt2x00pci_probe" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xdfc2c7d9, "pci_unregister_driver" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x157899b3, "_dev_err" },
	{ 0x54880a50, "rt2800_efuse_detect" },
	{ 0xbdd066a, "rt2800_read_eeprom_efuse" },
	{ 0xff7a0fdf, "eeprom_93cx6_multiread" },
	{ 0x283a84f4, "module_layout" },
};

MODULE_INFO(depends, "rt2800lib,rt2800mmio,rt2x00pci,rt2x00mmio,rt2x00lib,mac80211,eeprom_93cx6");

MODULE_ALIAS("pci:v00001814d00000601sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00000681sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00000701sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00000781sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003090sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003091sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003092sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007708sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007727sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007728sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007738sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007748sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007758sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007768sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001462d0000891Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001A3Bd00001059sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003290sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003390sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007711sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007722sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003060sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003062sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003562sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003592sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003593sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000359Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005360sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005362sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005390sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005392sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000539Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000539Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000539Fsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "0E9A8343572DB09B35370FF");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
