#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa99ab1d, "efuse_read_1byte" },
	{ 0x108ae1b3, "rtl_process_phyinfo" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xabf3831f, "rtl_cam_reset_all_entry" },
	{ 0x76cf6861, "rtl92c_phy_query_bb_reg" },
	{ 0xafe8216e, "__pci_register_driver" },
	{ 0x86809ba, "rtl92ce_phy_set_rf_on" },
	{ 0x4db50ce, "rtl_cam_empty_entry" },
	{ 0xffb4e72b, "rtl92c_set_p2p_ps_offload_cmd" },
	{ 0xf47830ca, "rtl_cam_del_entry" },
	{ 0x37a0cba, "kfree" },
	{ 0x253ebdb1, "rtl92c_phy_rf_config" },
	{ 0xd26747d9, "rtl_cam_mark_invalid" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xdfc2c7d9, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa9dcebab, "dev_driver_string" },
	{ 0x40c26ae5, "_rtl_dbg_print" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5305fb1e, "ieee80211_find_sta" },
	{ 0xa7831f72, "dma_map_page_attrs" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x706ea675, "rtl92c_phy_set_io_cmd" },
	{ 0xf5538d87, "_rtl92c_store_pwrindex_diffrate_offset" },
	{ 0x17a1dfe1, "rtl_rfreg_delay" },
	{ 0xa8af9362, "rtl_pci_disconnect" },
	{ 0x59b76dfd, "rtl92c_download_fw" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x1115c66f, "rtl92c_set_fw_joinbss_report_cmd" },
	{ 0x890ffe65, "rtlwifi_rate_mapping" },
	{ 0x2f5260ea, "rtl_pci_suspend" },
	{ 0x87670936, "request_firmware_nowait" },
	{ 0xafe7063c, "_rtl92c_phy_set_rf_sleep" },
	{ 0x7d194d7b, "rtl_signal_scale_mapping" },
	{ 0xbd6b13c6, "_rtl_dbg_print_data" },
	{ 0x287a0e58, "_rtl92c_phy_fw_rf_serial_write" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x2921a4d4, "rtl_btc_status_false" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xae901f4c, "rtl92c_set_fw_pwrmode_cmd" },
	{ 0xb1294569, "rtl92c_dm_rf_saving" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xbfcd4ec1, "rtl92c_firmware_selfreset" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xc12aee87, "rtl_get_hwinfo" },
	{ 0x33e45937, "rtl_ps_enable_nic" },
	{ 0xb9223c7a, "rtl_pci_resume" },
	{ 0x84ded1e9, "rtl92c_phy_set_bb_reg" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x18ee9475, "rtl92c_dm_init" },
	{ 0xcb2cbbc4, "rtl92c_phy_iq_calibrate" },
	{ 0xe55c5cb2, "rtl92c_dm_init_edca_turbo" },
	{ 0xcc1c4459, "rtl_phy_scan_operation_backup" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xed7c8cf2, "rtl_evm_db_to_percentage" },
	{ 0xc16dd2d3, "pv_ops" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x999e8297, "vfree" },
	{ 0x6d98b526, "rtl_cam_add_one_entry" },
	{ 0xe884a1e7, "param_ops_bool" },
	{ 0x30a956d7, "rtl_query_rxpwrpercentage" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x691415ea, "rtl92c_phy_lc_calibrate" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x6924e9b6, "rtl92c_phy_set_bw_mode" },
	{ 0x81e30973, "_rtl92c_phy_rf_serial_read" },
	{ 0x5420937f, "rtl_get_tcb_desc" },
	{ 0xbb5464eb, "_rtl92c_phy_rf_serial_write" },
	{ 0x750273af, "_rtl92c_phy_init_bb_rf_register_definition" },
	{ 0x88ab38c2, "rtl92c_dm_watchdog" },
	{ 0x63d3eece, "kmalloc_trace_noprof" },
	{ 0x5fb7065e, "rtl_ps_disable_nic" },
	{ 0x90612d66, "rtl92c_dm_check_txpower_tracking" },
	{ 0xbec7968f, "rtl92c_set_fw_rsvdpagepkt" },
	{ 0x33d30374, "rtl92c_phy_set_txpower_level" },
	{ 0x33808f56, "param_ops_int" },
	{ 0xd846d573, "_rtl92c_phy_fw_rf_serial_read" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x88516555, "rtl92c_phy_set_rfpath_switch" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x67631b7d, "rtl_cam_get_free_entry" },
	{ 0x883d1a2, "rtl_pci_probe" },
	{ 0x4cbec016, "kmalloc_caches" },
	{ 0x8ea60059, "rtl_fw_cb" },
	{ 0x19d4233e, "rtl_cam_delete_one_entry" },
	{ 0xeb19749c, "param_ops_ullong" },
	{ 0x1b945315, "rtl_addr_delay" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xfd0afcf4, "rtl92c_phy_sw_chnl" },
	{ 0x68e239b5, "rtl92c_fill_h2c_cmd" },
	{ 0x4470aa1f, "_rtl92c_phy_bb8192c_config_parafile" },
	{ 0x283a84f4, "module_layout" },
};

MODULE_INFO(depends, "rtlwifi,rtl8192c-common,mac80211,rtl_pci");

MODULE_ALIAS("pci:v000010ECd00008191sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010ECd00008178sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010ECd00008177sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010ECd00008176sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "904C7E06C927070C779446F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
