#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sdw_cdns_config_update, "", "");
KSYMTAB_FUNC(sdw_cdns_config_update_set_wait, "", "");
KSYMTAB_FUNC(sdw_cdns_debugfs_init, "_gpl", "");
KSYMTAB_FUNC(cdns_xfer_msg, "", "");
KSYMTAB_FUNC(cdns_xfer_msg_defer, "", "");
KSYMTAB_FUNC(cdns_read_ping_status, "", "");
KSYMTAB_FUNC(sdw_cdns_irq, "", "");
KSYMTAB_FUNC(sdw_cdns_check_self_clearing_bits, "", "");
KSYMTAB_FUNC(sdw_cdns_exit_reset, "", "");
KSYMTAB_FUNC(sdw_cdns_enable_interrupt, "", "");
KSYMTAB_FUNC(sdw_cdns_pdi_init, "", "");
KSYMTAB_FUNC(sdw_cdns_init, "", "");
KSYMTAB_FUNC(cdns_bus_conf, "", "");
KSYMTAB_FUNC(sdw_cdns_is_clock_stop, "", "");
KSYMTAB_FUNC(sdw_cdns_clock_stop, "", "");
KSYMTAB_FUNC(sdw_cdns_clock_restart, "", "");
KSYMTAB_FUNC(sdw_cdns_probe, "", "");
KSYMTAB_FUNC(cdns_set_sdw_stream, "", "");
KSYMTAB_FUNC(sdw_cdns_config_stream, "", "");
KSYMTAB_FUNC(sdw_cdns_alloc_pdi, "", "");

SYMBOL_CRC(sdw_cdns_config_update, 0x4f5a01bc, "");
SYMBOL_CRC(sdw_cdns_config_update_set_wait, 0xc2d40d83, "");
SYMBOL_CRC(sdw_cdns_debugfs_init, 0x51aa49a5, "_gpl");
SYMBOL_CRC(cdns_xfer_msg, 0xd4a1230d, "");
SYMBOL_CRC(cdns_xfer_msg_defer, 0x890a1f82, "");
SYMBOL_CRC(cdns_read_ping_status, 0x18711d06, "");
SYMBOL_CRC(sdw_cdns_irq, 0x34712074, "");
SYMBOL_CRC(sdw_cdns_check_self_clearing_bits, 0xbb3891c1, "");
SYMBOL_CRC(sdw_cdns_exit_reset, 0xc093a9d2, "");
SYMBOL_CRC(sdw_cdns_enable_interrupt, 0x17a1af02, "");
SYMBOL_CRC(sdw_cdns_pdi_init, 0x6bbcaa56, "");
SYMBOL_CRC(sdw_cdns_init, 0x07c8522b, "");
SYMBOL_CRC(cdns_bus_conf, 0xa127b4f2, "");
SYMBOL_CRC(sdw_cdns_is_clock_stop, 0x91a08438, "");
SYMBOL_CRC(sdw_cdns_clock_stop, 0x6f0b7ed8, "");
SYMBOL_CRC(sdw_cdns_clock_restart, 0x379e9cc5, "");
SYMBOL_CRC(sdw_cdns_probe, 0xe794f649, "");
SYMBOL_CRC(cdns_set_sdw_stream, 0x5ef5db6d, "");
SYMBOL_CRC(sdw_cdns_config_stream, 0x0f98dc76, "");
SYMBOL_CRC(sdw_cdns_alloc_pdi, 0x0a6fd0dd, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1deee061, "sdw_find_row_index" },
	{ 0x78cbdf7d, "seq_lseek" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x891aab90, "sdw_handle_slave_status" },
	{ 0x458bc4b3, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf1befeb9, "_dev_info" },
	{ 0xeb6eb87, "add_taint" },
	{ 0x1e3d017a, "debugfs_attr_read" },
	{ 0x157899b3, "_dev_err" },
	{ 0xf0118452, "simple_attr_release" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x1fe94107, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc5fe2e9b, "seq_read" },
	{ 0xec52fff4, "debugfs_create_file" },
	{ 0xd036bf4a, "__pm_runtime_resume" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x60e31fbb, "sdw_find_col_index" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x95945080, "seq_printf" },
	{ 0x1033ede4, "single_release" },
	{ 0x63d3eece, "kmalloc_trace_noprof" },
	{ 0x77ce18f, "sdw_bread_no_pm_unlocked" },
	{ 0xf486f0f5, "__pm_runtime_suspend" },
	{ 0x33808f56, "param_ops_int" },
	{ 0x4e66e37f, "single_open" },
	{ 0x8604bf3e, "sdw_bus_exit_clk_stop" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4cbec016, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x7c195009, "sdw_bus_prep_clk_stop" },
	{ 0x35ed9461, "simple_attr_open" },
	{ 0xa3b55855, "debugfs_attr_write" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0xc30751b4, "devm_kmalloc" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc5fee996, "sdw_bus_clk_stop" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x96848186, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0x283a84f4, "module_layout" },
};

MODULE_INFO(depends, "soundwire-bus");


MODULE_INFO(srcversion, "2E50A2CA71199108F5AF711");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
