#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(jbd2__journal_start, "", "");
KSYMTAB_FUNC(jbd2_journal_start, "", "");
KSYMTAB_FUNC(jbd2_journal_free_reserved, "", "");
KSYMTAB_FUNC(jbd2_journal_start_reserved, "", "");
KSYMTAB_FUNC(jbd2__journal_restart, "", "");
KSYMTAB_FUNC(jbd2_journal_restart, "", "");
KSYMTAB_FUNC(jbd2_submit_inode_data, "", "");
KSYMTAB_FUNC(jbd2_wait_inode_data, "", "");
KSYMTAB_FUNC(jbd2_journal_extend, "", "");
KSYMTAB_FUNC(jbd2_journal_stop, "", "");
KSYMTAB_FUNC(jbd2_journal_lock_updates, "", "");
KSYMTAB_FUNC(jbd2_journal_unlock_updates, "", "");
KSYMTAB_FUNC(jbd2_journal_get_write_access, "", "");
KSYMTAB_FUNC(jbd2_journal_get_create_access, "", "");
KSYMTAB_FUNC(jbd2_journal_get_undo_access, "", "");
KSYMTAB_FUNC(jbd2_journal_set_triggers, "", "");
KSYMTAB_FUNC(jbd2_journal_dirty_metadata, "", "");
KSYMTAB_FUNC(jbd2_journal_forget, "", "");
KSYMTAB_FUNC(jbd2_journal_flush, "", "");
KSYMTAB_FUNC(jbd2_journal_revoke, "", "");
KSYMTAB_FUNC(jbd2_journal_init_dev, "", "");
KSYMTAB_FUNC(jbd2_journal_init_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_check_used_features, "", "");
KSYMTAB_FUNC(jbd2_journal_check_available_features, "", "");
KSYMTAB_FUNC(jbd2_journal_set_features, "", "");
KSYMTAB_FUNC(jbd2_journal_load, "", "");
KSYMTAB_FUNC(jbd2_journal_destroy, "", "");
KSYMTAB_FUNC(jbd2_journal_abort, "", "");
KSYMTAB_FUNC(jbd2_journal_errno, "", "");
KSYMTAB_FUNC(jbd2_journal_ack_err, "", "");
KSYMTAB_FUNC(jbd2_journal_clear_err, "", "");
KSYMTAB_FUNC(jbd2_log_wait_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_start_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_force_commit_nested, "", "");
KSYMTAB_FUNC(jbd2_journal_wipe, "", "");
KSYMTAB_FUNC(jbd2_journal_blocks_per_page, "", "");
KSYMTAB_FUNC(jbd2_journal_invalidate_folio, "", "");
KSYMTAB_FUNC(jbd2_journal_try_to_free_buffers, "", "");
KSYMTAB_FUNC(jbd2_journal_force_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_inode_ranged_write, "", "");
KSYMTAB_FUNC(jbd2_journal_inode_ranged_wait, "", "");
KSYMTAB_FUNC(jbd2_journal_finish_inode_data_buffers, "", "");
KSYMTAB_FUNC(jbd2_journal_init_jbd_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_release_jbd_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_begin_ordered_truncate, "", "");
KSYMTAB_DATA(jbd2_inode_cache, "", "");
KSYMTAB_FUNC(jbd2_trans_will_send_data_barrier, "", "");
KSYMTAB_FUNC(jbd2_fc_begin_commit, "", "");
KSYMTAB_FUNC(jbd2_fc_end_commit, "", "");
KSYMTAB_FUNC(jbd2_fc_end_commit_fallback, "", "");
KSYMTAB_FUNC(jbd2_transaction_committed, "", "");
KSYMTAB_FUNC(jbd2_complete_transaction, "", "");
KSYMTAB_FUNC(jbd2_fc_get_buf, "", "");
KSYMTAB_FUNC(jbd2_fc_wait_bufs, "", "");
KSYMTAB_FUNC(jbd2_fc_release_bufs, "", "");
KSYMTAB_FUNC(jbd2_journal_update_sb_errno, "", "");
KSYMTAB_FUNC(jbd2_journal_clear_features, "", "");
KSYMTAB_FUNC(jbd2_journal_grab_journal_head, "", "");
KSYMTAB_FUNC(jbd2_journal_put_journal_head, "", "");

SYMBOL_CRC(jbd2__journal_start, 0x2ec00239, "");
SYMBOL_CRC(jbd2_journal_start, 0x702ecae3, "");
SYMBOL_CRC(jbd2_journal_free_reserved, 0xf9888fdf, "");
SYMBOL_CRC(jbd2_journal_start_reserved, 0x0037ca9b, "");
SYMBOL_CRC(jbd2__journal_restart, 0x3bacb59d, "");
SYMBOL_CRC(jbd2_journal_restart, 0xd1d9ca52, "");
SYMBOL_CRC(jbd2_submit_inode_data, 0x64635277, "");
SYMBOL_CRC(jbd2_wait_inode_data, 0x4afcf543, "");
SYMBOL_CRC(jbd2_journal_extend, 0x38b4d551, "");
SYMBOL_CRC(jbd2_journal_stop, 0xcd12e369, "");
SYMBOL_CRC(jbd2_journal_lock_updates, 0x1a3026d3, "");
SYMBOL_CRC(jbd2_journal_unlock_updates, 0x499c411b, "");
SYMBOL_CRC(jbd2_journal_get_write_access, 0x373903c7, "");
SYMBOL_CRC(jbd2_journal_get_create_access, 0x703360f2, "");
SYMBOL_CRC(jbd2_journal_get_undo_access, 0xc2ff39fa, "");
SYMBOL_CRC(jbd2_journal_set_triggers, 0xcd5e51de, "");
SYMBOL_CRC(jbd2_journal_dirty_metadata, 0x0dbcb0c5, "");
SYMBOL_CRC(jbd2_journal_forget, 0x18b8a570, "");
SYMBOL_CRC(jbd2_journal_flush, 0xd9c49b9c, "");
SYMBOL_CRC(jbd2_journal_revoke, 0x4442b138, "");
SYMBOL_CRC(jbd2_journal_init_dev, 0xd00443b6, "");
SYMBOL_CRC(jbd2_journal_init_inode, 0x7792b317, "");
SYMBOL_CRC(jbd2_journal_check_used_features, 0xa61fc0e4, "");
SYMBOL_CRC(jbd2_journal_check_available_features, 0x099101c8, "");
SYMBOL_CRC(jbd2_journal_set_features, 0xe2fa4f3f, "");
SYMBOL_CRC(jbd2_journal_load, 0xdf45e80a, "");
SYMBOL_CRC(jbd2_journal_destroy, 0x9077d9ac, "");
SYMBOL_CRC(jbd2_journal_abort, 0x9c06fa9c, "");
SYMBOL_CRC(jbd2_journal_errno, 0xd1ab375c, "");
SYMBOL_CRC(jbd2_journal_ack_err, 0x571bd306, "");
SYMBOL_CRC(jbd2_journal_clear_err, 0xbffba718, "");
SYMBOL_CRC(jbd2_log_wait_commit, 0xac8d6f16, "");
SYMBOL_CRC(jbd2_journal_start_commit, 0xec7e5829, "");
SYMBOL_CRC(jbd2_journal_force_commit_nested, 0xcfab0b4e, "");
SYMBOL_CRC(jbd2_journal_wipe, 0x6e93bd70, "");
SYMBOL_CRC(jbd2_journal_blocks_per_page, 0xa78ad2a7, "");
SYMBOL_CRC(jbd2_journal_invalidate_folio, 0x5e1b8a35, "");
SYMBOL_CRC(jbd2_journal_try_to_free_buffers, 0x5905faf7, "");
SYMBOL_CRC(jbd2_journal_force_commit, 0xfac07f0b, "");
SYMBOL_CRC(jbd2_journal_inode_ranged_write, 0xe30c5177, "");
SYMBOL_CRC(jbd2_journal_inode_ranged_wait, 0x31815657, "");
SYMBOL_CRC(jbd2_journal_finish_inode_data_buffers, 0x32ae5f79, "");
SYMBOL_CRC(jbd2_journal_init_jbd_inode, 0xcaef79c6, "");
SYMBOL_CRC(jbd2_journal_release_jbd_inode, 0x0c1ab05b, "");
SYMBOL_CRC(jbd2_journal_begin_ordered_truncate, 0x45665fc9, "");
SYMBOL_CRC(jbd2_inode_cache, 0xacd81eb3, "");
SYMBOL_CRC(jbd2_trans_will_send_data_barrier, 0xbe9237f1, "");
SYMBOL_CRC(jbd2_fc_begin_commit, 0x9841062f, "");
SYMBOL_CRC(jbd2_fc_end_commit, 0xd9b18d0f, "");
SYMBOL_CRC(jbd2_fc_end_commit_fallback, 0xf8305501, "");
SYMBOL_CRC(jbd2_transaction_committed, 0x5ae0f808, "");
SYMBOL_CRC(jbd2_complete_transaction, 0xa0539a1f, "");
SYMBOL_CRC(jbd2_fc_get_buf, 0x5ed21828, "");
SYMBOL_CRC(jbd2_fc_wait_bufs, 0x9d2426b6, "");
SYMBOL_CRC(jbd2_fc_release_bufs, 0x7202b259, "");
SYMBOL_CRC(jbd2_journal_update_sb_errno, 0x93d7127a, "");
SYMBOL_CRC(jbd2_journal_clear_features, 0x97b07ccf, "");
SYMBOL_CRC(jbd2_journal_grab_journal_head, 0x26a6c7c0, "");
SYMBOL_CRC(jbd2_journal_put_journal_head, 0xb0418a8c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9f3c4b44, "shrinker_free" },
	{ 0x3bfc21fa, "trace_event_buffer_commit" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0x47cf016e, "crypto_destroy_tfm" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6b75263, "mutex_lock_io" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x92997ed8, "_printk" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8db93625, "try_to_free_buffers" },
	{ 0xa62e7cc8, "sync_blockdev" },
	{ 0xeca795e4, "free_buffer_head" },
	{ 0x20961672, "shrinker_register" },
	{ 0xc5dd9b92, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf5dc0405, "blk_finish_plug" },
	{ 0x6486e87b, "bdev_getblk" },
	{ 0x981bdb74, "__cond_resched_lock" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x769f6e64, "errseq_check" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x56fe846e, "bit_waitqueue" },
	{ 0x58e3306d, "bit_wait_io" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xc008cf25, "__brelse" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xc517606d, "perf_trace_run_bpf_submit" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc85863e6, "__bh_read_batch" },
	{ 0xf48e60c5, "bpf_trace_run5" },
	{ 0xff99d27f, "_raw_write_lock" },
	{ 0x346f68d2, "__wait_on_buffer" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xf6ff740b, "kmem_cache_free" },
	{ 0x9faad081, "__bh_read" },
	{ 0xd530f828, "trace_event_reg" },
	{ 0x7c34477b, "mutex_is_locked" },
	{ 0x38f0709f, "blkdev_issue_zeroout" },
	{ 0x8f29ba60, "filemap_fdatawait_range_keep_errors" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x66091936, "crypto_shash_update" },
	{ 0xab5bcd0, "_raw_read_unlock" },
	{ 0xcc63469e, "_raw_write_unlock" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x649da63e, "freezing_slow_path" },
	{ 0x6a38c783, "bpf_trace_run1" },
	{ 0x814ec810, "proc_mkdir" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbd8dc6bf, "kmem_cache_alloc_noprof" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x574089fd, "kthread_create_on_node" },
	{ 0x3dfb6bc7, "bpf_trace_run3" },
	{ 0xc5fe2e9b, "seq_read" },
	{ 0xb30b2bda, "preempt_model_full" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x4138e542, "unlock_buffer" },
	{ 0x4c5a25b6, "trace_event_buffer_reserve" },
	{ 0x21bdb523, "errseq_check_and_advance" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xe1ed9c9, "prepare_to_wait_exclusive" },
	{ 0x2f7e5465, "percpu_counter_add_batch" },
	{ 0xe875e218, "__rwlock_init" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xca431c05, "wake_bit_function" },
	{ 0x72de08be, "__folio_put" },
	{ 0x74789bfe, "remove_proc_entry" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x95945080, "seq_printf" },
	{ 0xb2b575e9, "__lock_buffer" },
	{ 0xbcdd3814, "_raw_read_lock" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xd3df11, "truncate_inode_pages_range" },
	{ 0x5c2b4d6, "blkdev_issue_flush" },
	{ 0x3f37c854, "folio_set_bh" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x6cedc333, "end_buffer_write_sync" },
	{ 0x549240b1, "seq_open" },
	{ 0x63d3eece, "kmalloc_trace_noprof" },
	{ 0x560dd68b, "bmap" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x6a460dc5, "schedule_hrtimeout" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xbaf43ede, "crypto_alloc_shash" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x7410aba2, "strreplace" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x4cbec016, "kmalloc_caches" },
	{ 0x84450d8c, "kmem_cache_destroy" },
	{ 0xffac9358, "blkdev_issue_discard" },
	{ 0x484f6edf, "ktime_get_coarse_real_ts64" },
	{ 0x382b42a7, "bh_uptodate_or_lock" },
	{ 0x4ab69e71, "shrinker_alloc" },
	{ 0x8dc6b11b, "blk_start_plug" },
	{ 0x6333faae, "bpf_trace_run4" },
	{ 0xae7f3d38, "__percpu_counter_init_many" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xd0c3e8ce, "folio_unlock" },
	{ 0x98ca7994, "param_ops_ushort" },
	{ 0xb42975c0, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x34190124, "trace_raw_output_prep" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x8dfaed89, "bpf_trace_run6" },
	{ 0x6fae24b7, "mark_buffer_dirty" },
	{ 0xbdbd2093, "__find_get_block" },
	{ 0xc7c39f24, "__trace_trigger_soft_disabled" },
	{ 0xc6fb601f, "filemap_fdatawrite_range" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x8110d8e3, "trace_event_printf" },
	{ 0x1a3ef195, "__bforget" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xbca9b024, "write_dirty_buffer" },
	{ 0x695b39d8, "percpu_counter_destroy_many" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x424d2905, "prepare_to_wait" },
	{ 0x4df02057, "crc32_be" },
	{ 0xcbb2320c, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x92b59e6b, "iput" },
	{ 0x6d4cf96, "pcpu_hot" },
	{ 0x78cbdf7d, "seq_lseek" },
	{ 0xf54d6a8d, "blockdev_superblock" },
	{ 0x4fc893c6, "proc_create_data" },
	{ 0xc25a8f1a, "bpf_trace_run2" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x2aababb7, "kmem_cache_create" },
	{ 0xcd1064bb, "bpf_trace_run8" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x8750f521, "submit_bh" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x541a03c2, "alloc_buffer_head" },
	{ 0xe1e80ae3, "wake_up_process" },
	{ 0x283a84f4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "35880FD04F8BA2EE2737862");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
