#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip6_tnl_parse_tlv_enc_lim, "", "");
KSYMTAB_FUNC(ip6_tnl_get_cap, "", "");
KSYMTAB_FUNC(ip6_tnl_rcv_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_rcv, "", "");
KSYMTAB_FUNC(ip6_tnl_xmit_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_xmit, "", "");
KSYMTAB_FUNC(ip6_tnl_change_mtu, "", "");
KSYMTAB_FUNC(ip6_tnl_get_iflink, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_add_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_del_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_get_link_net, "", "");

SYMBOL_CRC(ip6_tnl_parse_tlv_enc_lim, 0x8dfccf69, "");
SYMBOL_CRC(ip6_tnl_get_cap, 0xe1912fae, "");
SYMBOL_CRC(ip6_tnl_rcv_ctl, 0xc99012c9, "_gpl");
SYMBOL_CRC(ip6_tnl_rcv, 0x99af76b9, "");
SYMBOL_CRC(ip6_tnl_xmit_ctl, 0x4be2826c, "_gpl");
SYMBOL_CRC(ip6_tnl_xmit, 0x588d2448, "");
SYMBOL_CRC(ip6_tnl_change_mtu, 0x3ea5e020, "");
SYMBOL_CRC(ip6_tnl_get_iflink, 0xe5e4a149, "");
SYMBOL_CRC(ip6_tnl_encap_add_ops, 0xd70446e9, "");
SYMBOL_CRC(ip6_tnl_encap_del_ops, 0xdda6623b, "");
SYMBOL_CRC(ip6_tnl_encap_setup, 0x27785a87, "_gpl");
SYMBOL_CRC(ip6_tnl_get_link_net, 0x18bcb923, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xe6a40a3d, "gro_cells_init" },
	{ 0xe86cdfa1, "ip_tunnel_header_ops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5769a7fe, "rtnl_link_unregister" },
	{ 0x79d219c0, "__get_hash_from_flowi6" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0xe6e61ba2, "init_net" },
	{ 0x679a748b, "alloc_netdev_mqs" },
	{ 0x3ea706f9, "register_netdev" },
	{ 0xa916b694, "strnlen" },
	{ 0x324ec3d2, "free_netdev" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x5b93b334, "skb_copy_bits" },
	{ 0x9c058a0f, "register_netdevice" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3e903560, "ip_tunnel_netlink_encap_parms" },
	{ 0x3dcbb3ac, "netdev_state_change" },
	{ 0x63de2409, "ns_capable" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x693622a3, "__pskb_pull_tail" },
	{ 0x6cf88913, "make_kuid" },
	{ 0x3dff0abe, "ip6_redirect" },
	{ 0xa5d5e640, "ip6_update_pmtu" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x9f85ccb8, "ip6_route_output_flags" },
	{ 0xf22105e9, "xfrm_lookup" },
	{ 0x385fccdc, "ip6_mtu" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x261202bd, "skb_scrub_packet" },
	{ 0x73ba0cb8, "skb_realloc_headroom" },
	{ 0xf93c8159, "skb_set_owner_w" },
	{ 0xa56c0270, "consume_skb" },
	{ 0x251e8936, "ipv6_push_frag_opts" },
	{ 0xc3f8e321, "skb_push" },
	{ 0xedd1a14b, "ip6_local_out" },
	{ 0x9028ce88, "dst_cache_get" },
	{ 0x7a2920fd, "dst_cache_set_ip6" },
	{ 0xe117dd4, "ipv6_dev_get_saddr" },
	{ 0xf4ea364d, "ip6_dst_hoplimit" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x6d4cf96, "pcpu_hot" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x88945e35, "ipv4_mtu" },
	{ 0xdb049988, "neigh_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x4731f469, "kfree_skb_reason" },
	{ 0x408acbb6, "iptunnel_handle_offloads" },
	{ 0xa1149f16, "icmpv6_ndo_send" },
	{ 0x8184197b, "icmp_ndo_send" },
	{ 0x3be99a99, "skb_clone" },
	{ 0xfaa81987, "skb_pull" },
	{ 0x77ebc22c, "icmp6_send" },
	{ 0x72f79686, "ip_route_output_flow" },
	{ 0x554d0290, "ip_route_input_noref" },
	{ 0x8ed8d437, "__icmp_send" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8ba87b15, "gro_cells_receive" },
	{ 0x23439f6a, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x48a2298f, "__iptunnel_pull_header" },
	{ 0xc9404f2f, "metadata_dst_alloc" },
	{ 0xdf86d5c2, "__xfrm_policy_check" },
	{ 0x25ff42a9, "dev_get_tstats64" },
	{ 0xe884a1e7, "param_ops_bool" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe2e156ab, "ip6tun_encaps" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x91dc0146, "ipv6_chk_addr_and_flags" },
	{ 0xc0e9dd47, "dev_get_by_index_rcu" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0xeef6d777, "register_pernet_device" },
	{ 0x4d79387, "xfrm6_tunnel_register" },
	{ 0xc66003e7, "rtnl_link_register" },
	{ 0xbfd2e252, "xfrm6_tunnel_deregister" },
	{ 0x3adf22c2, "unregister_pernet_device" },
	{ 0xd5a43273, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8ddfe435, "unregister_netdevice_queue" },
	{ 0x4574f6f2, "dev_addr_mod" },
	{ 0xeb4fbf5e, "rt6_lookup" },
	{ 0xe9a82142, "dst_release" },
	{ 0xc35466db, "__dev_get_by_index" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x283a84f4, "module_layout" },
};

MODULE_INFO(depends, "tunnel6");


MODULE_INFO(srcversion, "5415341073ACF423E4FE2F3");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
