#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(snd_major, "", "");
KSYMTAB_DATA(snd_ecards_limit, "", "");
KSYMTAB_DATA(sound_debugfs_root, "_gpl", "");
KSYMTAB_FUNC(snd_request_card, "", "");
KSYMTAB_FUNC(snd_lookup_minor_data, "", "");
KSYMTAB_FUNC(snd_register_device, "", "");
KSYMTAB_FUNC(snd_unregister_device, "", "");
KSYMTAB_DATA(snd_mixer_oss_notify_callback, "", "");
KSYMTAB_FUNC(snd_device_alloc, "_gpl", "");
KSYMTAB_FUNC(snd_card_new, "", "");
KSYMTAB_FUNC(snd_devm_card_new, "_gpl", "");
KSYMTAB_FUNC(snd_card_free_on_error, "_gpl", "");
KSYMTAB_FUNC(snd_card_ref, "_gpl", "");
KSYMTAB_FUNC(snd_card_disconnect, "", "");
KSYMTAB_FUNC(snd_card_disconnect_sync, "_gpl", "");
KSYMTAB_FUNC(snd_card_free_when_closed, "", "");
KSYMTAB_FUNC(snd_card_free, "", "");
KSYMTAB_FUNC(snd_card_set_id, "", "");
KSYMTAB_FUNC(snd_card_add_dev_attr, "_gpl", "");
KSYMTAB_FUNC(snd_card_register, "", "");
KSYMTAB_FUNC(snd_component_add, "", "");
KSYMTAB_FUNC(snd_card_file_add, "", "");
KSYMTAB_FUNC(snd_card_file_remove, "", "");
KSYMTAB_FUNC(snd_power_ref_and_wait, "_gpl", "");
KSYMTAB_FUNC(snd_power_wait, "", "");
KSYMTAB_FUNC(copy_to_user_fromio, "", "");
KSYMTAB_FUNC(copy_to_iter_fromio, "", "");
KSYMTAB_FUNC(copy_from_user_toio, "", "");
KSYMTAB_FUNC(copy_from_iter_toio, "", "");
KSYMTAB_FUNC(snd_ctl_notify, "", "");
KSYMTAB_FUNC(snd_ctl_notify_one, "", "");
KSYMTAB_FUNC(snd_ctl_new1, "", "");
KSYMTAB_FUNC(snd_ctl_free_one, "", "");
KSYMTAB_FUNC(snd_ctl_add, "", "");
KSYMTAB_FUNC(snd_ctl_replace, "", "");
KSYMTAB_FUNC(snd_ctl_remove, "", "");
KSYMTAB_FUNC(snd_ctl_remove_id, "", "");
KSYMTAB_FUNC(snd_ctl_activate_id, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_rename_id, "", "");
KSYMTAB_FUNC(snd_ctl_rename, "", "");
KSYMTAB_FUNC(snd_ctl_find_numid_locked, "", "");
KSYMTAB_FUNC(snd_ctl_find_numid, "", "");
KSYMTAB_FUNC(snd_ctl_find_id_locked, "", "");
KSYMTAB_FUNC(snd_ctl_find_id, "", "");
KSYMTAB_FUNC(snd_ctl_register_ioctl, "", "");
KSYMTAB_FUNC(snd_ctl_register_ioctl_compat, "", "");
KSYMTAB_FUNC(snd_ctl_unregister_ioctl, "", "");
KSYMTAB_FUNC(snd_ctl_unregister_ioctl_compat, "", "");
KSYMTAB_FUNC(snd_ctl_get_preferred_subdevice, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_request_layer, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_register_layer, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_disconnect_layer, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_boolean_mono_info, "", "");
KSYMTAB_FUNC(snd_ctl_boolean_stereo_info, "", "");
KSYMTAB_FUNC(snd_ctl_enum_info, "", "");
KSYMTAB_FUNC(release_and_free_resource, "", "");
KSYMTAB_FUNC(__snd_printk, "_gpl", "");
KSYMTAB_FUNC(snd_pci_quirk_lookup_id, "", "");
KSYMTAB_FUNC(snd_pci_quirk_lookup, "", "");
KSYMTAB_FUNC(snd_fasync_helper, "_gpl", "");
KSYMTAB_FUNC(snd_kill_fasync, "_gpl", "");
KSYMTAB_FUNC(snd_fasync_free, "_gpl", "");
KSYMTAB_FUNC(snd_device_new, "", "");
KSYMTAB_FUNC(snd_device_disconnect, "_gpl", "");
KSYMTAB_FUNC(snd_device_free, "", "");
KSYMTAB_FUNC(snd_device_register, "", "");
KSYMTAB_FUNC(snd_device_get_state, "_gpl", "");
KSYMTAB_DATA(snd_seq_root, "", "");
KSYMTAB_FUNC(snd_info_get_line, "", "");
KSYMTAB_FUNC(snd_info_get_str, "", "");
KSYMTAB_FUNC(snd_info_create_module_entry, "", "");
KSYMTAB_FUNC(snd_info_create_card_entry, "", "");
KSYMTAB_FUNC(snd_info_free_entry, "", "");
KSYMTAB_FUNC(snd_info_register, "", "");
KSYMTAB_FUNC(snd_card_rw_proc_new, "_gpl", "");
KSYMTAB_FUNC(snd_oss_info_register, "", "");
KSYMTAB_FUNC(snd_dma_program, "", "");
KSYMTAB_FUNC(snd_dma_disable, "", "");
KSYMTAB_FUNC(snd_dma_pointer, "", "");
KSYMTAB_FUNC(snd_devm_request_dma, "_gpl", "");
KSYMTAB_FUNC(snd_lookup_oss_minor_data, "", "");
KSYMTAB_FUNC(snd_register_oss_device, "", "");
KSYMTAB_FUNC(snd_unregister_oss_device, "", "");
KSYMTAB_FUNC(_snd_ctl_add_follower, "", "");
KSYMTAB_FUNC(snd_ctl_add_followers, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_make_virtual_master, "", "");
KSYMTAB_FUNC(snd_ctl_add_vmaster_hook, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_sync_vmaster, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_apply_vmaster_followers, "_gpl", "");
KSYMTAB_FUNC(snd_jack_add_new_kctl, "", "");
KSYMTAB_FUNC(snd_jack_new, "", "");
KSYMTAB_FUNC(snd_jack_set_parent, "", "");
KSYMTAB_FUNC(snd_jack_set_key, "", "");
KSYMTAB_FUNC(snd_jack_report, "", "");

SYMBOL_CRC(snd_major, 0x8f595b11, "");
SYMBOL_CRC(snd_ecards_limit, 0x3971b4df, "");
SYMBOL_CRC(sound_debugfs_root, 0xbc94dead, "_gpl");
SYMBOL_CRC(snd_request_card, 0x4a3ea5c0, "");
SYMBOL_CRC(snd_lookup_minor_data, 0xb2e5ae4a, "");
SYMBOL_CRC(snd_register_device, 0x35d48464, "");
SYMBOL_CRC(snd_unregister_device, 0xa6c78166, "");
SYMBOL_CRC(snd_mixer_oss_notify_callback, 0xf0f1b5fd, "");
SYMBOL_CRC(snd_device_alloc, 0x5b3651c9, "_gpl");
SYMBOL_CRC(snd_card_new, 0x754b24ff, "");
SYMBOL_CRC(snd_devm_card_new, 0x32b0e04a, "_gpl");
SYMBOL_CRC(snd_card_free_on_error, 0x6bd4b0b9, "_gpl");
SYMBOL_CRC(snd_card_ref, 0x34870434, "_gpl");
SYMBOL_CRC(snd_card_disconnect, 0xaa89adfd, "");
SYMBOL_CRC(snd_card_disconnect_sync, 0x573607f6, "_gpl");
SYMBOL_CRC(snd_card_free_when_closed, 0x0970d526, "");
SYMBOL_CRC(snd_card_free, 0xc87ee8fc, "");
SYMBOL_CRC(snd_card_set_id, 0x5a3942c9, "");
SYMBOL_CRC(snd_card_add_dev_attr, 0xf512ecb2, "_gpl");
SYMBOL_CRC(snd_card_register, 0x8d908eae, "");
SYMBOL_CRC(snd_component_add, 0xf3a20777, "");
SYMBOL_CRC(snd_card_file_add, 0xc6e8d0a5, "");
SYMBOL_CRC(snd_card_file_remove, 0xec70ce47, "");
SYMBOL_CRC(snd_power_ref_and_wait, 0x1d6c45c3, "_gpl");
SYMBOL_CRC(snd_power_wait, 0x3d0e5cda, "");
SYMBOL_CRC(copy_to_user_fromio, 0x342a2354, "");
SYMBOL_CRC(copy_to_iter_fromio, 0x42b8434b, "");
SYMBOL_CRC(copy_from_user_toio, 0xfffd89db, "");
SYMBOL_CRC(copy_from_iter_toio, 0x8ac7c3f8, "");
SYMBOL_CRC(snd_ctl_notify, 0x51f38394, "");
SYMBOL_CRC(snd_ctl_notify_one, 0xd86aa10c, "");
SYMBOL_CRC(snd_ctl_new1, 0xa3d5e445, "");
SYMBOL_CRC(snd_ctl_free_one, 0xe6e1980b, "");
SYMBOL_CRC(snd_ctl_add, 0x492bbf42, "");
SYMBOL_CRC(snd_ctl_replace, 0xda21b3c0, "");
SYMBOL_CRC(snd_ctl_remove, 0x6cb88fbf, "");
SYMBOL_CRC(snd_ctl_remove_id, 0x7e4b66dd, "");
SYMBOL_CRC(snd_ctl_activate_id, 0x0f7e0251, "_gpl");
SYMBOL_CRC(snd_ctl_rename_id, 0x1bbffd01, "");
SYMBOL_CRC(snd_ctl_rename, 0xc4ad6a84, "");
SYMBOL_CRC(snd_ctl_find_numid_locked, 0xc76c4a76, "");
SYMBOL_CRC(snd_ctl_find_numid, 0xd2139c44, "");
SYMBOL_CRC(snd_ctl_find_id_locked, 0xde9b1217, "");
SYMBOL_CRC(snd_ctl_find_id, 0xb3a77d35, "");
SYMBOL_CRC(snd_ctl_register_ioctl, 0x8e13207f, "");
SYMBOL_CRC(snd_ctl_register_ioctl_compat, 0x05e5e375, "");
SYMBOL_CRC(snd_ctl_unregister_ioctl, 0x8cc5268b, "");
SYMBOL_CRC(snd_ctl_unregister_ioctl_compat, 0xef315cd0, "");
SYMBOL_CRC(snd_ctl_get_preferred_subdevice, 0xe3e1fcf5, "_gpl");
SYMBOL_CRC(snd_ctl_request_layer, 0xfaf598c6, "_gpl");
SYMBOL_CRC(snd_ctl_register_layer, 0xd471be6b, "_gpl");
SYMBOL_CRC(snd_ctl_disconnect_layer, 0x949b3727, "_gpl");
SYMBOL_CRC(snd_ctl_boolean_mono_info, 0xf5097951, "");
SYMBOL_CRC(snd_ctl_boolean_stereo_info, 0xa3c42336, "");
SYMBOL_CRC(snd_ctl_enum_info, 0xcc6a729f, "");
SYMBOL_CRC(release_and_free_resource, 0xc5a6d10b, "");
SYMBOL_CRC(__snd_printk, 0x614c7976, "_gpl");
SYMBOL_CRC(snd_pci_quirk_lookup_id, 0x39b1faba, "");
SYMBOL_CRC(snd_pci_quirk_lookup, 0x88fb7b54, "");
SYMBOL_CRC(snd_fasync_helper, 0x8f83462e, "_gpl");
SYMBOL_CRC(snd_kill_fasync, 0xf8f2a4eb, "_gpl");
SYMBOL_CRC(snd_fasync_free, 0x5af762f1, "_gpl");
SYMBOL_CRC(snd_device_new, 0x6216c483, "");
SYMBOL_CRC(snd_device_disconnect, 0x936d5b46, "_gpl");
SYMBOL_CRC(snd_device_free, 0xbc106bb5, "");
SYMBOL_CRC(snd_device_register, 0xea5a24de, "");
SYMBOL_CRC(snd_device_get_state, 0x3db5d409, "_gpl");
SYMBOL_CRC(snd_seq_root, 0x84e15bde, "");
SYMBOL_CRC(snd_info_get_line, 0x24a94b26, "");
SYMBOL_CRC(snd_info_get_str, 0x9e6d79f8, "");
SYMBOL_CRC(snd_info_create_module_entry, 0xc3514fed, "");
SYMBOL_CRC(snd_info_create_card_entry, 0xc8db3990, "");
SYMBOL_CRC(snd_info_free_entry, 0x522049ec, "");
SYMBOL_CRC(snd_info_register, 0x4c8e6aa1, "");
SYMBOL_CRC(snd_card_rw_proc_new, 0x58f5be85, "_gpl");
SYMBOL_CRC(snd_oss_info_register, 0x8df3789f, "");
SYMBOL_CRC(snd_dma_program, 0x18e1683f, "");
SYMBOL_CRC(snd_dma_disable, 0x70c15ac1, "");
SYMBOL_CRC(snd_dma_pointer, 0x191e88cf, "");
SYMBOL_CRC(snd_devm_request_dma, 0x2b25ec35, "_gpl");
SYMBOL_CRC(snd_lookup_oss_minor_data, 0x198788b4, "");
SYMBOL_CRC(snd_register_oss_device, 0x650d642d, "");
SYMBOL_CRC(snd_unregister_oss_device, 0x42250b57, "");
SYMBOL_CRC(_snd_ctl_add_follower, 0xcce10518, "");
SYMBOL_CRC(snd_ctl_add_followers, 0x96803d21, "_gpl");
SYMBOL_CRC(snd_ctl_make_virtual_master, 0x1d48cf31, "");
SYMBOL_CRC(snd_ctl_add_vmaster_hook, 0xfbc340b2, "_gpl");
SYMBOL_CRC(snd_ctl_sync_vmaster, 0x2d4b09d3, "_gpl");
SYMBOL_CRC(snd_ctl_apply_vmaster_followers, 0x72be7e89, "_gpl");
SYMBOL_CRC(snd_jack_add_new_kctl, 0x684ceabe, "");
SYMBOL_CRC(snd_jack_new, 0x3bd69246, "");
SYMBOL_CRC(snd_jack_set_parent, 0x2ebb74d4, "");
SYMBOL_CRC(snd_jack_set_key, 0x6e4c5b63, "");
SYMBOL_CRC(snd_jack_report, 0x9e87d260, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2f7e17c3, "_raw_read_lock_irqsave" },
	{ 0x9f984513, "strrchr" },
	{ 0xf23bc120, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xb7d14ec7, "down_write" },
	{ 0x157899b3, "_dev_err" },
	{ 0xeed7fd81, "up_write" },
	{ 0xad1d907e, "device_add" },
	{ 0x72807db, "init_uts_ns" },
	{ 0xc61a4fc9, "xa_load" },
	{ 0x8e40c676, "noop_llseek" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xb11c5c62, "input_set_capability" },
	{ 0x434b30c0, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0x29735eef, "__devres_alloc_node" },
	{ 0x7125fadc, "dma_spin_lock" },
	{ 0x51c5d2c8, "fasync_helper" },
	{ 0xf1e046cc, "panic" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0x48aa2c9a, "device_del" },
	{ 0x814ec810, "proc_mkdir" },
	{ 0x1fe94107, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xe24a9797, "param_ops_charp" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x189ccf8b, "input_event" },
	{ 0x92b9133, "proc_remove" },
	{ 0x18e5cca0, "_raw_write_unlock_irqrestore" },
	{ 0xeddd417, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb815fad1, "__xa_insert" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x85aea03b, "xa_erase" },
	{ 0xc5fe2e9b, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7054a3e4, "request_dma" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xe875e218, "__rwlock_init" },
	{ 0x3c453e5f, "xa_destroy" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xf9d8aafb, "proc_set_size" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb941ff7a, "__register_chrdev" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xf63878b5, "kobject_set_name" },
	{ 0x56470118, "__warn_printk" },
	{ 0x95945080, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xc4693968, "_copy_from_iter" },
	{ 0xf2301826, "downgrade_write" },
	{ 0x350e1a93, "remove_wait_queue" },
	{ 0x7e6b1b94, "stream_open" },
	{ 0x1033ede4, "single_release" },
	{ 0xbdb45152, "pid_vnr" },
	{ 0x90144d65, "devres_find" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x63d3eece, "kmalloc_trace_noprof" },
	{ 0x1b3e4aa8, "__devm_add_action" },
	{ 0x11772c3b, "_raw_write_lock_irqsave" },
	{ 0x751b501, "sound_class" },
	{ 0xc5e74216, "release_resource" },
	{ 0x72b243d4, "free_dma" },
	{ 0x754d539c, "strlen" },
	{ 0x7951e274, "proc_symlink" },
	{ 0x33808f56, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x4e66e37f, "single_open" },
	{ 0x3809e270, "debugfs_create_dir" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xbb53856b, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x25524728, "put_pid" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x4cbec016, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x5c1dff1a, "input_allocate_device" },
	{ 0x5e68ffd6, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xdadf9a2e, "__init_rwsem" },
	{ 0x1d68bbb3, "_copy_to_iter" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xc8dd61d7, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0xd82aa13d, "kill_fasync" },
	{ 0x99c95fa5, "unregister_sound_special" },
	{ 0x9202da2f, "proc_mkdir_mode" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xd4a4b726, "device_initialize" },
	{ 0x9fb9e4c6, "param_array_ops" },
	{ 0x90576ec4, "vmemdup_user" },
	{ 0xc9fab571, "input_unregister_device" },
	{ 0x8d30062b, "xa_store_range" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x78cbdf7d, "seq_lseek" },
	{ 0xcb39ef5, "add_wait_queue" },
	{ 0x4fc893c6, "proc_create_data" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x894e9dce, "devm_remove_action" },
	{ 0x508a5b64, "import_ubuf" },
	{ 0xec53b0d8, "get_device" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x458bc4b3, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x5b04fe2, "devres_add" },
	{ 0x864df9a4, "single_open_size" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xa9dcebab, "dev_driver_string" },
	{ 0x3ad9d5b2, "kvmalloc_node_noprof" },
	{ 0xc9f572cb, "_raw_read_unlock_irqrestore" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x8447fcf9, "input_free_device" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x92997ed8, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x1000e51, "schedule" },
	{ 0x6ed4ffa3, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x4241307a, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc5dd9b92, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x197db284, "register_sound_special_device" },
	{ 0x283a84f4, "module_layout" },
};

MODULE_INFO(depends, "soundcore");


MODULE_INFO(srcversion, "2002FC675A2B0B777DC2C02");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
